<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfAcordoCredorTypePortal ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfAcordoCredorTypePortal
 * @subpackage Arrays
 */
class ArrayOfAcordoCredorTypePortal extends AbstractStructArrayBase
{
    /**
     * The AcordoCredorTypePortal
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AcordoCredorTypePortal[]
     */
    public $AcordoCredorTypePortal;
    /**
     * Constructor method for ArrayOfAcordoCredorTypePortal
     * @uses ArrayOfAcordoCredorTypePortal::setAcordoCredorTypePortal()
     * @param \StructType\AcordoCredorTypePortal[] $acordoCredorTypePortal
     */
    public function __construct(array $acordoCredorTypePortal = array())
    {
        $this
            ->setAcordoCredorTypePortal($acordoCredorTypePortal);
    }
    /**
     * Get AcordoCredorTypePortal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AcordoCredorTypePortal[]|null
     */
    public function getAcordoCredorTypePortal()
    {
        return isset($this->AcordoCredorTypePortal) ? $this->AcordoCredorTypePortal : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAcordoCredorTypePortal method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAcordoCredorTypePortal method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAcordoCredorTypePortalForArrayConstraintsFromSetAcordoCredorTypePortal(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfAcordoCredorTypePortalAcordoCredorTypePortalItem) {
            // validation for constraint: itemType
            if (!$arrayOfAcordoCredorTypePortalAcordoCredorTypePortalItem instanceof \StructType\AcordoCredorTypePortal) {
                $invalidValues[] = is_object($arrayOfAcordoCredorTypePortalAcordoCredorTypePortalItem) ? get_class($arrayOfAcordoCredorTypePortalAcordoCredorTypePortalItem) : sprintf('%s(%s)', gettype($arrayOfAcordoCredorTypePortalAcordoCredorTypePortalItem), var_export($arrayOfAcordoCredorTypePortalAcordoCredorTypePortalItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The AcordoCredorTypePortal property can only contain items of type \StructType\AcordoCredorTypePortal, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set AcordoCredorTypePortal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\AcordoCredorTypePortal[] $acordoCredorTypePortal
     * @return \ArrayType\ArrayOfAcordoCredorTypePortal
     */
    public function setAcordoCredorTypePortal(array $acordoCredorTypePortal = array())
    {
        // validation for constraint: array
        if ('' !== ($acordoCredorTypePortalArrayErrorMessage = self::validateAcordoCredorTypePortalForArrayConstraintsFromSetAcordoCredorTypePortal($acordoCredorTypePortal))) {
            throw new \InvalidArgumentException($acordoCredorTypePortalArrayErrorMessage, __LINE__);
        }
        if (is_null($acordoCredorTypePortal) || (is_array($acordoCredorTypePortal) && empty($acordoCredorTypePortal))) {
            unset($this->AcordoCredorTypePortal);
        } else {
            $this->AcordoCredorTypePortal = $acordoCredorTypePortal;
        }
        return $this;
    }
    /**
     * Add item to AcordoCredorTypePortal value
     * @throws \InvalidArgumentException
     * @param \StructType\AcordoCredorTypePortal $item
     * @return \ArrayType\ArrayOfAcordoCredorTypePortal
     */
    public function addToAcordoCredorTypePortal(\StructType\AcordoCredorTypePortal $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\AcordoCredorTypePortal) {
            throw new \InvalidArgumentException(sprintf('The AcordoCredorTypePortal property can only contain items of type \StructType\AcordoCredorTypePortal, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->AcordoCredorTypePortal[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\AcordoCredorTypePortal|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\AcordoCredorTypePortal|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\AcordoCredorTypePortal|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\AcordoCredorTypePortal|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\AcordoCredorTypePortal|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string AcordoCredorTypePortal
     */
    public function getAttributeName()
    {
        return 'AcordoCredorTypePortal';
    }
}
