<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfAcordoPortalResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfAcordoPortalResponse
 * @subpackage Arrays
 */
class ArrayOfAcordoPortalResponse extends AbstractStructArrayBase
{
    /**
     * The AcordoPortalResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AcordoPortalResponse[]
     */
    public $AcordoPortalResponse;
    /**
     * Constructor method for ArrayOfAcordoPortalResponse
     * @uses ArrayOfAcordoPortalResponse::setAcordoPortalResponse()
     * @param \StructType\AcordoPortalResponse[] $acordoPortalResponse
     */
    public function __construct(array $acordoPortalResponse = array())
    {
        $this
            ->setAcordoPortalResponse($acordoPortalResponse);
    }
    /**
     * Get AcordoPortalResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AcordoPortalResponse[]|null
     */
    public function getAcordoPortalResponse()
    {
        return isset($this->AcordoPortalResponse) ? $this->AcordoPortalResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAcordoPortalResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAcordoPortalResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAcordoPortalResponseForArrayConstraintsFromSetAcordoPortalResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfAcordoPortalResponseAcordoPortalResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfAcordoPortalResponseAcordoPortalResponseItem instanceof \StructType\AcordoPortalResponse) {
                $invalidValues[] = is_object($arrayOfAcordoPortalResponseAcordoPortalResponseItem) ? get_class($arrayOfAcordoPortalResponseAcordoPortalResponseItem) : sprintf('%s(%s)', gettype($arrayOfAcordoPortalResponseAcordoPortalResponseItem), var_export($arrayOfAcordoPortalResponseAcordoPortalResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The AcordoPortalResponse property can only contain items of type \StructType\AcordoPortalResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set AcordoPortalResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\AcordoPortalResponse[] $acordoPortalResponse
     * @return \ArrayType\ArrayOfAcordoPortalResponse
     */
    public function setAcordoPortalResponse(array $acordoPortalResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($acordoPortalResponseArrayErrorMessage = self::validateAcordoPortalResponseForArrayConstraintsFromSetAcordoPortalResponse($acordoPortalResponse))) {
            throw new \InvalidArgumentException($acordoPortalResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($acordoPortalResponse) || (is_array($acordoPortalResponse) && empty($acordoPortalResponse))) {
            unset($this->AcordoPortalResponse);
        } else {
            $this->AcordoPortalResponse = $acordoPortalResponse;
        }
        return $this;
    }
    /**
     * Add item to AcordoPortalResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\AcordoPortalResponse $item
     * @return \ArrayType\ArrayOfAcordoPortalResponse
     */
    public function addToAcordoPortalResponse(\StructType\AcordoPortalResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\AcordoPortalResponse) {
            throw new \InvalidArgumentException(sprintf('The AcordoPortalResponse property can only contain items of type \StructType\AcordoPortalResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->AcordoPortalResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\AcordoPortalResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\AcordoPortalResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\AcordoPortalResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\AcordoPortalResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\AcordoPortalResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string AcordoPortalResponse
     */
    public function getAttributeName()
    {
        return 'AcordoPortalResponse';
    }
}
