<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfAcordoQuebraResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfAcordoQuebraResponse
 * @subpackage Arrays
 */
class ArrayOfAcordoQuebraResponse extends AbstractStructArrayBase
{
    /**
     * The AcordoQuebraResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AcordoQuebraResponse[]
     */
    public $AcordoQuebraResponse;
    /**
     * Constructor method for ArrayOfAcordoQuebraResponse
     * @uses ArrayOfAcordoQuebraResponse::setAcordoQuebraResponse()
     * @param \StructType\AcordoQuebraResponse[] $acordoQuebraResponse
     */
    public function __construct(array $acordoQuebraResponse = array())
    {
        $this
            ->setAcordoQuebraResponse($acordoQuebraResponse);
    }
    /**
     * Get AcordoQuebraResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AcordoQuebraResponse[]|null
     */
    public function getAcordoQuebraResponse()
    {
        return isset($this->AcordoQuebraResponse) ? $this->AcordoQuebraResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAcordoQuebraResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAcordoQuebraResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAcordoQuebraResponseForArrayConstraintsFromSetAcordoQuebraResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfAcordoQuebraResponseAcordoQuebraResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfAcordoQuebraResponseAcordoQuebraResponseItem instanceof \StructType\AcordoQuebraResponse) {
                $invalidValues[] = is_object($arrayOfAcordoQuebraResponseAcordoQuebraResponseItem) ? get_class($arrayOfAcordoQuebraResponseAcordoQuebraResponseItem) : sprintf('%s(%s)', gettype($arrayOfAcordoQuebraResponseAcordoQuebraResponseItem), var_export($arrayOfAcordoQuebraResponseAcordoQuebraResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The AcordoQuebraResponse property can only contain items of type \StructType\AcordoQuebraResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set AcordoQuebraResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\AcordoQuebraResponse[] $acordoQuebraResponse
     * @return \ArrayType\ArrayOfAcordoQuebraResponse
     */
    public function setAcordoQuebraResponse(array $acordoQuebraResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($acordoQuebraResponseArrayErrorMessage = self::validateAcordoQuebraResponseForArrayConstraintsFromSetAcordoQuebraResponse($acordoQuebraResponse))) {
            throw new \InvalidArgumentException($acordoQuebraResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($acordoQuebraResponse) || (is_array($acordoQuebraResponse) && empty($acordoQuebraResponse))) {
            unset($this->AcordoQuebraResponse);
        } else {
            $this->AcordoQuebraResponse = $acordoQuebraResponse;
        }
        return $this;
    }
    /**
     * Add item to AcordoQuebraResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\AcordoQuebraResponse $item
     * @return \ArrayType\ArrayOfAcordoQuebraResponse
     */
    public function addToAcordoQuebraResponse(\StructType\AcordoQuebraResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\AcordoQuebraResponse) {
            throw new \InvalidArgumentException(sprintf('The AcordoQuebraResponse property can only contain items of type \StructType\AcordoQuebraResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->AcordoQuebraResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\AcordoQuebraResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\AcordoQuebraResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\AcordoQuebraResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\AcordoQuebraResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\AcordoQuebraResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string AcordoQuebraResponse
     */
    public function getAttributeName()
    {
        return 'AcordoQuebraResponse';
    }
}
