<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfAcordoResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfAcordoResponse
 * @subpackage Arrays
 */
class ArrayOfAcordoResponse extends AbstractStructArrayBase
{
    /**
     * The AcordoResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AcordoResponse[]
     */
    public $AcordoResponse;
    /**
     * Constructor method for ArrayOfAcordoResponse
     * @uses ArrayOfAcordoResponse::setAcordoResponse()
     * @param \StructType\AcordoResponse[] $acordoResponse
     */
    public function __construct(array $acordoResponse = array())
    {
        $this
            ->setAcordoResponse($acordoResponse);
    }
    /**
     * Get AcordoResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AcordoResponse[]|null
     */
    public function getAcordoResponse()
    {
        return isset($this->AcordoResponse) ? $this->AcordoResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAcordoResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAcordoResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAcordoResponseForArrayConstraintsFromSetAcordoResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfAcordoResponseAcordoResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfAcordoResponseAcordoResponseItem instanceof \StructType\AcordoResponse) {
                $invalidValues[] = is_object($arrayOfAcordoResponseAcordoResponseItem) ? get_class($arrayOfAcordoResponseAcordoResponseItem) : sprintf('%s(%s)', gettype($arrayOfAcordoResponseAcordoResponseItem), var_export($arrayOfAcordoResponseAcordoResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The AcordoResponse property can only contain items of type \StructType\AcordoResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set AcordoResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\AcordoResponse[] $acordoResponse
     * @return \ArrayType\ArrayOfAcordoResponse
     */
    public function setAcordoResponse(array $acordoResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($acordoResponseArrayErrorMessage = self::validateAcordoResponseForArrayConstraintsFromSetAcordoResponse($acordoResponse))) {
            throw new \InvalidArgumentException($acordoResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($acordoResponse) || (is_array($acordoResponse) && empty($acordoResponse))) {
            unset($this->AcordoResponse);
        } else {
            $this->AcordoResponse = $acordoResponse;
        }
        return $this;
    }
    /**
     * Add item to AcordoResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\AcordoResponse $item
     * @return \ArrayType\ArrayOfAcordoResponse
     */
    public function addToAcordoResponse(\StructType\AcordoResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\AcordoResponse) {
            throw new \InvalidArgumentException(sprintf('The AcordoResponse property can only contain items of type \StructType\AcordoResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->AcordoResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\AcordoResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\AcordoResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\AcordoResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\AcordoResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\AcordoResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string AcordoResponse
     */
    public function getAttributeName()
    {
        return 'AcordoResponse';
    }
}
