<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfBoletoAbertoTypePortal ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfBoletoAbertoTypePortal
 * @subpackage Arrays
 */
class ArrayOfBoletoAbertoTypePortal extends AbstractStructArrayBase
{
    /**
     * The BoletoAbertoTypePortal
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\BoletoAbertoTypePortal[]
     */
    public $BoletoAbertoTypePortal;
    /**
     * Constructor method for ArrayOfBoletoAbertoTypePortal
     * @uses ArrayOfBoletoAbertoTypePortal::setBoletoAbertoTypePortal()
     * @param \StructType\BoletoAbertoTypePortal[] $boletoAbertoTypePortal
     */
    public function __construct(array $boletoAbertoTypePortal = array())
    {
        $this
            ->setBoletoAbertoTypePortal($boletoAbertoTypePortal);
    }
    /**
     * Get BoletoAbertoTypePortal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\BoletoAbertoTypePortal[]|null
     */
    public function getBoletoAbertoTypePortal()
    {
        return isset($this->BoletoAbertoTypePortal) ? $this->BoletoAbertoTypePortal : null;
    }
    /**
     * This method is responsible for validating the values passed to the setBoletoAbertoTypePortal method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBoletoAbertoTypePortal method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBoletoAbertoTypePortalForArrayConstraintsFromSetBoletoAbertoTypePortal(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfBoletoAbertoTypePortalBoletoAbertoTypePortalItem) {
            // validation for constraint: itemType
            if (!$arrayOfBoletoAbertoTypePortalBoletoAbertoTypePortalItem instanceof \StructType\BoletoAbertoTypePortal) {
                $invalidValues[] = is_object($arrayOfBoletoAbertoTypePortalBoletoAbertoTypePortalItem) ? get_class($arrayOfBoletoAbertoTypePortalBoletoAbertoTypePortalItem) : sprintf('%s(%s)', gettype($arrayOfBoletoAbertoTypePortalBoletoAbertoTypePortalItem), var_export($arrayOfBoletoAbertoTypePortalBoletoAbertoTypePortalItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The BoletoAbertoTypePortal property can only contain items of type \StructType\BoletoAbertoTypePortal, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set BoletoAbertoTypePortal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\BoletoAbertoTypePortal[] $boletoAbertoTypePortal
     * @return \ArrayType\ArrayOfBoletoAbertoTypePortal
     */
    public function setBoletoAbertoTypePortal(array $boletoAbertoTypePortal = array())
    {
        // validation for constraint: array
        if ('' !== ($boletoAbertoTypePortalArrayErrorMessage = self::validateBoletoAbertoTypePortalForArrayConstraintsFromSetBoletoAbertoTypePortal($boletoAbertoTypePortal))) {
            throw new \InvalidArgumentException($boletoAbertoTypePortalArrayErrorMessage, __LINE__);
        }
        if (is_null($boletoAbertoTypePortal) || (is_array($boletoAbertoTypePortal) && empty($boletoAbertoTypePortal))) {
            unset($this->BoletoAbertoTypePortal);
        } else {
            $this->BoletoAbertoTypePortal = $boletoAbertoTypePortal;
        }
        return $this;
    }
    /**
     * Add item to BoletoAbertoTypePortal value
     * @throws \InvalidArgumentException
     * @param \StructType\BoletoAbertoTypePortal $item
     * @return \ArrayType\ArrayOfBoletoAbertoTypePortal
     */
    public function addToBoletoAbertoTypePortal(\StructType\BoletoAbertoTypePortal $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\BoletoAbertoTypePortal) {
            throw new \InvalidArgumentException(sprintf('The BoletoAbertoTypePortal property can only contain items of type \StructType\BoletoAbertoTypePortal, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->BoletoAbertoTypePortal[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\BoletoAbertoTypePortal|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\BoletoAbertoTypePortal|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\BoletoAbertoTypePortal|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\BoletoAbertoTypePortal|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\BoletoAbertoTypePortal|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string BoletoAbertoTypePortal
     */
    public function getAttributeName()
    {
        return 'BoletoAbertoTypePortal';
    }
}
