<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfBoletoOriginalResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfBoletoOriginalResponse
 * @subpackage Arrays
 */
class ArrayOfBoletoOriginalResponse extends AbstractStructArrayBase
{
    /**
     * The BoletoOriginalResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\BoletoOriginalResponse[]
     */
    public $BoletoOriginalResponse;
    /**
     * Constructor method for ArrayOfBoletoOriginalResponse
     * @uses ArrayOfBoletoOriginalResponse::setBoletoOriginalResponse()
     * @param \StructType\BoletoOriginalResponse[] $boletoOriginalResponse
     */
    public function __construct(array $boletoOriginalResponse = array())
    {
        $this
            ->setBoletoOriginalResponse($boletoOriginalResponse);
    }
    /**
     * Get BoletoOriginalResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\BoletoOriginalResponse[]|null
     */
    public function getBoletoOriginalResponse()
    {
        return isset($this->BoletoOriginalResponse) ? $this->BoletoOriginalResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setBoletoOriginalResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBoletoOriginalResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBoletoOriginalResponseForArrayConstraintsFromSetBoletoOriginalResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfBoletoOriginalResponseBoletoOriginalResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfBoletoOriginalResponseBoletoOriginalResponseItem instanceof \StructType\BoletoOriginalResponse) {
                $invalidValues[] = is_object($arrayOfBoletoOriginalResponseBoletoOriginalResponseItem) ? get_class($arrayOfBoletoOriginalResponseBoletoOriginalResponseItem) : sprintf('%s(%s)', gettype($arrayOfBoletoOriginalResponseBoletoOriginalResponseItem), var_export($arrayOfBoletoOriginalResponseBoletoOriginalResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The BoletoOriginalResponse property can only contain items of type \StructType\BoletoOriginalResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set BoletoOriginalResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\BoletoOriginalResponse[] $boletoOriginalResponse
     * @return \ArrayType\ArrayOfBoletoOriginalResponse
     */
    public function setBoletoOriginalResponse(array $boletoOriginalResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($boletoOriginalResponseArrayErrorMessage = self::validateBoletoOriginalResponseForArrayConstraintsFromSetBoletoOriginalResponse($boletoOriginalResponse))) {
            throw new \InvalidArgumentException($boletoOriginalResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($boletoOriginalResponse) || (is_array($boletoOriginalResponse) && empty($boletoOriginalResponse))) {
            unset($this->BoletoOriginalResponse);
        } else {
            $this->BoletoOriginalResponse = $boletoOriginalResponse;
        }
        return $this;
    }
    /**
     * Add item to BoletoOriginalResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\BoletoOriginalResponse $item
     * @return \ArrayType\ArrayOfBoletoOriginalResponse
     */
    public function addToBoletoOriginalResponse(\StructType\BoletoOriginalResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\BoletoOriginalResponse) {
            throw new \InvalidArgumentException(sprintf('The BoletoOriginalResponse property can only contain items of type \StructType\BoletoOriginalResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->BoletoOriginalResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\BoletoOriginalResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\BoletoOriginalResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\BoletoOriginalResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\BoletoOriginalResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\BoletoOriginalResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string BoletoOriginalResponse
     */
    public function getAttributeName()
    {
        return 'BoletoOriginalResponse';
    }
}
