<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfBoletoRenegResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfBoletoRenegResponse
 * @subpackage Arrays
 */
class ArrayOfBoletoRenegResponse extends AbstractStructArrayBase
{
    /**
     * The BoletoRenegResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\BoletoRenegResponse[]
     */
    public $BoletoRenegResponse;
    /**
     * Constructor method for ArrayOfBoletoRenegResponse
     * @uses ArrayOfBoletoRenegResponse::setBoletoRenegResponse()
     * @param \StructType\BoletoRenegResponse[] $boletoRenegResponse
     */
    public function __construct(array $boletoRenegResponse = array())
    {
        $this
            ->setBoletoRenegResponse($boletoRenegResponse);
    }
    /**
     * Get BoletoRenegResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\BoletoRenegResponse[]|null
     */
    public function getBoletoRenegResponse()
    {
        return isset($this->BoletoRenegResponse) ? $this->BoletoRenegResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setBoletoRenegResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBoletoRenegResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBoletoRenegResponseForArrayConstraintsFromSetBoletoRenegResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfBoletoRenegResponseBoletoRenegResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfBoletoRenegResponseBoletoRenegResponseItem instanceof \StructType\BoletoRenegResponse) {
                $invalidValues[] = is_object($arrayOfBoletoRenegResponseBoletoRenegResponseItem) ? get_class($arrayOfBoletoRenegResponseBoletoRenegResponseItem) : sprintf('%s(%s)', gettype($arrayOfBoletoRenegResponseBoletoRenegResponseItem), var_export($arrayOfBoletoRenegResponseBoletoRenegResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The BoletoRenegResponse property can only contain items of type \StructType\BoletoRenegResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set BoletoRenegResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\BoletoRenegResponse[] $boletoRenegResponse
     * @return \ArrayType\ArrayOfBoletoRenegResponse
     */
    public function setBoletoRenegResponse(array $boletoRenegResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($boletoRenegResponseArrayErrorMessage = self::validateBoletoRenegResponseForArrayConstraintsFromSetBoletoRenegResponse($boletoRenegResponse))) {
            throw new \InvalidArgumentException($boletoRenegResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($boletoRenegResponse) || (is_array($boletoRenegResponse) && empty($boletoRenegResponse))) {
            unset($this->BoletoRenegResponse);
        } else {
            $this->BoletoRenegResponse = $boletoRenegResponse;
        }
        return $this;
    }
    /**
     * Add item to BoletoRenegResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\BoletoRenegResponse $item
     * @return \ArrayType\ArrayOfBoletoRenegResponse
     */
    public function addToBoletoRenegResponse(\StructType\BoletoRenegResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\BoletoRenegResponse) {
            throw new \InvalidArgumentException(sprintf('The BoletoRenegResponse property can only contain items of type \StructType\BoletoRenegResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->BoletoRenegResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\BoletoRenegResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\BoletoRenegResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\BoletoRenegResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\BoletoRenegResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\BoletoRenegResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string BoletoRenegResponse
     */
    public function getAttributeName()
    {
        return 'BoletoRenegResponse';
    }
}
