<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfBoletoResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfBoletoResponse
 * @subpackage Arrays
 */
class ArrayOfBoletoResponse extends AbstractStructArrayBase
{
    /**
     * The BoletoResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\BoletoResponse[]
     */
    public $BoletoResponse;
    /**
     * Constructor method for ArrayOfBoletoResponse
     * @uses ArrayOfBoletoResponse::setBoletoResponse()
     * @param \StructType\BoletoResponse[] $boletoResponse
     */
    public function __construct(array $boletoResponse = array())
    {
        $this
            ->setBoletoResponse($boletoResponse);
    }
    /**
     * Get BoletoResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\BoletoResponse[]|null
     */
    public function getBoletoResponse()
    {
        return isset($this->BoletoResponse) ? $this->BoletoResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setBoletoResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBoletoResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBoletoResponseForArrayConstraintsFromSetBoletoResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfBoletoResponseBoletoResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfBoletoResponseBoletoResponseItem instanceof \StructType\BoletoResponse) {
                $invalidValues[] = is_object($arrayOfBoletoResponseBoletoResponseItem) ? get_class($arrayOfBoletoResponseBoletoResponseItem) : sprintf('%s(%s)', gettype($arrayOfBoletoResponseBoletoResponseItem), var_export($arrayOfBoletoResponseBoletoResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The BoletoResponse property can only contain items of type \StructType\BoletoResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set BoletoResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\BoletoResponse[] $boletoResponse
     * @return \ArrayType\ArrayOfBoletoResponse
     */
    public function setBoletoResponse(array $boletoResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($boletoResponseArrayErrorMessage = self::validateBoletoResponseForArrayConstraintsFromSetBoletoResponse($boletoResponse))) {
            throw new \InvalidArgumentException($boletoResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($boletoResponse) || (is_array($boletoResponse) && empty($boletoResponse))) {
            unset($this->BoletoResponse);
        } else {
            $this->BoletoResponse = $boletoResponse;
        }
        return $this;
    }
    /**
     * Add item to BoletoResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\BoletoResponse $item
     * @return \ArrayType\ArrayOfBoletoResponse
     */
    public function addToBoletoResponse(\StructType\BoletoResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\BoletoResponse) {
            throw new \InvalidArgumentException(sprintf('The BoletoResponse property can only contain items of type \StructType\BoletoResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->BoletoResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\BoletoResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\BoletoResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\BoletoResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\BoletoResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\BoletoResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string BoletoResponse
     */
    public function getAttributeName()
    {
        return 'BoletoResponse';
    }
}
