<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfCalculoTypePortal ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfCalculoTypePortal
 * @subpackage Arrays
 */
class ArrayOfCalculoTypePortal extends AbstractStructArrayBase
{
    /**
     * The CalculoTypePortal
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CalculoTypePortal[]
     */
    public $CalculoTypePortal;
    /**
     * Constructor method for ArrayOfCalculoTypePortal
     * @uses ArrayOfCalculoTypePortal::setCalculoTypePortal()
     * @param \StructType\CalculoTypePortal[] $calculoTypePortal
     */
    public function __construct(array $calculoTypePortal = array())
    {
        $this
            ->setCalculoTypePortal($calculoTypePortal);
    }
    /**
     * Get CalculoTypePortal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CalculoTypePortal[]|null
     */
    public function getCalculoTypePortal()
    {
        return isset($this->CalculoTypePortal) ? $this->CalculoTypePortal : null;
    }
    /**
     * This method is responsible for validating the values passed to the setCalculoTypePortal method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCalculoTypePortal method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCalculoTypePortalForArrayConstraintsFromSetCalculoTypePortal(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfCalculoTypePortalCalculoTypePortalItem) {
            // validation for constraint: itemType
            if (!$arrayOfCalculoTypePortalCalculoTypePortalItem instanceof \StructType\CalculoTypePortal) {
                $invalidValues[] = is_object($arrayOfCalculoTypePortalCalculoTypePortalItem) ? get_class($arrayOfCalculoTypePortalCalculoTypePortalItem) : sprintf('%s(%s)', gettype($arrayOfCalculoTypePortalCalculoTypePortalItem), var_export($arrayOfCalculoTypePortalCalculoTypePortalItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The CalculoTypePortal property can only contain items of type \StructType\CalculoTypePortal, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set CalculoTypePortal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\CalculoTypePortal[] $calculoTypePortal
     * @return \ArrayType\ArrayOfCalculoTypePortal
     */
    public function setCalculoTypePortal(array $calculoTypePortal = array())
    {
        // validation for constraint: array
        if ('' !== ($calculoTypePortalArrayErrorMessage = self::validateCalculoTypePortalForArrayConstraintsFromSetCalculoTypePortal($calculoTypePortal))) {
            throw new \InvalidArgumentException($calculoTypePortalArrayErrorMessage, __LINE__);
        }
        if (is_null($calculoTypePortal) || (is_array($calculoTypePortal) && empty($calculoTypePortal))) {
            unset($this->CalculoTypePortal);
        } else {
            $this->CalculoTypePortal = $calculoTypePortal;
        }
        return $this;
    }
    /**
     * Add item to CalculoTypePortal value
     * @throws \InvalidArgumentException
     * @param \StructType\CalculoTypePortal $item
     * @return \ArrayType\ArrayOfCalculoTypePortal
     */
    public function addToCalculoTypePortal(\StructType\CalculoTypePortal $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\CalculoTypePortal) {
            throw new \InvalidArgumentException(sprintf('The CalculoTypePortal property can only contain items of type \StructType\CalculoTypePortal, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->CalculoTypePortal[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\CalculoTypePortal|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\CalculoTypePortal|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\CalculoTypePortal|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\CalculoTypePortal|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\CalculoTypePortal|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string CalculoTypePortal
     */
    public function getAttributeName()
    {
        return 'CalculoTypePortal';
    }
}
