<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfCartaoParametroType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfCartaoParametroType
 * @subpackage Arrays
 */
class ArrayOfCartaoParametroType extends AbstractStructArrayBase
{
    /**
     * The CartaoParametroType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CartaoParametroType[]
     */
    public $CartaoParametroType;
    /**
     * Constructor method for ArrayOfCartaoParametroType
     * @uses ArrayOfCartaoParametroType::setCartaoParametroType()
     * @param \StructType\CartaoParametroType[] $cartaoParametroType
     */
    public function __construct(array $cartaoParametroType = array())
    {
        $this
            ->setCartaoParametroType($cartaoParametroType);
    }
    /**
     * Get CartaoParametroType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CartaoParametroType[]|null
     */
    public function getCartaoParametroType()
    {
        return isset($this->CartaoParametroType) ? $this->CartaoParametroType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setCartaoParametroType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCartaoParametroType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCartaoParametroTypeForArrayConstraintsFromSetCartaoParametroType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfCartaoParametroTypeCartaoParametroTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfCartaoParametroTypeCartaoParametroTypeItem instanceof \StructType\CartaoParametroType) {
                $invalidValues[] = is_object($arrayOfCartaoParametroTypeCartaoParametroTypeItem) ? get_class($arrayOfCartaoParametroTypeCartaoParametroTypeItem) : sprintf('%s(%s)', gettype($arrayOfCartaoParametroTypeCartaoParametroTypeItem), var_export($arrayOfCartaoParametroTypeCartaoParametroTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The CartaoParametroType property can only contain items of type \StructType\CartaoParametroType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set CartaoParametroType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\CartaoParametroType[] $cartaoParametroType
     * @return \ArrayType\ArrayOfCartaoParametroType
     */
    public function setCartaoParametroType(array $cartaoParametroType = array())
    {
        // validation for constraint: array
        if ('' !== ($cartaoParametroTypeArrayErrorMessage = self::validateCartaoParametroTypeForArrayConstraintsFromSetCartaoParametroType($cartaoParametroType))) {
            throw new \InvalidArgumentException($cartaoParametroTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($cartaoParametroType) || (is_array($cartaoParametroType) && empty($cartaoParametroType))) {
            unset($this->CartaoParametroType);
        } else {
            $this->CartaoParametroType = $cartaoParametroType;
        }
        return $this;
    }
    /**
     * Add item to CartaoParametroType value
     * @throws \InvalidArgumentException
     * @param \StructType\CartaoParametroType $item
     * @return \ArrayType\ArrayOfCartaoParametroType
     */
    public function addToCartaoParametroType(\StructType\CartaoParametroType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\CartaoParametroType) {
            throw new \InvalidArgumentException(sprintf('The CartaoParametroType property can only contain items of type \StructType\CartaoParametroType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->CartaoParametroType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\CartaoParametroType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\CartaoParametroType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\CartaoParametroType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\CartaoParametroType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\CartaoParametroType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string CartaoParametroType
     */
    public function getAttributeName()
    {
        return 'CartaoParametroType';
    }
}
