<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfCidadeType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfCidadeType
 * @subpackage Arrays
 */
class ArrayOfCidadeType extends AbstractStructArrayBase
{
    /**
     * The CidadeType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CidadeType[]
     */
    public $CidadeType;
    /**
     * Constructor method for ArrayOfCidadeType
     * @uses ArrayOfCidadeType::setCidadeType()
     * @param \StructType\CidadeType[] $cidadeType
     */
    public function __construct(array $cidadeType = array())
    {
        $this
            ->setCidadeType($cidadeType);
    }
    /**
     * Get CidadeType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CidadeType[]|null
     */
    public function getCidadeType()
    {
        return isset($this->CidadeType) ? $this->CidadeType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setCidadeType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCidadeType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCidadeTypeForArrayConstraintsFromSetCidadeType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfCidadeTypeCidadeTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfCidadeTypeCidadeTypeItem instanceof \StructType\CidadeType) {
                $invalidValues[] = is_object($arrayOfCidadeTypeCidadeTypeItem) ? get_class($arrayOfCidadeTypeCidadeTypeItem) : sprintf('%s(%s)', gettype($arrayOfCidadeTypeCidadeTypeItem), var_export($arrayOfCidadeTypeCidadeTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The CidadeType property can only contain items of type \StructType\CidadeType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set CidadeType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\CidadeType[] $cidadeType
     * @return \ArrayType\ArrayOfCidadeType
     */
    public function setCidadeType(array $cidadeType = array())
    {
        // validation for constraint: array
        if ('' !== ($cidadeTypeArrayErrorMessage = self::validateCidadeTypeForArrayConstraintsFromSetCidadeType($cidadeType))) {
            throw new \InvalidArgumentException($cidadeTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($cidadeType) || (is_array($cidadeType) && empty($cidadeType))) {
            unset($this->CidadeType);
        } else {
            $this->CidadeType = $cidadeType;
        }
        return $this;
    }
    /**
     * Add item to CidadeType value
     * @throws \InvalidArgumentException
     * @param \StructType\CidadeType $item
     * @return \ArrayType\ArrayOfCidadeType
     */
    public function addToCidadeType(\StructType\CidadeType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\CidadeType) {
            throw new \InvalidArgumentException(sprintf('The CidadeType property can only contain items of type \StructType\CidadeType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->CidadeType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\CidadeType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\CidadeType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\CidadeType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\CidadeType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\CidadeType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string CidadeType
     */
    public function getAttributeName()
    {
        return 'CidadeType';
    }
}
