<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClienteAcordoResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfClienteAcordoResponse
 * @subpackage Arrays
 */
class ArrayOfClienteAcordoResponse extends AbstractStructArrayBase
{
    /**
     * The ClienteAcordoResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClienteAcordoResponse[]
     */
    public $ClienteAcordoResponse;
    /**
     * Constructor method for ArrayOfClienteAcordoResponse
     * @uses ArrayOfClienteAcordoResponse::setClienteAcordoResponse()
     * @param \StructType\ClienteAcordoResponse[] $clienteAcordoResponse
     */
    public function __construct(array $clienteAcordoResponse = array())
    {
        $this
            ->setClienteAcordoResponse($clienteAcordoResponse);
    }
    /**
     * Get ClienteAcordoResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClienteAcordoResponse[]|null
     */
    public function getClienteAcordoResponse()
    {
        return isset($this->ClienteAcordoResponse) ? $this->ClienteAcordoResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClienteAcordoResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClienteAcordoResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClienteAcordoResponseForArrayConstraintsFromSetClienteAcordoResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClienteAcordoResponseClienteAcordoResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfClienteAcordoResponseClienteAcordoResponseItem instanceof \StructType\ClienteAcordoResponse) {
                $invalidValues[] = is_object($arrayOfClienteAcordoResponseClienteAcordoResponseItem) ? get_class($arrayOfClienteAcordoResponseClienteAcordoResponseItem) : sprintf('%s(%s)', gettype($arrayOfClienteAcordoResponseClienteAcordoResponseItem), var_export($arrayOfClienteAcordoResponseClienteAcordoResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ClienteAcordoResponse property can only contain items of type \StructType\ClienteAcordoResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ClienteAcordoResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClienteAcordoResponse[] $clienteAcordoResponse
     * @return \ArrayType\ArrayOfClienteAcordoResponse
     */
    public function setClienteAcordoResponse(array $clienteAcordoResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($clienteAcordoResponseArrayErrorMessage = self::validateClienteAcordoResponseForArrayConstraintsFromSetClienteAcordoResponse($clienteAcordoResponse))) {
            throw new \InvalidArgumentException($clienteAcordoResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($clienteAcordoResponse) || (is_array($clienteAcordoResponse) && empty($clienteAcordoResponse))) {
            unset($this->ClienteAcordoResponse);
        } else {
            $this->ClienteAcordoResponse = $clienteAcordoResponse;
        }
        return $this;
    }
    /**
     * Add item to ClienteAcordoResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ClienteAcordoResponse $item
     * @return \ArrayType\ArrayOfClienteAcordoResponse
     */
    public function addToClienteAcordoResponse(\StructType\ClienteAcordoResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClienteAcordoResponse) {
            throw new \InvalidArgumentException(sprintf('The ClienteAcordoResponse property can only contain items of type \StructType\ClienteAcordoResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ClienteAcordoResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClienteAcordoResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClienteAcordoResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClienteAcordoResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClienteAcordoResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClienteAcordoResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ClienteAcordoResponse
     */
    public function getAttributeName()
    {
        return 'ClienteAcordoResponse';
    }
}
