<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClienteCadastralResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfClienteCadastralResponse
 * @subpackage Arrays
 */
class ArrayOfClienteCadastralResponse extends AbstractStructArrayBase
{
    /**
     * The ClienteCadastralResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClienteCadastralResponse[]
     */
    public $ClienteCadastralResponse;
    /**
     * Constructor method for ArrayOfClienteCadastralResponse
     * @uses ArrayOfClienteCadastralResponse::setClienteCadastralResponse()
     * @param \StructType\ClienteCadastralResponse[] $clienteCadastralResponse
     */
    public function __construct(array $clienteCadastralResponse = array())
    {
        $this
            ->setClienteCadastralResponse($clienteCadastralResponse);
    }
    /**
     * Get ClienteCadastralResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClienteCadastralResponse[]|null
     */
    public function getClienteCadastralResponse()
    {
        return isset($this->ClienteCadastralResponse) ? $this->ClienteCadastralResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClienteCadastralResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClienteCadastralResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClienteCadastralResponseForArrayConstraintsFromSetClienteCadastralResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClienteCadastralResponseClienteCadastralResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfClienteCadastralResponseClienteCadastralResponseItem instanceof \StructType\ClienteCadastralResponse) {
                $invalidValues[] = is_object($arrayOfClienteCadastralResponseClienteCadastralResponseItem) ? get_class($arrayOfClienteCadastralResponseClienteCadastralResponseItem) : sprintf('%s(%s)', gettype($arrayOfClienteCadastralResponseClienteCadastralResponseItem), var_export($arrayOfClienteCadastralResponseClienteCadastralResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ClienteCadastralResponse property can only contain items of type \StructType\ClienteCadastralResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ClienteCadastralResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClienteCadastralResponse[] $clienteCadastralResponse
     * @return \ArrayType\ArrayOfClienteCadastralResponse
     */
    public function setClienteCadastralResponse(array $clienteCadastralResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($clienteCadastralResponseArrayErrorMessage = self::validateClienteCadastralResponseForArrayConstraintsFromSetClienteCadastralResponse($clienteCadastralResponse))) {
            throw new \InvalidArgumentException($clienteCadastralResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($clienteCadastralResponse) || (is_array($clienteCadastralResponse) && empty($clienteCadastralResponse))) {
            unset($this->ClienteCadastralResponse);
        } else {
            $this->ClienteCadastralResponse = $clienteCadastralResponse;
        }
        return $this;
    }
    /**
     * Add item to ClienteCadastralResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ClienteCadastralResponse $item
     * @return \ArrayType\ArrayOfClienteCadastralResponse
     */
    public function addToClienteCadastralResponse(\StructType\ClienteCadastralResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClienteCadastralResponse) {
            throw new \InvalidArgumentException(sprintf('The ClienteCadastralResponse property can only contain items of type \StructType\ClienteCadastralResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ClienteCadastralResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClienteCadastralResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClienteCadastralResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClienteCadastralResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClienteCadastralResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClienteCadastralResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ClienteCadastralResponse
     */
    public function getAttributeName()
    {
        return 'ClienteCadastralResponse';
    }
}
