<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfConfigTypePortal ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfConfigTypePortal
 * @subpackage Arrays
 */
class ArrayOfConfigTypePortal extends AbstractStructArrayBase
{
    /**
     * The ConfigTypePortal
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ConfigTypePortal[]
     */
    public $ConfigTypePortal;
    /**
     * Constructor method for ArrayOfConfigTypePortal
     * @uses ArrayOfConfigTypePortal::setConfigTypePortal()
     * @param \StructType\ConfigTypePortal[] $configTypePortal
     */
    public function __construct(array $configTypePortal = array())
    {
        $this
            ->setConfigTypePortal($configTypePortal);
    }
    /**
     * Get ConfigTypePortal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ConfigTypePortal[]|null
     */
    public function getConfigTypePortal()
    {
        return isset($this->ConfigTypePortal) ? $this->ConfigTypePortal : null;
    }
    /**
     * This method is responsible for validating the values passed to the setConfigTypePortal method
     * This method is willingly generated in order to preserve the one-line inline validation within the setConfigTypePortal method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateConfigTypePortalForArrayConstraintsFromSetConfigTypePortal(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfConfigTypePortalConfigTypePortalItem) {
            // validation for constraint: itemType
            if (!$arrayOfConfigTypePortalConfigTypePortalItem instanceof \StructType\ConfigTypePortal) {
                $invalidValues[] = is_object($arrayOfConfigTypePortalConfigTypePortalItem) ? get_class($arrayOfConfigTypePortalConfigTypePortalItem) : sprintf('%s(%s)', gettype($arrayOfConfigTypePortalConfigTypePortalItem), var_export($arrayOfConfigTypePortalConfigTypePortalItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ConfigTypePortal property can only contain items of type \StructType\ConfigTypePortal, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ConfigTypePortal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ConfigTypePortal[] $configTypePortal
     * @return \ArrayType\ArrayOfConfigTypePortal
     */
    public function setConfigTypePortal(array $configTypePortal = array())
    {
        // validation for constraint: array
        if ('' !== ($configTypePortalArrayErrorMessage = self::validateConfigTypePortalForArrayConstraintsFromSetConfigTypePortal($configTypePortal))) {
            throw new \InvalidArgumentException($configTypePortalArrayErrorMessage, __LINE__);
        }
        if (is_null($configTypePortal) || (is_array($configTypePortal) && empty($configTypePortal))) {
            unset($this->ConfigTypePortal);
        } else {
            $this->ConfigTypePortal = $configTypePortal;
        }
        return $this;
    }
    /**
     * Add item to ConfigTypePortal value
     * @throws \InvalidArgumentException
     * @param \StructType\ConfigTypePortal $item
     * @return \ArrayType\ArrayOfConfigTypePortal
     */
    public function addToConfigTypePortal(\StructType\ConfigTypePortal $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ConfigTypePortal) {
            throw new \InvalidArgumentException(sprintf('The ConfigTypePortal property can only contain items of type \StructType\ConfigTypePortal, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ConfigTypePortal[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ConfigTypePortal|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ConfigTypePortal|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ConfigTypePortal|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ConfigTypePortal|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ConfigTypePortal|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ConfigTypePortal
     */
    public function getAttributeName()
    {
        return 'ConfigTypePortal';
    }
}
