<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfConfigTypePortalResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfConfigTypePortalResponse
 * @subpackage Arrays
 */
class ArrayOfConfigTypePortalResponse extends AbstractStructArrayBase
{
    /**
     * The ConfigTypePortalResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ConfigTypePortalResponse[]
     */
    public $ConfigTypePortalResponse;
    /**
     * Constructor method for ArrayOfConfigTypePortalResponse
     * @uses ArrayOfConfigTypePortalResponse::setConfigTypePortalResponse()
     * @param \StructType\ConfigTypePortalResponse[] $configTypePortalResponse
     */
    public function __construct(array $configTypePortalResponse = array())
    {
        $this
            ->setConfigTypePortalResponse($configTypePortalResponse);
    }
    /**
     * Get ConfigTypePortalResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ConfigTypePortalResponse[]|null
     */
    public function getConfigTypePortalResponse()
    {
        return isset($this->ConfigTypePortalResponse) ? $this->ConfigTypePortalResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setConfigTypePortalResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setConfigTypePortalResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateConfigTypePortalResponseForArrayConstraintsFromSetConfigTypePortalResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfConfigTypePortalResponseConfigTypePortalResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfConfigTypePortalResponseConfigTypePortalResponseItem instanceof \StructType\ConfigTypePortalResponse) {
                $invalidValues[] = is_object($arrayOfConfigTypePortalResponseConfigTypePortalResponseItem) ? get_class($arrayOfConfigTypePortalResponseConfigTypePortalResponseItem) : sprintf('%s(%s)', gettype($arrayOfConfigTypePortalResponseConfigTypePortalResponseItem), var_export($arrayOfConfigTypePortalResponseConfigTypePortalResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ConfigTypePortalResponse property can only contain items of type \StructType\ConfigTypePortalResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ConfigTypePortalResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ConfigTypePortalResponse[] $configTypePortalResponse
     * @return \ArrayType\ArrayOfConfigTypePortalResponse
     */
    public function setConfigTypePortalResponse(array $configTypePortalResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($configTypePortalResponseArrayErrorMessage = self::validateConfigTypePortalResponseForArrayConstraintsFromSetConfigTypePortalResponse($configTypePortalResponse))) {
            throw new \InvalidArgumentException($configTypePortalResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($configTypePortalResponse) || (is_array($configTypePortalResponse) && empty($configTypePortalResponse))) {
            unset($this->ConfigTypePortalResponse);
        } else {
            $this->ConfigTypePortalResponse = $configTypePortalResponse;
        }
        return $this;
    }
    /**
     * Add item to ConfigTypePortalResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ConfigTypePortalResponse $item
     * @return \ArrayType\ArrayOfConfigTypePortalResponse
     */
    public function addToConfigTypePortalResponse(\StructType\ConfigTypePortalResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ConfigTypePortalResponse) {
            throw new \InvalidArgumentException(sprintf('The ConfigTypePortalResponse property can only contain items of type \StructType\ConfigTypePortalResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ConfigTypePortalResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ConfigTypePortalResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ConfigTypePortalResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ConfigTypePortalResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ConfigTypePortalResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ConfigTypePortalResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ConfigTypePortalResponse
     */
    public function getAttributeName()
    {
        return 'ConfigTypePortalResponse';
    }
}
