<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfContratoBoletoResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfContratoBoletoResponse
 * @subpackage Arrays
 */
class ArrayOfContratoBoletoResponse extends AbstractStructArrayBase
{
    /**
     * The ContratoBoletoResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContratoBoletoResponse[]
     */
    public $ContratoBoletoResponse;
    /**
     * Constructor method for ArrayOfContratoBoletoResponse
     * @uses ArrayOfContratoBoletoResponse::setContratoBoletoResponse()
     * @param \StructType\ContratoBoletoResponse[] $contratoBoletoResponse
     */
    public function __construct(array $contratoBoletoResponse = array())
    {
        $this
            ->setContratoBoletoResponse($contratoBoletoResponse);
    }
    /**
     * Get ContratoBoletoResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContratoBoletoResponse[]|null
     */
    public function getContratoBoletoResponse()
    {
        return isset($this->ContratoBoletoResponse) ? $this->ContratoBoletoResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setContratoBoletoResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContratoBoletoResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContratoBoletoResponseForArrayConstraintsFromSetContratoBoletoResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfContratoBoletoResponseContratoBoletoResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfContratoBoletoResponseContratoBoletoResponseItem instanceof \StructType\ContratoBoletoResponse) {
                $invalidValues[] = is_object($arrayOfContratoBoletoResponseContratoBoletoResponseItem) ? get_class($arrayOfContratoBoletoResponseContratoBoletoResponseItem) : sprintf('%s(%s)', gettype($arrayOfContratoBoletoResponseContratoBoletoResponseItem), var_export($arrayOfContratoBoletoResponseContratoBoletoResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ContratoBoletoResponse property can only contain items of type \StructType\ContratoBoletoResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ContratoBoletoResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoBoletoResponse[] $contratoBoletoResponse
     * @return \ArrayType\ArrayOfContratoBoletoResponse
     */
    public function setContratoBoletoResponse(array $contratoBoletoResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($contratoBoletoResponseArrayErrorMessage = self::validateContratoBoletoResponseForArrayConstraintsFromSetContratoBoletoResponse($contratoBoletoResponse))) {
            throw new \InvalidArgumentException($contratoBoletoResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($contratoBoletoResponse) || (is_array($contratoBoletoResponse) && empty($contratoBoletoResponse))) {
            unset($this->ContratoBoletoResponse);
        } else {
            $this->ContratoBoletoResponse = $contratoBoletoResponse;
        }
        return $this;
    }
    /**
     * Add item to ContratoBoletoResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoBoletoResponse $item
     * @return \ArrayType\ArrayOfContratoBoletoResponse
     */
    public function addToContratoBoletoResponse(\StructType\ContratoBoletoResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ContratoBoletoResponse) {
            throw new \InvalidArgumentException(sprintf('The ContratoBoletoResponse property can only contain items of type \StructType\ContratoBoletoResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ContratoBoletoResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ContratoBoletoResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ContratoBoletoResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ContratoBoletoResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ContratoBoletoResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ContratoBoletoResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ContratoBoletoResponse
     */
    public function getAttributeName()
    {
        return 'ContratoBoletoResponse';
    }
}
