<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfContratoClienteDiscadorResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfContratoClienteDiscadorResponse
 * @subpackage Arrays
 */
class ArrayOfContratoClienteDiscadorResponse extends AbstractStructArrayBase
{
    /**
     * The ContratoClienteDiscadorResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContratoClienteDiscadorResponse[]
     */
    public $ContratoClienteDiscadorResponse;
    /**
     * Constructor method for ArrayOfContratoClienteDiscadorResponse
     * @uses ArrayOfContratoClienteDiscadorResponse::setContratoClienteDiscadorResponse()
     * @param \StructType\ContratoClienteDiscadorResponse[] $contratoClienteDiscadorResponse
     */
    public function __construct(array $contratoClienteDiscadorResponse = array())
    {
        $this
            ->setContratoClienteDiscadorResponse($contratoClienteDiscadorResponse);
    }
    /**
     * Get ContratoClienteDiscadorResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContratoClienteDiscadorResponse[]|null
     */
    public function getContratoClienteDiscadorResponse()
    {
        return isset($this->ContratoClienteDiscadorResponse) ? $this->ContratoClienteDiscadorResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setContratoClienteDiscadorResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContratoClienteDiscadorResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContratoClienteDiscadorResponseForArrayConstraintsFromSetContratoClienteDiscadorResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfContratoClienteDiscadorResponseContratoClienteDiscadorResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfContratoClienteDiscadorResponseContratoClienteDiscadorResponseItem instanceof \StructType\ContratoClienteDiscadorResponse) {
                $invalidValues[] = is_object($arrayOfContratoClienteDiscadorResponseContratoClienteDiscadorResponseItem) ? get_class($arrayOfContratoClienteDiscadorResponseContratoClienteDiscadorResponseItem) : sprintf('%s(%s)', gettype($arrayOfContratoClienteDiscadorResponseContratoClienteDiscadorResponseItem), var_export($arrayOfContratoClienteDiscadorResponseContratoClienteDiscadorResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ContratoClienteDiscadorResponse property can only contain items of type \StructType\ContratoClienteDiscadorResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ContratoClienteDiscadorResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoClienteDiscadorResponse[] $contratoClienteDiscadorResponse
     * @return \ArrayType\ArrayOfContratoClienteDiscadorResponse
     */
    public function setContratoClienteDiscadorResponse(array $contratoClienteDiscadorResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($contratoClienteDiscadorResponseArrayErrorMessage = self::validateContratoClienteDiscadorResponseForArrayConstraintsFromSetContratoClienteDiscadorResponse($contratoClienteDiscadorResponse))) {
            throw new \InvalidArgumentException($contratoClienteDiscadorResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($contratoClienteDiscadorResponse) || (is_array($contratoClienteDiscadorResponse) && empty($contratoClienteDiscadorResponse))) {
            unset($this->ContratoClienteDiscadorResponse);
        } else {
            $this->ContratoClienteDiscadorResponse = $contratoClienteDiscadorResponse;
        }
        return $this;
    }
    /**
     * Add item to ContratoClienteDiscadorResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoClienteDiscadorResponse $item
     * @return \ArrayType\ArrayOfContratoClienteDiscadorResponse
     */
    public function addToContratoClienteDiscadorResponse(\StructType\ContratoClienteDiscadorResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ContratoClienteDiscadorResponse) {
            throw new \InvalidArgumentException(sprintf('The ContratoClienteDiscadorResponse property can only contain items of type \StructType\ContratoClienteDiscadorResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ContratoClienteDiscadorResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ContratoClienteDiscadorResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ContratoClienteDiscadorResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ContratoClienteDiscadorResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ContratoClienteDiscadorResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ContratoClienteDiscadorResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ContratoClienteDiscadorResponse
     */
    public function getAttributeName()
    {
        return 'ContratoClienteDiscadorResponse';
    }
}
