<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfContratoClienteResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfContratoClienteResponse
 * @subpackage Arrays
 */
class ArrayOfContratoClienteResponse extends AbstractStructArrayBase
{
    /**
     * The ContratoClienteResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContratoClienteResponse[]
     */
    public $ContratoClienteResponse;
    /**
     * Constructor method for ArrayOfContratoClienteResponse
     * @uses ArrayOfContratoClienteResponse::setContratoClienteResponse()
     * @param \StructType\ContratoClienteResponse[] $contratoClienteResponse
     */
    public function __construct(array $contratoClienteResponse = array())
    {
        $this
            ->setContratoClienteResponse($contratoClienteResponse);
    }
    /**
     * Get ContratoClienteResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContratoClienteResponse[]|null
     */
    public function getContratoClienteResponse()
    {
        return isset($this->ContratoClienteResponse) ? $this->ContratoClienteResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setContratoClienteResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContratoClienteResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContratoClienteResponseForArrayConstraintsFromSetContratoClienteResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfContratoClienteResponseContratoClienteResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfContratoClienteResponseContratoClienteResponseItem instanceof \StructType\ContratoClienteResponse) {
                $invalidValues[] = is_object($arrayOfContratoClienteResponseContratoClienteResponseItem) ? get_class($arrayOfContratoClienteResponseContratoClienteResponseItem) : sprintf('%s(%s)', gettype($arrayOfContratoClienteResponseContratoClienteResponseItem), var_export($arrayOfContratoClienteResponseContratoClienteResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ContratoClienteResponse property can only contain items of type \StructType\ContratoClienteResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ContratoClienteResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoClienteResponse[] $contratoClienteResponse
     * @return \ArrayType\ArrayOfContratoClienteResponse
     */
    public function setContratoClienteResponse(array $contratoClienteResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($contratoClienteResponseArrayErrorMessage = self::validateContratoClienteResponseForArrayConstraintsFromSetContratoClienteResponse($contratoClienteResponse))) {
            throw new \InvalidArgumentException($contratoClienteResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($contratoClienteResponse) || (is_array($contratoClienteResponse) && empty($contratoClienteResponse))) {
            unset($this->ContratoClienteResponse);
        } else {
            $this->ContratoClienteResponse = $contratoClienteResponse;
        }
        return $this;
    }
    /**
     * Add item to ContratoClienteResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoClienteResponse $item
     * @return \ArrayType\ArrayOfContratoClienteResponse
     */
    public function addToContratoClienteResponse(\StructType\ContratoClienteResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ContratoClienteResponse) {
            throw new \InvalidArgumentException(sprintf('The ContratoClienteResponse property can only contain items of type \StructType\ContratoClienteResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ContratoClienteResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ContratoClienteResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ContratoClienteResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ContratoClienteResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ContratoClienteResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ContratoClienteResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ContratoClienteResponse
     */
    public function getAttributeName()
    {
        return 'ContratoClienteResponse';
    }
}
