<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfContratoTypeCheckout ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfContratoTypeCheckout
 * @subpackage Arrays
 */
class ArrayOfContratoTypeCheckout extends AbstractStructArrayBase
{
    /**
     * The ContratoTypeCheckout
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContratoTypeCheckout[]
     */
    public $ContratoTypeCheckout;
    /**
     * Constructor method for ArrayOfContratoTypeCheckout
     * @uses ArrayOfContratoTypeCheckout::setContratoTypeCheckout()
     * @param \StructType\ContratoTypeCheckout[] $contratoTypeCheckout
     */
    public function __construct(array $contratoTypeCheckout = array())
    {
        $this
            ->setContratoTypeCheckout($contratoTypeCheckout);
    }
    /**
     * Get ContratoTypeCheckout value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContratoTypeCheckout[]|null
     */
    public function getContratoTypeCheckout()
    {
        return isset($this->ContratoTypeCheckout) ? $this->ContratoTypeCheckout : null;
    }
    /**
     * This method is responsible for validating the values passed to the setContratoTypeCheckout method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContratoTypeCheckout method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContratoTypeCheckoutForArrayConstraintsFromSetContratoTypeCheckout(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfContratoTypeCheckoutContratoTypeCheckoutItem) {
            // validation for constraint: itemType
            if (!$arrayOfContratoTypeCheckoutContratoTypeCheckoutItem instanceof \StructType\ContratoTypeCheckout) {
                $invalidValues[] = is_object($arrayOfContratoTypeCheckoutContratoTypeCheckoutItem) ? get_class($arrayOfContratoTypeCheckoutContratoTypeCheckoutItem) : sprintf('%s(%s)', gettype($arrayOfContratoTypeCheckoutContratoTypeCheckoutItem), var_export($arrayOfContratoTypeCheckoutContratoTypeCheckoutItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ContratoTypeCheckout property can only contain items of type \StructType\ContratoTypeCheckout, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ContratoTypeCheckout value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoTypeCheckout[] $contratoTypeCheckout
     * @return \ArrayType\ArrayOfContratoTypeCheckout
     */
    public function setContratoTypeCheckout(array $contratoTypeCheckout = array())
    {
        // validation for constraint: array
        if ('' !== ($contratoTypeCheckoutArrayErrorMessage = self::validateContratoTypeCheckoutForArrayConstraintsFromSetContratoTypeCheckout($contratoTypeCheckout))) {
            throw new \InvalidArgumentException($contratoTypeCheckoutArrayErrorMessage, __LINE__);
        }
        if (is_null($contratoTypeCheckout) || (is_array($contratoTypeCheckout) && empty($contratoTypeCheckout))) {
            unset($this->ContratoTypeCheckout);
        } else {
            $this->ContratoTypeCheckout = $contratoTypeCheckout;
        }
        return $this;
    }
    /**
     * Add item to ContratoTypeCheckout value
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoTypeCheckout $item
     * @return \ArrayType\ArrayOfContratoTypeCheckout
     */
    public function addToContratoTypeCheckout(\StructType\ContratoTypeCheckout $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ContratoTypeCheckout) {
            throw new \InvalidArgumentException(sprintf('The ContratoTypeCheckout property can only contain items of type \StructType\ContratoTypeCheckout, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ContratoTypeCheckout[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ContratoTypeCheckout|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ContratoTypeCheckout|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ContratoTypeCheckout|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ContratoTypeCheckout|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ContratoTypeCheckout|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ContratoTypeCheckout
     */
    public function getAttributeName()
    {
        return 'ContratoTypeCheckout';
    }
}
