<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfContratoTypePix ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfContratoTypePix
 * @subpackage Arrays
 */
class ArrayOfContratoTypePix extends AbstractStructArrayBase
{
    /**
     * The ContratoTypePix
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContratoTypePix[]
     */
    public $ContratoTypePix;
    /**
     * Constructor method for ArrayOfContratoTypePix
     * @uses ArrayOfContratoTypePix::setContratoTypePix()
     * @param \StructType\ContratoTypePix[] $contratoTypePix
     */
    public function __construct(array $contratoTypePix = array())
    {
        $this
            ->setContratoTypePix($contratoTypePix);
    }
    /**
     * Get ContratoTypePix value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContratoTypePix[]|null
     */
    public function getContratoTypePix()
    {
        return isset($this->ContratoTypePix) ? $this->ContratoTypePix : null;
    }
    /**
     * This method is responsible for validating the values passed to the setContratoTypePix method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContratoTypePix method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContratoTypePixForArrayConstraintsFromSetContratoTypePix(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfContratoTypePixContratoTypePixItem) {
            // validation for constraint: itemType
            if (!$arrayOfContratoTypePixContratoTypePixItem instanceof \StructType\ContratoTypePix) {
                $invalidValues[] = is_object($arrayOfContratoTypePixContratoTypePixItem) ? get_class($arrayOfContratoTypePixContratoTypePixItem) : sprintf('%s(%s)', gettype($arrayOfContratoTypePixContratoTypePixItem), var_export($arrayOfContratoTypePixContratoTypePixItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ContratoTypePix property can only contain items of type \StructType\ContratoTypePix, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ContratoTypePix value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoTypePix[] $contratoTypePix
     * @return \ArrayType\ArrayOfContratoTypePix
     */
    public function setContratoTypePix(array $contratoTypePix = array())
    {
        // validation for constraint: array
        if ('' !== ($contratoTypePixArrayErrorMessage = self::validateContratoTypePixForArrayConstraintsFromSetContratoTypePix($contratoTypePix))) {
            throw new \InvalidArgumentException($contratoTypePixArrayErrorMessage, __LINE__);
        }
        if (is_null($contratoTypePix) || (is_array($contratoTypePix) && empty($contratoTypePix))) {
            unset($this->ContratoTypePix);
        } else {
            $this->ContratoTypePix = $contratoTypePix;
        }
        return $this;
    }
    /**
     * Add item to ContratoTypePix value
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoTypePix $item
     * @return \ArrayType\ArrayOfContratoTypePix
     */
    public function addToContratoTypePix(\StructType\ContratoTypePix $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ContratoTypePix) {
            throw new \InvalidArgumentException(sprintf('The ContratoTypePix property can only contain items of type \StructType\ContratoTypePix, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ContratoTypePix[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ContratoTypePix|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ContratoTypePix|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ContratoTypePix|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ContratoTypePix|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ContratoTypePix|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ContratoTypePix
     */
    public function getAttributeName()
    {
        return 'ContratoTypePix';
    }
}
