<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfContratoTypePortal ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfContratoTypePortal
 * @subpackage Arrays
 */
class ArrayOfContratoTypePortal extends AbstractStructArrayBase
{
    /**
     * The ContratoTypePortal
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContratoTypePortal[]
     */
    public $ContratoTypePortal;
    /**
     * Constructor method for ArrayOfContratoTypePortal
     * @uses ArrayOfContratoTypePortal::setContratoTypePortal()
     * @param \StructType\ContratoTypePortal[] $contratoTypePortal
     */
    public function __construct(array $contratoTypePortal = array())
    {
        $this
            ->setContratoTypePortal($contratoTypePortal);
    }
    /**
     * Get ContratoTypePortal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContratoTypePortal[]|null
     */
    public function getContratoTypePortal()
    {
        return isset($this->ContratoTypePortal) ? $this->ContratoTypePortal : null;
    }
    /**
     * This method is responsible for validating the values passed to the setContratoTypePortal method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContratoTypePortal method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContratoTypePortalForArrayConstraintsFromSetContratoTypePortal(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfContratoTypePortalContratoTypePortalItem) {
            // validation for constraint: itemType
            if (!$arrayOfContratoTypePortalContratoTypePortalItem instanceof \StructType\ContratoTypePortal) {
                $invalidValues[] = is_object($arrayOfContratoTypePortalContratoTypePortalItem) ? get_class($arrayOfContratoTypePortalContratoTypePortalItem) : sprintf('%s(%s)', gettype($arrayOfContratoTypePortalContratoTypePortalItem), var_export($arrayOfContratoTypePortalContratoTypePortalItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ContratoTypePortal property can only contain items of type \StructType\ContratoTypePortal, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ContratoTypePortal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoTypePortal[] $contratoTypePortal
     * @return \ArrayType\ArrayOfContratoTypePortal
     */
    public function setContratoTypePortal(array $contratoTypePortal = array())
    {
        // validation for constraint: array
        if ('' !== ($contratoTypePortalArrayErrorMessage = self::validateContratoTypePortalForArrayConstraintsFromSetContratoTypePortal($contratoTypePortal))) {
            throw new \InvalidArgumentException($contratoTypePortalArrayErrorMessage, __LINE__);
        }
        if (is_null($contratoTypePortal) || (is_array($contratoTypePortal) && empty($contratoTypePortal))) {
            unset($this->ContratoTypePortal);
        } else {
            $this->ContratoTypePortal = $contratoTypePortal;
        }
        return $this;
    }
    /**
     * Add item to ContratoTypePortal value
     * @throws \InvalidArgumentException
     * @param \StructType\ContratoTypePortal $item
     * @return \ArrayType\ArrayOfContratoTypePortal
     */
    public function addToContratoTypePortal(\StructType\ContratoTypePortal $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ContratoTypePortal) {
            throw new \InvalidArgumentException(sprintf('The ContratoTypePortal property can only contain items of type \StructType\ContratoTypePortal, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ContratoTypePortal[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ContratoTypePortal|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ContratoTypePortal|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ContratoTypePortal|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ContratoTypePortal|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ContratoTypePortal|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ContratoTypePortal
     */
    public function getAttributeName()
    {
        return 'ContratoTypePortal';
    }
}
