<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfContratosDistribuidosResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfContratosDistribuidosResponse
 * @subpackage Arrays
 */
class ArrayOfContratosDistribuidosResponse extends AbstractStructArrayBase
{
    /**
     * The ContratosDistribuidosResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContratosDistribuidosResponse[]
     */
    public $ContratosDistribuidosResponse;
    /**
     * Constructor method for ArrayOfContratosDistribuidosResponse
     * @uses ArrayOfContratosDistribuidosResponse::setContratosDistribuidosResponse()
     * @param \StructType\ContratosDistribuidosResponse[] $contratosDistribuidosResponse
     */
    public function __construct(array $contratosDistribuidosResponse = array())
    {
        $this
            ->setContratosDistribuidosResponse($contratosDistribuidosResponse);
    }
    /**
     * Get ContratosDistribuidosResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContratosDistribuidosResponse[]|null
     */
    public function getContratosDistribuidosResponse()
    {
        return isset($this->ContratosDistribuidosResponse) ? $this->ContratosDistribuidosResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setContratosDistribuidosResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContratosDistribuidosResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContratosDistribuidosResponseForArrayConstraintsFromSetContratosDistribuidosResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfContratosDistribuidosResponseContratosDistribuidosResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfContratosDistribuidosResponseContratosDistribuidosResponseItem instanceof \StructType\ContratosDistribuidosResponse) {
                $invalidValues[] = is_object($arrayOfContratosDistribuidosResponseContratosDistribuidosResponseItem) ? get_class($arrayOfContratosDistribuidosResponseContratosDistribuidosResponseItem) : sprintf('%s(%s)', gettype($arrayOfContratosDistribuidosResponseContratosDistribuidosResponseItem), var_export($arrayOfContratosDistribuidosResponseContratosDistribuidosResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ContratosDistribuidosResponse property can only contain items of type \StructType\ContratosDistribuidosResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ContratosDistribuidosResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ContratosDistribuidosResponse[] $contratosDistribuidosResponse
     * @return \ArrayType\ArrayOfContratosDistribuidosResponse
     */
    public function setContratosDistribuidosResponse(array $contratosDistribuidosResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($contratosDistribuidosResponseArrayErrorMessage = self::validateContratosDistribuidosResponseForArrayConstraintsFromSetContratosDistribuidosResponse($contratosDistribuidosResponse))) {
            throw new \InvalidArgumentException($contratosDistribuidosResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($contratosDistribuidosResponse) || (is_array($contratosDistribuidosResponse) && empty($contratosDistribuidosResponse))) {
            unset($this->ContratosDistribuidosResponse);
        } else {
            $this->ContratosDistribuidosResponse = $contratosDistribuidosResponse;
        }
        return $this;
    }
    /**
     * Add item to ContratosDistribuidosResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ContratosDistribuidosResponse $item
     * @return \ArrayType\ArrayOfContratosDistribuidosResponse
     */
    public function addToContratosDistribuidosResponse(\StructType\ContratosDistribuidosResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ContratosDistribuidosResponse) {
            throw new \InvalidArgumentException(sprintf('The ContratosDistribuidosResponse property can only contain items of type \StructType\ContratosDistribuidosResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ContratosDistribuidosResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ContratosDistribuidosResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ContratosDistribuidosResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ContratosDistribuidosResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ContratosDistribuidosResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ContratosDistribuidosResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ContratosDistribuidosResponse
     */
    public function getAttributeName()
    {
        return 'ContratosDistribuidosResponse';
    }
}
