<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDataCalculoOpcao ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfDataCalculoOpcao
 * @subpackage Arrays
 */
class ArrayOfDataCalculoOpcao extends AbstractStructArrayBase
{
    /**
     * The DataCalculoOpcao
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DataCalculoOpcao[]
     */
    public $DataCalculoOpcao;
    /**
     * Constructor method for ArrayOfDataCalculoOpcao
     * @uses ArrayOfDataCalculoOpcao::setDataCalculoOpcao()
     * @param \StructType\DataCalculoOpcao[] $dataCalculoOpcao
     */
    public function __construct(array $dataCalculoOpcao = array())
    {
        $this
            ->setDataCalculoOpcao($dataCalculoOpcao);
    }
    /**
     * Get DataCalculoOpcao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DataCalculoOpcao[]|null
     */
    public function getDataCalculoOpcao()
    {
        return isset($this->DataCalculoOpcao) ? $this->DataCalculoOpcao : null;
    }
    /**
     * This method is responsible for validating the values passed to the setDataCalculoOpcao method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDataCalculoOpcao method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDataCalculoOpcaoForArrayConstraintsFromSetDataCalculoOpcao(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDataCalculoOpcaoDataCalculoOpcaoItem) {
            // validation for constraint: itemType
            if (!$arrayOfDataCalculoOpcaoDataCalculoOpcaoItem instanceof \StructType\DataCalculoOpcao) {
                $invalidValues[] = is_object($arrayOfDataCalculoOpcaoDataCalculoOpcaoItem) ? get_class($arrayOfDataCalculoOpcaoDataCalculoOpcaoItem) : sprintf('%s(%s)', gettype($arrayOfDataCalculoOpcaoDataCalculoOpcaoItem), var_export($arrayOfDataCalculoOpcaoDataCalculoOpcaoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DataCalculoOpcao property can only contain items of type \StructType\DataCalculoOpcao, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DataCalculoOpcao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\DataCalculoOpcao[] $dataCalculoOpcao
     * @return \ArrayType\ArrayOfDataCalculoOpcao
     */
    public function setDataCalculoOpcao(array $dataCalculoOpcao = array())
    {
        // validation for constraint: array
        if ('' !== ($dataCalculoOpcaoArrayErrorMessage = self::validateDataCalculoOpcaoForArrayConstraintsFromSetDataCalculoOpcao($dataCalculoOpcao))) {
            throw new \InvalidArgumentException($dataCalculoOpcaoArrayErrorMessage, __LINE__);
        }
        if (is_null($dataCalculoOpcao) || (is_array($dataCalculoOpcao) && empty($dataCalculoOpcao))) {
            unset($this->DataCalculoOpcao);
        } else {
            $this->DataCalculoOpcao = $dataCalculoOpcao;
        }
        return $this;
    }
    /**
     * Add item to DataCalculoOpcao value
     * @throws \InvalidArgumentException
     * @param \StructType\DataCalculoOpcao $item
     * @return \ArrayType\ArrayOfDataCalculoOpcao
     */
    public function addToDataCalculoOpcao(\StructType\DataCalculoOpcao $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DataCalculoOpcao) {
            throw new \InvalidArgumentException(sprintf('The DataCalculoOpcao property can only contain items of type \StructType\DataCalculoOpcao, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DataCalculoOpcao[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\DataCalculoOpcao|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\DataCalculoOpcao|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\DataCalculoOpcao|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\DataCalculoOpcao|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\DataCalculoOpcao|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DataCalculoOpcao
     */
    public function getAttributeName()
    {
        return 'DataCalculoOpcao';
    }
}
