<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDevolucaoParcialRequest ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfDevolucaoParcialRequest
 * @subpackage Arrays
 */
class ArrayOfDevolucaoParcialRequest extends AbstractStructArrayBase
{
    /**
     * The DevolucaoParcialRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DevolucaoParcialRequest[]
     */
    public $DevolucaoParcialRequest;
    /**
     * Constructor method for ArrayOfDevolucaoParcialRequest
     * @uses ArrayOfDevolucaoParcialRequest::setDevolucaoParcialRequest()
     * @param \StructType\DevolucaoParcialRequest[] $devolucaoParcialRequest
     */
    public function __construct(array $devolucaoParcialRequest = array())
    {
        $this
            ->setDevolucaoParcialRequest($devolucaoParcialRequest);
    }
    /**
     * Get DevolucaoParcialRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DevolucaoParcialRequest[]|null
     */
    public function getDevolucaoParcialRequest()
    {
        return isset($this->DevolucaoParcialRequest) ? $this->DevolucaoParcialRequest : null;
    }
    /**
     * This method is responsible for validating the values passed to the setDevolucaoParcialRequest method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDevolucaoParcialRequest method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDevolucaoParcialRequestForArrayConstraintsFromSetDevolucaoParcialRequest(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDevolucaoParcialRequestDevolucaoParcialRequestItem) {
            // validation for constraint: itemType
            if (!$arrayOfDevolucaoParcialRequestDevolucaoParcialRequestItem instanceof \StructType\DevolucaoParcialRequest) {
                $invalidValues[] = is_object($arrayOfDevolucaoParcialRequestDevolucaoParcialRequestItem) ? get_class($arrayOfDevolucaoParcialRequestDevolucaoParcialRequestItem) : sprintf('%s(%s)', gettype($arrayOfDevolucaoParcialRequestDevolucaoParcialRequestItem), var_export($arrayOfDevolucaoParcialRequestDevolucaoParcialRequestItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DevolucaoParcialRequest property can only contain items of type \StructType\DevolucaoParcialRequest, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DevolucaoParcialRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\DevolucaoParcialRequest[] $devolucaoParcialRequest
     * @return \ArrayType\ArrayOfDevolucaoParcialRequest
     */
    public function setDevolucaoParcialRequest(array $devolucaoParcialRequest = array())
    {
        // validation for constraint: array
        if ('' !== ($devolucaoParcialRequestArrayErrorMessage = self::validateDevolucaoParcialRequestForArrayConstraintsFromSetDevolucaoParcialRequest($devolucaoParcialRequest))) {
            throw new \InvalidArgumentException($devolucaoParcialRequestArrayErrorMessage, __LINE__);
        }
        if (is_null($devolucaoParcialRequest) || (is_array($devolucaoParcialRequest) && empty($devolucaoParcialRequest))) {
            unset($this->DevolucaoParcialRequest);
        } else {
            $this->DevolucaoParcialRequest = $devolucaoParcialRequest;
        }
        return $this;
    }
    /**
     * Add item to DevolucaoParcialRequest value
     * @throws \InvalidArgumentException
     * @param \StructType\DevolucaoParcialRequest $item
     * @return \ArrayType\ArrayOfDevolucaoParcialRequest
     */
    public function addToDevolucaoParcialRequest(\StructType\DevolucaoParcialRequest $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DevolucaoParcialRequest) {
            throw new \InvalidArgumentException(sprintf('The DevolucaoParcialRequest property can only contain items of type \StructType\DevolucaoParcialRequest, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DevolucaoParcialRequest[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\DevolucaoParcialRequest|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\DevolucaoParcialRequest|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\DevolucaoParcialRequest|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\DevolucaoParcialRequest|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\DevolucaoParcialRequest|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DevolucaoParcialRequest
     */
    public function getAttributeName()
    {
        return 'DevolucaoParcialRequest';
    }
}
