<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEnderecoResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfEnderecoResponse
 * @subpackage Arrays
 */
class ArrayOfEnderecoResponse extends AbstractStructArrayBase
{
    /**
     * The EnderecoResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EnderecoResponse[]
     */
    public $EnderecoResponse;
    /**
     * Constructor method for ArrayOfEnderecoResponse
     * @uses ArrayOfEnderecoResponse::setEnderecoResponse()
     * @param \StructType\EnderecoResponse[] $enderecoResponse
     */
    public function __construct(array $enderecoResponse = array())
    {
        $this
            ->setEnderecoResponse($enderecoResponse);
    }
    /**
     * Get EnderecoResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EnderecoResponse[]|null
     */
    public function getEnderecoResponse()
    {
        return isset($this->EnderecoResponse) ? $this->EnderecoResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEnderecoResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEnderecoResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEnderecoResponseForArrayConstraintsFromSetEnderecoResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEnderecoResponseEnderecoResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfEnderecoResponseEnderecoResponseItem instanceof \StructType\EnderecoResponse) {
                $invalidValues[] = is_object($arrayOfEnderecoResponseEnderecoResponseItem) ? get_class($arrayOfEnderecoResponseEnderecoResponseItem) : sprintf('%s(%s)', gettype($arrayOfEnderecoResponseEnderecoResponseItem), var_export($arrayOfEnderecoResponseEnderecoResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EnderecoResponse property can only contain items of type \StructType\EnderecoResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EnderecoResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EnderecoResponse[] $enderecoResponse
     * @return \ArrayType\ArrayOfEnderecoResponse
     */
    public function setEnderecoResponse(array $enderecoResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($enderecoResponseArrayErrorMessage = self::validateEnderecoResponseForArrayConstraintsFromSetEnderecoResponse($enderecoResponse))) {
            throw new \InvalidArgumentException($enderecoResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($enderecoResponse) || (is_array($enderecoResponse) && empty($enderecoResponse))) {
            unset($this->EnderecoResponse);
        } else {
            $this->EnderecoResponse = $enderecoResponse;
        }
        return $this;
    }
    /**
     * Add item to EnderecoResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\EnderecoResponse $item
     * @return \ArrayType\ArrayOfEnderecoResponse
     */
    public function addToEnderecoResponse(\StructType\EnderecoResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EnderecoResponse) {
            throw new \InvalidArgumentException(sprintf('The EnderecoResponse property can only contain items of type \StructType\EnderecoResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EnderecoResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EnderecoResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EnderecoResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EnderecoResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EnderecoResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EnderecoResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EnderecoResponse
     */
    public function getAttributeName()
    {
        return 'EnderecoResponse';
    }
}
