<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEventoClienteResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfEventoClienteResponse
 * @subpackage Arrays
 */
class ArrayOfEventoClienteResponse extends AbstractStructArrayBase
{
    /**
     * The EventoClienteResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EventoClienteResponse[]
     */
    public $EventoClienteResponse;
    /**
     * Constructor method for ArrayOfEventoClienteResponse
     * @uses ArrayOfEventoClienteResponse::setEventoClienteResponse()
     * @param \StructType\EventoClienteResponse[] $eventoClienteResponse
     */
    public function __construct(array $eventoClienteResponse = array())
    {
        $this
            ->setEventoClienteResponse($eventoClienteResponse);
    }
    /**
     * Get EventoClienteResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EventoClienteResponse[]|null
     */
    public function getEventoClienteResponse()
    {
        return isset($this->EventoClienteResponse) ? $this->EventoClienteResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEventoClienteResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEventoClienteResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEventoClienteResponseForArrayConstraintsFromSetEventoClienteResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEventoClienteResponseEventoClienteResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfEventoClienteResponseEventoClienteResponseItem instanceof \StructType\EventoClienteResponse) {
                $invalidValues[] = is_object($arrayOfEventoClienteResponseEventoClienteResponseItem) ? get_class($arrayOfEventoClienteResponseEventoClienteResponseItem) : sprintf('%s(%s)', gettype($arrayOfEventoClienteResponseEventoClienteResponseItem), var_export($arrayOfEventoClienteResponseEventoClienteResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EventoClienteResponse property can only contain items of type \StructType\EventoClienteResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EventoClienteResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EventoClienteResponse[] $eventoClienteResponse
     * @return \ArrayType\ArrayOfEventoClienteResponse
     */
    public function setEventoClienteResponse(array $eventoClienteResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($eventoClienteResponseArrayErrorMessage = self::validateEventoClienteResponseForArrayConstraintsFromSetEventoClienteResponse($eventoClienteResponse))) {
            throw new \InvalidArgumentException($eventoClienteResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($eventoClienteResponse) || (is_array($eventoClienteResponse) && empty($eventoClienteResponse))) {
            unset($this->EventoClienteResponse);
        } else {
            $this->EventoClienteResponse = $eventoClienteResponse;
        }
        return $this;
    }
    /**
     * Add item to EventoClienteResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\EventoClienteResponse $item
     * @return \ArrayType\ArrayOfEventoClienteResponse
     */
    public function addToEventoClienteResponse(\StructType\EventoClienteResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EventoClienteResponse) {
            throw new \InvalidArgumentException(sprintf('The EventoClienteResponse property can only contain items of type \StructType\EventoClienteResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EventoClienteResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EventoClienteResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EventoClienteResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EventoClienteResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EventoClienteResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EventoClienteResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EventoClienteResponse
     */
    public function getAttributeName()
    {
        return 'EventoClienteResponse';
    }
}
