<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEventoContratoResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfEventoContratoResponse
 * @subpackage Arrays
 */
class ArrayOfEventoContratoResponse extends AbstractStructArrayBase
{
    /**
     * The EventoContratoResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EventoContratoResponse[]
     */
    public $EventoContratoResponse;
    /**
     * Constructor method for ArrayOfEventoContratoResponse
     * @uses ArrayOfEventoContratoResponse::setEventoContratoResponse()
     * @param \StructType\EventoContratoResponse[] $eventoContratoResponse
     */
    public function __construct(array $eventoContratoResponse = array())
    {
        $this
            ->setEventoContratoResponse($eventoContratoResponse);
    }
    /**
     * Get EventoContratoResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EventoContratoResponse[]|null
     */
    public function getEventoContratoResponse()
    {
        return isset($this->EventoContratoResponse) ? $this->EventoContratoResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEventoContratoResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEventoContratoResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEventoContratoResponseForArrayConstraintsFromSetEventoContratoResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEventoContratoResponseEventoContratoResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfEventoContratoResponseEventoContratoResponseItem instanceof \StructType\EventoContratoResponse) {
                $invalidValues[] = is_object($arrayOfEventoContratoResponseEventoContratoResponseItem) ? get_class($arrayOfEventoContratoResponseEventoContratoResponseItem) : sprintf('%s(%s)', gettype($arrayOfEventoContratoResponseEventoContratoResponseItem), var_export($arrayOfEventoContratoResponseEventoContratoResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EventoContratoResponse property can only contain items of type \StructType\EventoContratoResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EventoContratoResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EventoContratoResponse[] $eventoContratoResponse
     * @return \ArrayType\ArrayOfEventoContratoResponse
     */
    public function setEventoContratoResponse(array $eventoContratoResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($eventoContratoResponseArrayErrorMessage = self::validateEventoContratoResponseForArrayConstraintsFromSetEventoContratoResponse($eventoContratoResponse))) {
            throw new \InvalidArgumentException($eventoContratoResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($eventoContratoResponse) || (is_array($eventoContratoResponse) && empty($eventoContratoResponse))) {
            unset($this->EventoContratoResponse);
        } else {
            $this->EventoContratoResponse = $eventoContratoResponse;
        }
        return $this;
    }
    /**
     * Add item to EventoContratoResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\EventoContratoResponse $item
     * @return \ArrayType\ArrayOfEventoContratoResponse
     */
    public function addToEventoContratoResponse(\StructType\EventoContratoResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EventoContratoResponse) {
            throw new \InvalidArgumentException(sprintf('The EventoContratoResponse property can only contain items of type \StructType\EventoContratoResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EventoContratoResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EventoContratoResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EventoContratoResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EventoContratoResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EventoContratoResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EventoContratoResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EventoContratoResponse
     */
    public function getAttributeName()
    {
        return 'EventoContratoResponse';
    }
}
