<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEventoResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfEventoResponse
 * @subpackage Arrays
 */
class ArrayOfEventoResponse extends AbstractStructArrayBase
{
    /**
     * The EventoResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EventoResponse[]
     */
    public $EventoResponse;
    /**
     * Constructor method for ArrayOfEventoResponse
     * @uses ArrayOfEventoResponse::setEventoResponse()
     * @param \StructType\EventoResponse[] $eventoResponse
     */
    public function __construct(array $eventoResponse = array())
    {
        $this
            ->setEventoResponse($eventoResponse);
    }
    /**
     * Get EventoResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EventoResponse[]|null
     */
    public function getEventoResponse()
    {
        return isset($this->EventoResponse) ? $this->EventoResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEventoResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEventoResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEventoResponseForArrayConstraintsFromSetEventoResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEventoResponseEventoResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfEventoResponseEventoResponseItem instanceof \StructType\EventoResponse) {
                $invalidValues[] = is_object($arrayOfEventoResponseEventoResponseItem) ? get_class($arrayOfEventoResponseEventoResponseItem) : sprintf('%s(%s)', gettype($arrayOfEventoResponseEventoResponseItem), var_export($arrayOfEventoResponseEventoResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EventoResponse property can only contain items of type \StructType\EventoResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EventoResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EventoResponse[] $eventoResponse
     * @return \ArrayType\ArrayOfEventoResponse
     */
    public function setEventoResponse(array $eventoResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($eventoResponseArrayErrorMessage = self::validateEventoResponseForArrayConstraintsFromSetEventoResponse($eventoResponse))) {
            throw new \InvalidArgumentException($eventoResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($eventoResponse) || (is_array($eventoResponse) && empty($eventoResponse))) {
            unset($this->EventoResponse);
        } else {
            $this->EventoResponse = $eventoResponse;
        }
        return $this;
    }
    /**
     * Add item to EventoResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\EventoResponse $item
     * @return \ArrayType\ArrayOfEventoResponse
     */
    public function addToEventoResponse(\StructType\EventoResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EventoResponse) {
            throw new \InvalidArgumentException(sprintf('The EventoResponse property can only contain items of type \StructType\EventoResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EventoResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EventoResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EventoResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EventoResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EventoResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EventoResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EventoResponse
     */
    public function getAttributeName()
    {
        return 'EventoResponse';
    }
}
