<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfFormaPagamentoCobChatType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfFormaPagamentoCobChatType
 * @subpackage Arrays
 */
class ArrayOfFormaPagamentoCobChatType extends AbstractStructArrayBase
{
    /**
     * The FormaPagamentoCobChatType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FormaPagamentoCobChatType[]
     */
    public $FormaPagamentoCobChatType;
    /**
     * Constructor method for ArrayOfFormaPagamentoCobChatType
     * @uses ArrayOfFormaPagamentoCobChatType::setFormaPagamentoCobChatType()
     * @param \StructType\FormaPagamentoCobChatType[] $formaPagamentoCobChatType
     */
    public function __construct(array $formaPagamentoCobChatType = array())
    {
        $this
            ->setFormaPagamentoCobChatType($formaPagamentoCobChatType);
    }
    /**
     * Get FormaPagamentoCobChatType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FormaPagamentoCobChatType[]|null
     */
    public function getFormaPagamentoCobChatType()
    {
        return isset($this->FormaPagamentoCobChatType) ? $this->FormaPagamentoCobChatType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setFormaPagamentoCobChatType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setFormaPagamentoCobChatType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateFormaPagamentoCobChatTypeForArrayConstraintsFromSetFormaPagamentoCobChatType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfFormaPagamentoCobChatTypeFormaPagamentoCobChatTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfFormaPagamentoCobChatTypeFormaPagamentoCobChatTypeItem instanceof \StructType\FormaPagamentoCobChatType) {
                $invalidValues[] = is_object($arrayOfFormaPagamentoCobChatTypeFormaPagamentoCobChatTypeItem) ? get_class($arrayOfFormaPagamentoCobChatTypeFormaPagamentoCobChatTypeItem) : sprintf('%s(%s)', gettype($arrayOfFormaPagamentoCobChatTypeFormaPagamentoCobChatTypeItem), var_export($arrayOfFormaPagamentoCobChatTypeFormaPagamentoCobChatTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The FormaPagamentoCobChatType property can only contain items of type \StructType\FormaPagamentoCobChatType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set FormaPagamentoCobChatType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\FormaPagamentoCobChatType[] $formaPagamentoCobChatType
     * @return \ArrayType\ArrayOfFormaPagamentoCobChatType
     */
    public function setFormaPagamentoCobChatType(array $formaPagamentoCobChatType = array())
    {
        // validation for constraint: array
        if ('' !== ($formaPagamentoCobChatTypeArrayErrorMessage = self::validateFormaPagamentoCobChatTypeForArrayConstraintsFromSetFormaPagamentoCobChatType($formaPagamentoCobChatType))) {
            throw new \InvalidArgumentException($formaPagamentoCobChatTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($formaPagamentoCobChatType) || (is_array($formaPagamentoCobChatType) && empty($formaPagamentoCobChatType))) {
            unset($this->FormaPagamentoCobChatType);
        } else {
            $this->FormaPagamentoCobChatType = $formaPagamentoCobChatType;
        }
        return $this;
    }
    /**
     * Add item to FormaPagamentoCobChatType value
     * @throws \InvalidArgumentException
     * @param \StructType\FormaPagamentoCobChatType $item
     * @return \ArrayType\ArrayOfFormaPagamentoCobChatType
     */
    public function addToFormaPagamentoCobChatType(\StructType\FormaPagamentoCobChatType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\FormaPagamentoCobChatType) {
            throw new \InvalidArgumentException(sprintf('The FormaPagamentoCobChatType property can only contain items of type \StructType\FormaPagamentoCobChatType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->FormaPagamentoCobChatType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\FormaPagamentoCobChatType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\FormaPagamentoCobChatType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\FormaPagamentoCobChatType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\FormaPagamentoCobChatType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\FormaPagamentoCobChatType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string FormaPagamentoCobChatType
     */
    public function getAttributeName()
    {
        return 'FormaPagamentoCobChatType';
    }
}
