<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfFormaPagamentoType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfFormaPagamentoType
 * @subpackage Arrays
 */
class ArrayOfFormaPagamentoType extends AbstractStructArrayBase
{
    /**
     * The FormaPagamentoType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FormaPagamentoType[]
     */
    public $FormaPagamentoType;
    /**
     * Constructor method for ArrayOfFormaPagamentoType
     * @uses ArrayOfFormaPagamentoType::setFormaPagamentoType()
     * @param \StructType\FormaPagamentoType[] $formaPagamentoType
     */
    public function __construct(array $formaPagamentoType = array())
    {
        $this
            ->setFormaPagamentoType($formaPagamentoType);
    }
    /**
     * Get FormaPagamentoType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FormaPagamentoType[]|null
     */
    public function getFormaPagamentoType()
    {
        return isset($this->FormaPagamentoType) ? $this->FormaPagamentoType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setFormaPagamentoType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setFormaPagamentoType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateFormaPagamentoTypeForArrayConstraintsFromSetFormaPagamentoType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfFormaPagamentoTypeFormaPagamentoTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfFormaPagamentoTypeFormaPagamentoTypeItem instanceof \StructType\FormaPagamentoType) {
                $invalidValues[] = is_object($arrayOfFormaPagamentoTypeFormaPagamentoTypeItem) ? get_class($arrayOfFormaPagamentoTypeFormaPagamentoTypeItem) : sprintf('%s(%s)', gettype($arrayOfFormaPagamentoTypeFormaPagamentoTypeItem), var_export($arrayOfFormaPagamentoTypeFormaPagamentoTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The FormaPagamentoType property can only contain items of type \StructType\FormaPagamentoType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set FormaPagamentoType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\FormaPagamentoType[] $formaPagamentoType
     * @return \ArrayType\ArrayOfFormaPagamentoType
     */
    public function setFormaPagamentoType(array $formaPagamentoType = array())
    {
        // validation for constraint: array
        if ('' !== ($formaPagamentoTypeArrayErrorMessage = self::validateFormaPagamentoTypeForArrayConstraintsFromSetFormaPagamentoType($formaPagamentoType))) {
            throw new \InvalidArgumentException($formaPagamentoTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($formaPagamentoType) || (is_array($formaPagamentoType) && empty($formaPagamentoType))) {
            unset($this->FormaPagamentoType);
        } else {
            $this->FormaPagamentoType = $formaPagamentoType;
        }
        return $this;
    }
    /**
     * Add item to FormaPagamentoType value
     * @throws \InvalidArgumentException
     * @param \StructType\FormaPagamentoType $item
     * @return \ArrayType\ArrayOfFormaPagamentoType
     */
    public function addToFormaPagamentoType(\StructType\FormaPagamentoType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\FormaPagamentoType) {
            throw new \InvalidArgumentException(sprintf('The FormaPagamentoType property can only contain items of type \StructType\FormaPagamentoType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->FormaPagamentoType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\FormaPagamentoType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\FormaPagamentoType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\FormaPagamentoType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\FormaPagamentoType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\FormaPagamentoType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string FormaPagamentoType
     */
    public function getAttributeName()
    {
        return 'FormaPagamentoType';
    }
}
