<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfFormaPagamentoUraType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfFormaPagamentoUraType
 * @subpackage Arrays
 */
class ArrayOfFormaPagamentoUraType extends AbstractStructArrayBase
{
    /**
     * The FormaPagamentoUraType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FormaPagamentoUraType[]
     */
    public $FormaPagamentoUraType;
    /**
     * Constructor method for ArrayOfFormaPagamentoUraType
     * @uses ArrayOfFormaPagamentoUraType::setFormaPagamentoUraType()
     * @param \StructType\FormaPagamentoUraType[] $formaPagamentoUraType
     */
    public function __construct(array $formaPagamentoUraType = array())
    {
        $this
            ->setFormaPagamentoUraType($formaPagamentoUraType);
    }
    /**
     * Get FormaPagamentoUraType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FormaPagamentoUraType[]|null
     */
    public function getFormaPagamentoUraType()
    {
        return isset($this->FormaPagamentoUraType) ? $this->FormaPagamentoUraType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setFormaPagamentoUraType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setFormaPagamentoUraType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateFormaPagamentoUraTypeForArrayConstraintsFromSetFormaPagamentoUraType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfFormaPagamentoUraTypeFormaPagamentoUraTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfFormaPagamentoUraTypeFormaPagamentoUraTypeItem instanceof \StructType\FormaPagamentoUraType) {
                $invalidValues[] = is_object($arrayOfFormaPagamentoUraTypeFormaPagamentoUraTypeItem) ? get_class($arrayOfFormaPagamentoUraTypeFormaPagamentoUraTypeItem) : sprintf('%s(%s)', gettype($arrayOfFormaPagamentoUraTypeFormaPagamentoUraTypeItem), var_export($arrayOfFormaPagamentoUraTypeFormaPagamentoUraTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The FormaPagamentoUraType property can only contain items of type \StructType\FormaPagamentoUraType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set FormaPagamentoUraType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\FormaPagamentoUraType[] $formaPagamentoUraType
     * @return \ArrayType\ArrayOfFormaPagamentoUraType
     */
    public function setFormaPagamentoUraType(array $formaPagamentoUraType = array())
    {
        // validation for constraint: array
        if ('' !== ($formaPagamentoUraTypeArrayErrorMessage = self::validateFormaPagamentoUraTypeForArrayConstraintsFromSetFormaPagamentoUraType($formaPagamentoUraType))) {
            throw new \InvalidArgumentException($formaPagamentoUraTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($formaPagamentoUraType) || (is_array($formaPagamentoUraType) && empty($formaPagamentoUraType))) {
            unset($this->FormaPagamentoUraType);
        } else {
            $this->FormaPagamentoUraType = $formaPagamentoUraType;
        }
        return $this;
    }
    /**
     * Add item to FormaPagamentoUraType value
     * @throws \InvalidArgumentException
     * @param \StructType\FormaPagamentoUraType $item
     * @return \ArrayType\ArrayOfFormaPagamentoUraType
     */
    public function addToFormaPagamentoUraType(\StructType\FormaPagamentoUraType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\FormaPagamentoUraType) {
            throw new \InvalidArgumentException(sprintf('The FormaPagamentoUraType property can only contain items of type \StructType\FormaPagamentoUraType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->FormaPagamentoUraType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\FormaPagamentoUraType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\FormaPagamentoUraType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\FormaPagamentoUraType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\FormaPagamentoUraType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\FormaPagamentoUraType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string FormaPagamentoUraType
     */
    public function getAttributeName()
    {
        return 'FormaPagamentoUraType';
    }
}
