<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfOpcesParcelamentoType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfOpcesParcelamentoType
 * @subpackage Arrays
 */
class ArrayOfOpcesParcelamentoType extends AbstractStructArrayBase
{
    /**
     * The OpcesParcelamentoType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OpcesParcelamentoType[]
     */
    public $OpcesParcelamentoType;
    /**
     * Constructor method for ArrayOfOpcesParcelamentoType
     * @uses ArrayOfOpcesParcelamentoType::setOpcesParcelamentoType()
     * @param \StructType\OpcesParcelamentoType[] $opcesParcelamentoType
     */
    public function __construct(array $opcesParcelamentoType = array())
    {
        $this
            ->setOpcesParcelamentoType($opcesParcelamentoType);
    }
    /**
     * Get OpcesParcelamentoType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OpcesParcelamentoType[]|null
     */
    public function getOpcesParcelamentoType()
    {
        return isset($this->OpcesParcelamentoType) ? $this->OpcesParcelamentoType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setOpcesParcelamentoType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setOpcesParcelamentoType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateOpcesParcelamentoTypeForArrayConstraintsFromSetOpcesParcelamentoType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfOpcesParcelamentoTypeOpcesParcelamentoTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfOpcesParcelamentoTypeOpcesParcelamentoTypeItem instanceof \StructType\OpcesParcelamentoType) {
                $invalidValues[] = is_object($arrayOfOpcesParcelamentoTypeOpcesParcelamentoTypeItem) ? get_class($arrayOfOpcesParcelamentoTypeOpcesParcelamentoTypeItem) : sprintf('%s(%s)', gettype($arrayOfOpcesParcelamentoTypeOpcesParcelamentoTypeItem), var_export($arrayOfOpcesParcelamentoTypeOpcesParcelamentoTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The OpcesParcelamentoType property can only contain items of type \StructType\OpcesParcelamentoType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set OpcesParcelamentoType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\OpcesParcelamentoType[] $opcesParcelamentoType
     * @return \ArrayType\ArrayOfOpcesParcelamentoType
     */
    public function setOpcesParcelamentoType(array $opcesParcelamentoType = array())
    {
        // validation for constraint: array
        if ('' !== ($opcesParcelamentoTypeArrayErrorMessage = self::validateOpcesParcelamentoTypeForArrayConstraintsFromSetOpcesParcelamentoType($opcesParcelamentoType))) {
            throw new \InvalidArgumentException($opcesParcelamentoTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($opcesParcelamentoType) || (is_array($opcesParcelamentoType) && empty($opcesParcelamentoType))) {
            unset($this->OpcesParcelamentoType);
        } else {
            $this->OpcesParcelamentoType = $opcesParcelamentoType;
        }
        return $this;
    }
    /**
     * Add item to OpcesParcelamentoType value
     * @throws \InvalidArgumentException
     * @param \StructType\OpcesParcelamentoType $item
     * @return \ArrayType\ArrayOfOpcesParcelamentoType
     */
    public function addToOpcesParcelamentoType(\StructType\OpcesParcelamentoType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\OpcesParcelamentoType) {
            throw new \InvalidArgumentException(sprintf('The OpcesParcelamentoType property can only contain items of type \StructType\OpcesParcelamentoType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->OpcesParcelamentoType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\OpcesParcelamentoType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\OpcesParcelamentoType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\OpcesParcelamentoType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\OpcesParcelamentoType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\OpcesParcelamentoType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string OpcesParcelamentoType
     */
    public function getAttributeName()
    {
        return 'OpcesParcelamentoType';
    }
}
