<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPagamentoDiretoRequest ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfPagamentoDiretoRequest
 * @subpackage Arrays
 */
class ArrayOfPagamentoDiretoRequest extends AbstractStructArrayBase
{
    /**
     * The PagamentoDiretoRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PagamentoDiretoRequest[]
     */
    public $PagamentoDiretoRequest;
    /**
     * Constructor method for ArrayOfPagamentoDiretoRequest
     * @uses ArrayOfPagamentoDiretoRequest::setPagamentoDiretoRequest()
     * @param \StructType\PagamentoDiretoRequest[] $pagamentoDiretoRequest
     */
    public function __construct(array $pagamentoDiretoRequest = array())
    {
        $this
            ->setPagamentoDiretoRequest($pagamentoDiretoRequest);
    }
    /**
     * Get PagamentoDiretoRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PagamentoDiretoRequest[]|null
     */
    public function getPagamentoDiretoRequest()
    {
        return isset($this->PagamentoDiretoRequest) ? $this->PagamentoDiretoRequest : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPagamentoDiretoRequest method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPagamentoDiretoRequest method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePagamentoDiretoRequestForArrayConstraintsFromSetPagamentoDiretoRequest(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPagamentoDiretoRequestPagamentoDiretoRequestItem) {
            // validation for constraint: itemType
            if (!$arrayOfPagamentoDiretoRequestPagamentoDiretoRequestItem instanceof \StructType\PagamentoDiretoRequest) {
                $invalidValues[] = is_object($arrayOfPagamentoDiretoRequestPagamentoDiretoRequestItem) ? get_class($arrayOfPagamentoDiretoRequestPagamentoDiretoRequestItem) : sprintf('%s(%s)', gettype($arrayOfPagamentoDiretoRequestPagamentoDiretoRequestItem), var_export($arrayOfPagamentoDiretoRequestPagamentoDiretoRequestItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PagamentoDiretoRequest property can only contain items of type \StructType\PagamentoDiretoRequest, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PagamentoDiretoRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\PagamentoDiretoRequest[] $pagamentoDiretoRequest
     * @return \ArrayType\ArrayOfPagamentoDiretoRequest
     */
    public function setPagamentoDiretoRequest(array $pagamentoDiretoRequest = array())
    {
        // validation for constraint: array
        if ('' !== ($pagamentoDiretoRequestArrayErrorMessage = self::validatePagamentoDiretoRequestForArrayConstraintsFromSetPagamentoDiretoRequest($pagamentoDiretoRequest))) {
            throw new \InvalidArgumentException($pagamentoDiretoRequestArrayErrorMessage, __LINE__);
        }
        if (is_null($pagamentoDiretoRequest) || (is_array($pagamentoDiretoRequest) && empty($pagamentoDiretoRequest))) {
            unset($this->PagamentoDiretoRequest);
        } else {
            $this->PagamentoDiretoRequest = $pagamentoDiretoRequest;
        }
        return $this;
    }
    /**
     * Add item to PagamentoDiretoRequest value
     * @throws \InvalidArgumentException
     * @param \StructType\PagamentoDiretoRequest $item
     * @return \ArrayType\ArrayOfPagamentoDiretoRequest
     */
    public function addToPagamentoDiretoRequest(\StructType\PagamentoDiretoRequest $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PagamentoDiretoRequest) {
            throw new \InvalidArgumentException(sprintf('The PagamentoDiretoRequest property can only contain items of type \StructType\PagamentoDiretoRequest, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PagamentoDiretoRequest[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\PagamentoDiretoRequest|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\PagamentoDiretoRequest|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\PagamentoDiretoRequest|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\PagamentoDiretoRequest|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\PagamentoDiretoRequest|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PagamentoDiretoRequest
     */
    public function getAttributeName()
    {
        return 'PagamentoDiretoRequest';
    }
}
