<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPagamentoRenegResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfPagamentoRenegResponse
 * @subpackage Arrays
 */
class ArrayOfPagamentoRenegResponse extends AbstractStructArrayBase
{
    /**
     * The PagamentoRenegResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PagamentoRenegResponse[]
     */
    public $PagamentoRenegResponse;
    /**
     * Constructor method for ArrayOfPagamentoRenegResponse
     * @uses ArrayOfPagamentoRenegResponse::setPagamentoRenegResponse()
     * @param \StructType\PagamentoRenegResponse[] $pagamentoRenegResponse
     */
    public function __construct(array $pagamentoRenegResponse = array())
    {
        $this
            ->setPagamentoRenegResponse($pagamentoRenegResponse);
    }
    /**
     * Get PagamentoRenegResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PagamentoRenegResponse[]|null
     */
    public function getPagamentoRenegResponse()
    {
        return isset($this->PagamentoRenegResponse) ? $this->PagamentoRenegResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPagamentoRenegResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPagamentoRenegResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePagamentoRenegResponseForArrayConstraintsFromSetPagamentoRenegResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPagamentoRenegResponsePagamentoRenegResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfPagamentoRenegResponsePagamentoRenegResponseItem instanceof \StructType\PagamentoRenegResponse) {
                $invalidValues[] = is_object($arrayOfPagamentoRenegResponsePagamentoRenegResponseItem) ? get_class($arrayOfPagamentoRenegResponsePagamentoRenegResponseItem) : sprintf('%s(%s)', gettype($arrayOfPagamentoRenegResponsePagamentoRenegResponseItem), var_export($arrayOfPagamentoRenegResponsePagamentoRenegResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PagamentoRenegResponse property can only contain items of type \StructType\PagamentoRenegResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PagamentoRenegResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\PagamentoRenegResponse[] $pagamentoRenegResponse
     * @return \ArrayType\ArrayOfPagamentoRenegResponse
     */
    public function setPagamentoRenegResponse(array $pagamentoRenegResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($pagamentoRenegResponseArrayErrorMessage = self::validatePagamentoRenegResponseForArrayConstraintsFromSetPagamentoRenegResponse($pagamentoRenegResponse))) {
            throw new \InvalidArgumentException($pagamentoRenegResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($pagamentoRenegResponse) || (is_array($pagamentoRenegResponse) && empty($pagamentoRenegResponse))) {
            unset($this->PagamentoRenegResponse);
        } else {
            $this->PagamentoRenegResponse = $pagamentoRenegResponse;
        }
        return $this;
    }
    /**
     * Add item to PagamentoRenegResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\PagamentoRenegResponse $item
     * @return \ArrayType\ArrayOfPagamentoRenegResponse
     */
    public function addToPagamentoRenegResponse(\StructType\PagamentoRenegResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PagamentoRenegResponse) {
            throw new \InvalidArgumentException(sprintf('The PagamentoRenegResponse property can only contain items of type \StructType\PagamentoRenegResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PagamentoRenegResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\PagamentoRenegResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\PagamentoRenegResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\PagamentoRenegResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\PagamentoRenegResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\PagamentoRenegResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PagamentoRenegResponse
     */
    public function getAttributeName()
    {
        return 'PagamentoRenegResponse';
    }
}
