<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPagamentoResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfPagamentoResponse
 * @subpackage Arrays
 */
class ArrayOfPagamentoResponse extends AbstractStructArrayBase
{
    /**
     * The PagamentoResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PagamentoResponse[]
     */
    public $PagamentoResponse;
    /**
     * Constructor method for ArrayOfPagamentoResponse
     * @uses ArrayOfPagamentoResponse::setPagamentoResponse()
     * @param \StructType\PagamentoResponse[] $pagamentoResponse
     */
    public function __construct(array $pagamentoResponse = array())
    {
        $this
            ->setPagamentoResponse($pagamentoResponse);
    }
    /**
     * Get PagamentoResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PagamentoResponse[]|null
     */
    public function getPagamentoResponse()
    {
        return isset($this->PagamentoResponse) ? $this->PagamentoResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPagamentoResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPagamentoResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePagamentoResponseForArrayConstraintsFromSetPagamentoResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPagamentoResponsePagamentoResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfPagamentoResponsePagamentoResponseItem instanceof \StructType\PagamentoResponse) {
                $invalidValues[] = is_object($arrayOfPagamentoResponsePagamentoResponseItem) ? get_class($arrayOfPagamentoResponsePagamentoResponseItem) : sprintf('%s(%s)', gettype($arrayOfPagamentoResponsePagamentoResponseItem), var_export($arrayOfPagamentoResponsePagamentoResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PagamentoResponse property can only contain items of type \StructType\PagamentoResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PagamentoResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\PagamentoResponse[] $pagamentoResponse
     * @return \ArrayType\ArrayOfPagamentoResponse
     */
    public function setPagamentoResponse(array $pagamentoResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($pagamentoResponseArrayErrorMessage = self::validatePagamentoResponseForArrayConstraintsFromSetPagamentoResponse($pagamentoResponse))) {
            throw new \InvalidArgumentException($pagamentoResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($pagamentoResponse) || (is_array($pagamentoResponse) && empty($pagamentoResponse))) {
            unset($this->PagamentoResponse);
        } else {
            $this->PagamentoResponse = $pagamentoResponse;
        }
        return $this;
    }
    /**
     * Add item to PagamentoResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\PagamentoResponse $item
     * @return \ArrayType\ArrayOfPagamentoResponse
     */
    public function addToPagamentoResponse(\StructType\PagamentoResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PagamentoResponse) {
            throw new \InvalidArgumentException(sprintf('The PagamentoResponse property can only contain items of type \StructType\PagamentoResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PagamentoResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\PagamentoResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\PagamentoResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\PagamentoResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\PagamentoResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\PagamentoResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PagamentoResponse
     */
    public function getAttributeName()
    {
        return 'PagamentoResponse';
    }
}
