<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPagamentosOperadorResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfPagamentosOperadorResponse
 * @subpackage Arrays
 */
class ArrayOfPagamentosOperadorResponse extends AbstractStructArrayBase
{
    /**
     * The PagamentosOperadorResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PagamentosOperadorResponse[]
     */
    public $PagamentosOperadorResponse;
    /**
     * Constructor method for ArrayOfPagamentosOperadorResponse
     * @uses ArrayOfPagamentosOperadorResponse::setPagamentosOperadorResponse()
     * @param \StructType\PagamentosOperadorResponse[] $pagamentosOperadorResponse
     */
    public function __construct(array $pagamentosOperadorResponse = array())
    {
        $this
            ->setPagamentosOperadorResponse($pagamentosOperadorResponse);
    }
    /**
     * Get PagamentosOperadorResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PagamentosOperadorResponse[]|null
     */
    public function getPagamentosOperadorResponse()
    {
        return isset($this->PagamentosOperadorResponse) ? $this->PagamentosOperadorResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPagamentosOperadorResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPagamentosOperadorResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePagamentosOperadorResponseForArrayConstraintsFromSetPagamentosOperadorResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPagamentosOperadorResponsePagamentosOperadorResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfPagamentosOperadorResponsePagamentosOperadorResponseItem instanceof \StructType\PagamentosOperadorResponse) {
                $invalidValues[] = is_object($arrayOfPagamentosOperadorResponsePagamentosOperadorResponseItem) ? get_class($arrayOfPagamentosOperadorResponsePagamentosOperadorResponseItem) : sprintf('%s(%s)', gettype($arrayOfPagamentosOperadorResponsePagamentosOperadorResponseItem), var_export($arrayOfPagamentosOperadorResponsePagamentosOperadorResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PagamentosOperadorResponse property can only contain items of type \StructType\PagamentosOperadorResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PagamentosOperadorResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\PagamentosOperadorResponse[] $pagamentosOperadorResponse
     * @return \ArrayType\ArrayOfPagamentosOperadorResponse
     */
    public function setPagamentosOperadorResponse(array $pagamentosOperadorResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($pagamentosOperadorResponseArrayErrorMessage = self::validatePagamentosOperadorResponseForArrayConstraintsFromSetPagamentosOperadorResponse($pagamentosOperadorResponse))) {
            throw new \InvalidArgumentException($pagamentosOperadorResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($pagamentosOperadorResponse) || (is_array($pagamentosOperadorResponse) && empty($pagamentosOperadorResponse))) {
            unset($this->PagamentosOperadorResponse);
        } else {
            $this->PagamentosOperadorResponse = $pagamentosOperadorResponse;
        }
        return $this;
    }
    /**
     * Add item to PagamentosOperadorResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\PagamentosOperadorResponse $item
     * @return \ArrayType\ArrayOfPagamentosOperadorResponse
     */
    public function addToPagamentosOperadorResponse(\StructType\PagamentosOperadorResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PagamentosOperadorResponse) {
            throw new \InvalidArgumentException(sprintf('The PagamentosOperadorResponse property can only contain items of type \StructType\PagamentosOperadorResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PagamentosOperadorResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\PagamentosOperadorResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\PagamentosOperadorResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\PagamentosOperadorResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\PagamentosOperadorResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\PagamentosOperadorResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PagamentosOperadorResponse
     */
    public function getAttributeName()
    {
        return 'PagamentosOperadorResponse';
    }
}
