<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfParcelaAcordoRequest ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfParcelaAcordoRequest
 * @subpackage Arrays
 */
class ArrayOfParcelaAcordoRequest extends AbstractStructArrayBase
{
    /**
     * The ParcelaAcordoRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ParcelaAcordoRequest[]
     */
    public $ParcelaAcordoRequest;
    /**
     * Constructor method for ArrayOfParcelaAcordoRequest
     * @uses ArrayOfParcelaAcordoRequest::setParcelaAcordoRequest()
     * @param \StructType\ParcelaAcordoRequest[] $parcelaAcordoRequest
     */
    public function __construct(array $parcelaAcordoRequest = array())
    {
        $this
            ->setParcelaAcordoRequest($parcelaAcordoRequest);
    }
    /**
     * Get ParcelaAcordoRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ParcelaAcordoRequest[]|null
     */
    public function getParcelaAcordoRequest()
    {
        return isset($this->ParcelaAcordoRequest) ? $this->ParcelaAcordoRequest : null;
    }
    /**
     * This method is responsible for validating the values passed to the setParcelaAcordoRequest method
     * This method is willingly generated in order to preserve the one-line inline validation within the setParcelaAcordoRequest method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateParcelaAcordoRequestForArrayConstraintsFromSetParcelaAcordoRequest(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfParcelaAcordoRequestParcelaAcordoRequestItem) {
            // validation for constraint: itemType
            if (!$arrayOfParcelaAcordoRequestParcelaAcordoRequestItem instanceof \StructType\ParcelaAcordoRequest) {
                $invalidValues[] = is_object($arrayOfParcelaAcordoRequestParcelaAcordoRequestItem) ? get_class($arrayOfParcelaAcordoRequestParcelaAcordoRequestItem) : sprintf('%s(%s)', gettype($arrayOfParcelaAcordoRequestParcelaAcordoRequestItem), var_export($arrayOfParcelaAcordoRequestParcelaAcordoRequestItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ParcelaAcordoRequest property can only contain items of type \StructType\ParcelaAcordoRequest, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ParcelaAcordoRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaAcordoRequest[] $parcelaAcordoRequest
     * @return \ArrayType\ArrayOfParcelaAcordoRequest
     */
    public function setParcelaAcordoRequest(array $parcelaAcordoRequest = array())
    {
        // validation for constraint: array
        if ('' !== ($parcelaAcordoRequestArrayErrorMessage = self::validateParcelaAcordoRequestForArrayConstraintsFromSetParcelaAcordoRequest($parcelaAcordoRequest))) {
            throw new \InvalidArgumentException($parcelaAcordoRequestArrayErrorMessage, __LINE__);
        }
        if (is_null($parcelaAcordoRequest) || (is_array($parcelaAcordoRequest) && empty($parcelaAcordoRequest))) {
            unset($this->ParcelaAcordoRequest);
        } else {
            $this->ParcelaAcordoRequest = $parcelaAcordoRequest;
        }
        return $this;
    }
    /**
     * Add item to ParcelaAcordoRequest value
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaAcordoRequest $item
     * @return \ArrayType\ArrayOfParcelaAcordoRequest
     */
    public function addToParcelaAcordoRequest(\StructType\ParcelaAcordoRequest $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ParcelaAcordoRequest) {
            throw new \InvalidArgumentException(sprintf('The ParcelaAcordoRequest property can only contain items of type \StructType\ParcelaAcordoRequest, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ParcelaAcordoRequest[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ParcelaAcordoRequest|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ParcelaAcordoRequest|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ParcelaAcordoRequest|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ParcelaAcordoRequest|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ParcelaAcordoRequest|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ParcelaAcordoRequest
     */
    public function getAttributeName()
    {
        return 'ParcelaAcordoRequest';
    }
}
