<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfParcelaAcordoType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfParcelaAcordoType
 * @subpackage Arrays
 */
class ArrayOfParcelaAcordoType extends AbstractStructArrayBase
{
    /**
     * The ParcelaAcordoType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ParcelaAcordoType[]
     */
    public $ParcelaAcordoType;
    /**
     * Constructor method for ArrayOfParcelaAcordoType
     * @uses ArrayOfParcelaAcordoType::setParcelaAcordoType()
     * @param \StructType\ParcelaAcordoType[] $parcelaAcordoType
     */
    public function __construct(array $parcelaAcordoType = array())
    {
        $this
            ->setParcelaAcordoType($parcelaAcordoType);
    }
    /**
     * Get ParcelaAcordoType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ParcelaAcordoType[]|null
     */
    public function getParcelaAcordoType()
    {
        return isset($this->ParcelaAcordoType) ? $this->ParcelaAcordoType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setParcelaAcordoType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setParcelaAcordoType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateParcelaAcordoTypeForArrayConstraintsFromSetParcelaAcordoType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfParcelaAcordoTypeParcelaAcordoTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfParcelaAcordoTypeParcelaAcordoTypeItem instanceof \StructType\ParcelaAcordoType) {
                $invalidValues[] = is_object($arrayOfParcelaAcordoTypeParcelaAcordoTypeItem) ? get_class($arrayOfParcelaAcordoTypeParcelaAcordoTypeItem) : sprintf('%s(%s)', gettype($arrayOfParcelaAcordoTypeParcelaAcordoTypeItem), var_export($arrayOfParcelaAcordoTypeParcelaAcordoTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ParcelaAcordoType property can only contain items of type \StructType\ParcelaAcordoType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ParcelaAcordoType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaAcordoType[] $parcelaAcordoType
     * @return \ArrayType\ArrayOfParcelaAcordoType
     */
    public function setParcelaAcordoType(array $parcelaAcordoType = array())
    {
        // validation for constraint: array
        if ('' !== ($parcelaAcordoTypeArrayErrorMessage = self::validateParcelaAcordoTypeForArrayConstraintsFromSetParcelaAcordoType($parcelaAcordoType))) {
            throw new \InvalidArgumentException($parcelaAcordoTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($parcelaAcordoType) || (is_array($parcelaAcordoType) && empty($parcelaAcordoType))) {
            unset($this->ParcelaAcordoType);
        } else {
            $this->ParcelaAcordoType = $parcelaAcordoType;
        }
        return $this;
    }
    /**
     * Add item to ParcelaAcordoType value
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaAcordoType $item
     * @return \ArrayType\ArrayOfParcelaAcordoType
     */
    public function addToParcelaAcordoType(\StructType\ParcelaAcordoType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ParcelaAcordoType) {
            throw new \InvalidArgumentException(sprintf('The ParcelaAcordoType property can only contain items of type \StructType\ParcelaAcordoType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ParcelaAcordoType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ParcelaAcordoType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ParcelaAcordoType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ParcelaAcordoType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ParcelaAcordoType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ParcelaAcordoType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ParcelaAcordoType
     */
    public function getAttributeName()
    {
        return 'ParcelaAcordoType';
    }
}
