<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfParcelaOriginalRequest ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfParcelaOriginalRequest
 * @subpackage Arrays
 */
class ArrayOfParcelaOriginalRequest extends AbstractStructArrayBase
{
    /**
     * The ParcelaOriginalRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ParcelaOriginalRequest[]
     */
    public $ParcelaOriginalRequest;
    /**
     * Constructor method for ArrayOfParcelaOriginalRequest
     * @uses ArrayOfParcelaOriginalRequest::setParcelaOriginalRequest()
     * @param \StructType\ParcelaOriginalRequest[] $parcelaOriginalRequest
     */
    public function __construct(array $parcelaOriginalRequest = array())
    {
        $this
            ->setParcelaOriginalRequest($parcelaOriginalRequest);
    }
    /**
     * Get ParcelaOriginalRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ParcelaOriginalRequest[]|null
     */
    public function getParcelaOriginalRequest()
    {
        return isset($this->ParcelaOriginalRequest) ? $this->ParcelaOriginalRequest : null;
    }
    /**
     * This method is responsible for validating the values passed to the setParcelaOriginalRequest method
     * This method is willingly generated in order to preserve the one-line inline validation within the setParcelaOriginalRequest method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateParcelaOriginalRequestForArrayConstraintsFromSetParcelaOriginalRequest(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfParcelaOriginalRequestParcelaOriginalRequestItem) {
            // validation for constraint: itemType
            if (!$arrayOfParcelaOriginalRequestParcelaOriginalRequestItem instanceof \StructType\ParcelaOriginalRequest) {
                $invalidValues[] = is_object($arrayOfParcelaOriginalRequestParcelaOriginalRequestItem) ? get_class($arrayOfParcelaOriginalRequestParcelaOriginalRequestItem) : sprintf('%s(%s)', gettype($arrayOfParcelaOriginalRequestParcelaOriginalRequestItem), var_export($arrayOfParcelaOriginalRequestParcelaOriginalRequestItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ParcelaOriginalRequest property can only contain items of type \StructType\ParcelaOriginalRequest, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ParcelaOriginalRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaOriginalRequest[] $parcelaOriginalRequest
     * @return \ArrayType\ArrayOfParcelaOriginalRequest
     */
    public function setParcelaOriginalRequest(array $parcelaOriginalRequest = array())
    {
        // validation for constraint: array
        if ('' !== ($parcelaOriginalRequestArrayErrorMessage = self::validateParcelaOriginalRequestForArrayConstraintsFromSetParcelaOriginalRequest($parcelaOriginalRequest))) {
            throw new \InvalidArgumentException($parcelaOriginalRequestArrayErrorMessage, __LINE__);
        }
        if (is_null($parcelaOriginalRequest) || (is_array($parcelaOriginalRequest) && empty($parcelaOriginalRequest))) {
            unset($this->ParcelaOriginalRequest);
        } else {
            $this->ParcelaOriginalRequest = $parcelaOriginalRequest;
        }
        return $this;
    }
    /**
     * Add item to ParcelaOriginalRequest value
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaOriginalRequest $item
     * @return \ArrayType\ArrayOfParcelaOriginalRequest
     */
    public function addToParcelaOriginalRequest(\StructType\ParcelaOriginalRequest $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ParcelaOriginalRequest) {
            throw new \InvalidArgumentException(sprintf('The ParcelaOriginalRequest property can only contain items of type \StructType\ParcelaOriginalRequest, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ParcelaOriginalRequest[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ParcelaOriginalRequest|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ParcelaOriginalRequest|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ParcelaOriginalRequest|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ParcelaOriginalRequest|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ParcelaOriginalRequest|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ParcelaOriginalRequest
     */
    public function getAttributeName()
    {
        return 'ParcelaOriginalRequest';
    }
}
