<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfParcelaOriginalResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfParcelaOriginalResponse
 * @subpackage Arrays
 */
class ArrayOfParcelaOriginalResponse extends AbstractStructArrayBase
{
    /**
     * The ParcelaOriginalResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ParcelaOriginalResponse[]
     */
    public $ParcelaOriginalResponse;
    /**
     * Constructor method for ArrayOfParcelaOriginalResponse
     * @uses ArrayOfParcelaOriginalResponse::setParcelaOriginalResponse()
     * @param \StructType\ParcelaOriginalResponse[] $parcelaOriginalResponse
     */
    public function __construct(array $parcelaOriginalResponse = array())
    {
        $this
            ->setParcelaOriginalResponse($parcelaOriginalResponse);
    }
    /**
     * Get ParcelaOriginalResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ParcelaOriginalResponse[]|null
     */
    public function getParcelaOriginalResponse()
    {
        return isset($this->ParcelaOriginalResponse) ? $this->ParcelaOriginalResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setParcelaOriginalResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setParcelaOriginalResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateParcelaOriginalResponseForArrayConstraintsFromSetParcelaOriginalResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfParcelaOriginalResponseParcelaOriginalResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfParcelaOriginalResponseParcelaOriginalResponseItem instanceof \StructType\ParcelaOriginalResponse) {
                $invalidValues[] = is_object($arrayOfParcelaOriginalResponseParcelaOriginalResponseItem) ? get_class($arrayOfParcelaOriginalResponseParcelaOriginalResponseItem) : sprintf('%s(%s)', gettype($arrayOfParcelaOriginalResponseParcelaOriginalResponseItem), var_export($arrayOfParcelaOriginalResponseParcelaOriginalResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ParcelaOriginalResponse property can only contain items of type \StructType\ParcelaOriginalResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ParcelaOriginalResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaOriginalResponse[] $parcelaOriginalResponse
     * @return \ArrayType\ArrayOfParcelaOriginalResponse
     */
    public function setParcelaOriginalResponse(array $parcelaOriginalResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($parcelaOriginalResponseArrayErrorMessage = self::validateParcelaOriginalResponseForArrayConstraintsFromSetParcelaOriginalResponse($parcelaOriginalResponse))) {
            throw new \InvalidArgumentException($parcelaOriginalResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($parcelaOriginalResponse) || (is_array($parcelaOriginalResponse) && empty($parcelaOriginalResponse))) {
            unset($this->ParcelaOriginalResponse);
        } else {
            $this->ParcelaOriginalResponse = $parcelaOriginalResponse;
        }
        return $this;
    }
    /**
     * Add item to ParcelaOriginalResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaOriginalResponse $item
     * @return \ArrayType\ArrayOfParcelaOriginalResponse
     */
    public function addToParcelaOriginalResponse(\StructType\ParcelaOriginalResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ParcelaOriginalResponse) {
            throw new \InvalidArgumentException(sprintf('The ParcelaOriginalResponse property can only contain items of type \StructType\ParcelaOriginalResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ParcelaOriginalResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ParcelaOriginalResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ParcelaOriginalResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ParcelaOriginalResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ParcelaOriginalResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ParcelaOriginalResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ParcelaOriginalResponse
     */
    public function getAttributeName()
    {
        return 'ParcelaOriginalResponse';
    }
}
