<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfParcelaRequest ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfParcelaRequest
 * @subpackage Arrays
 */
class ArrayOfParcelaRequest extends AbstractStructArrayBase
{
    /**
     * The ParcelaRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ParcelaRequest[]
     */
    public $ParcelaRequest;
    /**
     * Constructor method for ArrayOfParcelaRequest
     * @uses ArrayOfParcelaRequest::setParcelaRequest()
     * @param \StructType\ParcelaRequest[] $parcelaRequest
     */
    public function __construct(array $parcelaRequest = array())
    {
        $this
            ->setParcelaRequest($parcelaRequest);
    }
    /**
     * Get ParcelaRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ParcelaRequest[]|null
     */
    public function getParcelaRequest()
    {
        return isset($this->ParcelaRequest) ? $this->ParcelaRequest : null;
    }
    /**
     * This method is responsible for validating the values passed to the setParcelaRequest method
     * This method is willingly generated in order to preserve the one-line inline validation within the setParcelaRequest method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateParcelaRequestForArrayConstraintsFromSetParcelaRequest(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfParcelaRequestParcelaRequestItem) {
            // validation for constraint: itemType
            if (!$arrayOfParcelaRequestParcelaRequestItem instanceof \StructType\ParcelaRequest) {
                $invalidValues[] = is_object($arrayOfParcelaRequestParcelaRequestItem) ? get_class($arrayOfParcelaRequestParcelaRequestItem) : sprintf('%s(%s)', gettype($arrayOfParcelaRequestParcelaRequestItem), var_export($arrayOfParcelaRequestParcelaRequestItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ParcelaRequest property can only contain items of type \StructType\ParcelaRequest, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ParcelaRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaRequest[] $parcelaRequest
     * @return \ArrayType\ArrayOfParcelaRequest
     */
    public function setParcelaRequest(array $parcelaRequest = array())
    {
        // validation for constraint: array
        if ('' !== ($parcelaRequestArrayErrorMessage = self::validateParcelaRequestForArrayConstraintsFromSetParcelaRequest($parcelaRequest))) {
            throw new \InvalidArgumentException($parcelaRequestArrayErrorMessage, __LINE__);
        }
        if (is_null($parcelaRequest) || (is_array($parcelaRequest) && empty($parcelaRequest))) {
            unset($this->ParcelaRequest);
        } else {
            $this->ParcelaRequest = $parcelaRequest;
        }
        return $this;
    }
    /**
     * Add item to ParcelaRequest value
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaRequest $item
     * @return \ArrayType\ArrayOfParcelaRequest
     */
    public function addToParcelaRequest(\StructType\ParcelaRequest $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ParcelaRequest) {
            throw new \InvalidArgumentException(sprintf('The ParcelaRequest property can only contain items of type \StructType\ParcelaRequest, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ParcelaRequest[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ParcelaRequest|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ParcelaRequest|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ParcelaRequest|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ParcelaRequest|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ParcelaRequest|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ParcelaRequest
     */
    public function getAttributeName()
    {
        return 'ParcelaRequest';
    }
}
