<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfParcelaTypeCheckout ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfParcelaTypeCheckout
 * @subpackage Arrays
 */
class ArrayOfParcelaTypeCheckout extends AbstractStructArrayBase
{
    /**
     * The ParcelaTypeCheckout
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ParcelaTypeCheckout[]
     */
    public $ParcelaTypeCheckout;
    /**
     * Constructor method for ArrayOfParcelaTypeCheckout
     * @uses ArrayOfParcelaTypeCheckout::setParcelaTypeCheckout()
     * @param \StructType\ParcelaTypeCheckout[] $parcelaTypeCheckout
     */
    public function __construct(array $parcelaTypeCheckout = array())
    {
        $this
            ->setParcelaTypeCheckout($parcelaTypeCheckout);
    }
    /**
     * Get ParcelaTypeCheckout value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ParcelaTypeCheckout[]|null
     */
    public function getParcelaTypeCheckout()
    {
        return isset($this->ParcelaTypeCheckout) ? $this->ParcelaTypeCheckout : null;
    }
    /**
     * This method is responsible for validating the values passed to the setParcelaTypeCheckout method
     * This method is willingly generated in order to preserve the one-line inline validation within the setParcelaTypeCheckout method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateParcelaTypeCheckoutForArrayConstraintsFromSetParcelaTypeCheckout(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfParcelaTypeCheckoutParcelaTypeCheckoutItem) {
            // validation for constraint: itemType
            if (!$arrayOfParcelaTypeCheckoutParcelaTypeCheckoutItem instanceof \StructType\ParcelaTypeCheckout) {
                $invalidValues[] = is_object($arrayOfParcelaTypeCheckoutParcelaTypeCheckoutItem) ? get_class($arrayOfParcelaTypeCheckoutParcelaTypeCheckoutItem) : sprintf('%s(%s)', gettype($arrayOfParcelaTypeCheckoutParcelaTypeCheckoutItem), var_export($arrayOfParcelaTypeCheckoutParcelaTypeCheckoutItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ParcelaTypeCheckout property can only contain items of type \StructType\ParcelaTypeCheckout, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ParcelaTypeCheckout value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaTypeCheckout[] $parcelaTypeCheckout
     * @return \ArrayType\ArrayOfParcelaTypeCheckout
     */
    public function setParcelaTypeCheckout(array $parcelaTypeCheckout = array())
    {
        // validation for constraint: array
        if ('' !== ($parcelaTypeCheckoutArrayErrorMessage = self::validateParcelaTypeCheckoutForArrayConstraintsFromSetParcelaTypeCheckout($parcelaTypeCheckout))) {
            throw new \InvalidArgumentException($parcelaTypeCheckoutArrayErrorMessage, __LINE__);
        }
        if (is_null($parcelaTypeCheckout) || (is_array($parcelaTypeCheckout) && empty($parcelaTypeCheckout))) {
            unset($this->ParcelaTypeCheckout);
        } else {
            $this->ParcelaTypeCheckout = $parcelaTypeCheckout;
        }
        return $this;
    }
    /**
     * Add item to ParcelaTypeCheckout value
     * @throws \InvalidArgumentException
     * @param \StructType\ParcelaTypeCheckout $item
     * @return \ArrayType\ArrayOfParcelaTypeCheckout
     */
    public function addToParcelaTypeCheckout(\StructType\ParcelaTypeCheckout $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ParcelaTypeCheckout) {
            throw new \InvalidArgumentException(sprintf('The ParcelaTypeCheckout property can only contain items of type \StructType\ParcelaTypeCheckout, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ParcelaTypeCheckout[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ParcelaTypeCheckout|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ParcelaTypeCheckout|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ParcelaTypeCheckout|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ParcelaTypeCheckout|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ParcelaTypeCheckout|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ParcelaTypeCheckout
     */
    public function getAttributeName()
    {
        return 'ParcelaTypeCheckout';
    }
}
