<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPortalParametroResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfPortalParametroResponse
 * @subpackage Arrays
 */
class ArrayOfPortalParametroResponse extends AbstractStructArrayBase
{
    /**
     * The PortalParametroResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PortalParametroResponse[]
     */
    public $PortalParametroResponse;
    /**
     * Constructor method for ArrayOfPortalParametroResponse
     * @uses ArrayOfPortalParametroResponse::setPortalParametroResponse()
     * @param \StructType\PortalParametroResponse[] $portalParametroResponse
     */
    public function __construct(array $portalParametroResponse = array())
    {
        $this
            ->setPortalParametroResponse($portalParametroResponse);
    }
    /**
     * Get PortalParametroResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PortalParametroResponse[]|null
     */
    public function getPortalParametroResponse()
    {
        return isset($this->PortalParametroResponse) ? $this->PortalParametroResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPortalParametroResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPortalParametroResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePortalParametroResponseForArrayConstraintsFromSetPortalParametroResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPortalParametroResponsePortalParametroResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfPortalParametroResponsePortalParametroResponseItem instanceof \StructType\PortalParametroResponse) {
                $invalidValues[] = is_object($arrayOfPortalParametroResponsePortalParametroResponseItem) ? get_class($arrayOfPortalParametroResponsePortalParametroResponseItem) : sprintf('%s(%s)', gettype($arrayOfPortalParametroResponsePortalParametroResponseItem), var_export($arrayOfPortalParametroResponsePortalParametroResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PortalParametroResponse property can only contain items of type \StructType\PortalParametroResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PortalParametroResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\PortalParametroResponse[] $portalParametroResponse
     * @return \ArrayType\ArrayOfPortalParametroResponse
     */
    public function setPortalParametroResponse(array $portalParametroResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($portalParametroResponseArrayErrorMessage = self::validatePortalParametroResponseForArrayConstraintsFromSetPortalParametroResponse($portalParametroResponse))) {
            throw new \InvalidArgumentException($portalParametroResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($portalParametroResponse) || (is_array($portalParametroResponse) && empty($portalParametroResponse))) {
            unset($this->PortalParametroResponse);
        } else {
            $this->PortalParametroResponse = $portalParametroResponse;
        }
        return $this;
    }
    /**
     * Add item to PortalParametroResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\PortalParametroResponse $item
     * @return \ArrayType\ArrayOfPortalParametroResponse
     */
    public function addToPortalParametroResponse(\StructType\PortalParametroResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PortalParametroResponse) {
            throw new \InvalidArgumentException(sprintf('The PortalParametroResponse property can only contain items of type \StructType\PortalParametroResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PortalParametroResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\PortalParametroResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\PortalParametroResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\PortalParametroResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\PortalParametroResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\PortalParametroResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PortalParametroResponse
     */
    public function getAttributeName()
    {
        return 'PortalParametroResponse';
    }
}
