<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfProdutoComposicaoType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfProdutoComposicaoType
 * @subpackage Arrays
 */
class ArrayOfProdutoComposicaoType extends AbstractStructArrayBase
{
    /**
     * The ProdutoComposicaoType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ProdutoComposicaoType[]
     */
    public $ProdutoComposicaoType;
    /**
     * Constructor method for ArrayOfProdutoComposicaoType
     * @uses ArrayOfProdutoComposicaoType::setProdutoComposicaoType()
     * @param \StructType\ProdutoComposicaoType[] $produtoComposicaoType
     */
    public function __construct(array $produtoComposicaoType = array())
    {
        $this
            ->setProdutoComposicaoType($produtoComposicaoType);
    }
    /**
     * Get ProdutoComposicaoType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ProdutoComposicaoType[]|null
     */
    public function getProdutoComposicaoType()
    {
        return isset($this->ProdutoComposicaoType) ? $this->ProdutoComposicaoType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setProdutoComposicaoType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setProdutoComposicaoType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateProdutoComposicaoTypeForArrayConstraintsFromSetProdutoComposicaoType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfProdutoComposicaoTypeProdutoComposicaoTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfProdutoComposicaoTypeProdutoComposicaoTypeItem instanceof \StructType\ProdutoComposicaoType) {
                $invalidValues[] = is_object($arrayOfProdutoComposicaoTypeProdutoComposicaoTypeItem) ? get_class($arrayOfProdutoComposicaoTypeProdutoComposicaoTypeItem) : sprintf('%s(%s)', gettype($arrayOfProdutoComposicaoTypeProdutoComposicaoTypeItem), var_export($arrayOfProdutoComposicaoTypeProdutoComposicaoTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ProdutoComposicaoType property can only contain items of type \StructType\ProdutoComposicaoType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ProdutoComposicaoType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ProdutoComposicaoType[] $produtoComposicaoType
     * @return \ArrayType\ArrayOfProdutoComposicaoType
     */
    public function setProdutoComposicaoType(array $produtoComposicaoType = array())
    {
        // validation for constraint: array
        if ('' !== ($produtoComposicaoTypeArrayErrorMessage = self::validateProdutoComposicaoTypeForArrayConstraintsFromSetProdutoComposicaoType($produtoComposicaoType))) {
            throw new \InvalidArgumentException($produtoComposicaoTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($produtoComposicaoType) || (is_array($produtoComposicaoType) && empty($produtoComposicaoType))) {
            unset($this->ProdutoComposicaoType);
        } else {
            $this->ProdutoComposicaoType = $produtoComposicaoType;
        }
        return $this;
    }
    /**
     * Add item to ProdutoComposicaoType value
     * @throws \InvalidArgumentException
     * @param \StructType\ProdutoComposicaoType $item
     * @return \ArrayType\ArrayOfProdutoComposicaoType
     */
    public function addToProdutoComposicaoType(\StructType\ProdutoComposicaoType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ProdutoComposicaoType) {
            throw new \InvalidArgumentException(sprintf('The ProdutoComposicaoType property can only contain items of type \StructType\ProdutoComposicaoType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ProdutoComposicaoType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ProdutoComposicaoType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ProdutoComposicaoType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ProdutoComposicaoType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ProdutoComposicaoType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ProdutoComposicaoType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ProdutoComposicaoType
     */
    public function getAttributeName()
    {
        return 'ProdutoComposicaoType';
    }
}
