<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfProdutoRenegResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfProdutoRenegResponse
 * @subpackage Arrays
 */
class ArrayOfProdutoRenegResponse extends AbstractStructArrayBase
{
    /**
     * The ProdutoRenegResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ProdutoRenegResponse[]
     */
    public $ProdutoRenegResponse;
    /**
     * Constructor method for ArrayOfProdutoRenegResponse
     * @uses ArrayOfProdutoRenegResponse::setProdutoRenegResponse()
     * @param \StructType\ProdutoRenegResponse[] $produtoRenegResponse
     */
    public function __construct(array $produtoRenegResponse = array())
    {
        $this
            ->setProdutoRenegResponse($produtoRenegResponse);
    }
    /**
     * Get ProdutoRenegResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ProdutoRenegResponse[]|null
     */
    public function getProdutoRenegResponse()
    {
        return isset($this->ProdutoRenegResponse) ? $this->ProdutoRenegResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setProdutoRenegResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setProdutoRenegResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateProdutoRenegResponseForArrayConstraintsFromSetProdutoRenegResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfProdutoRenegResponseProdutoRenegResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfProdutoRenegResponseProdutoRenegResponseItem instanceof \StructType\ProdutoRenegResponse) {
                $invalidValues[] = is_object($arrayOfProdutoRenegResponseProdutoRenegResponseItem) ? get_class($arrayOfProdutoRenegResponseProdutoRenegResponseItem) : sprintf('%s(%s)', gettype($arrayOfProdutoRenegResponseProdutoRenegResponseItem), var_export($arrayOfProdutoRenegResponseProdutoRenegResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ProdutoRenegResponse property can only contain items of type \StructType\ProdutoRenegResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ProdutoRenegResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ProdutoRenegResponse[] $produtoRenegResponse
     * @return \ArrayType\ArrayOfProdutoRenegResponse
     */
    public function setProdutoRenegResponse(array $produtoRenegResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($produtoRenegResponseArrayErrorMessage = self::validateProdutoRenegResponseForArrayConstraintsFromSetProdutoRenegResponse($produtoRenegResponse))) {
            throw new \InvalidArgumentException($produtoRenegResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($produtoRenegResponse) || (is_array($produtoRenegResponse) && empty($produtoRenegResponse))) {
            unset($this->ProdutoRenegResponse);
        } else {
            $this->ProdutoRenegResponse = $produtoRenegResponse;
        }
        return $this;
    }
    /**
     * Add item to ProdutoRenegResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ProdutoRenegResponse $item
     * @return \ArrayType\ArrayOfProdutoRenegResponse
     */
    public function addToProdutoRenegResponse(\StructType\ProdutoRenegResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ProdutoRenegResponse) {
            throw new \InvalidArgumentException(sprintf('The ProdutoRenegResponse property can only contain items of type \StructType\ProdutoRenegResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ProdutoRenegResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ProdutoRenegResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ProdutoRenegResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ProdutoRenegResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ProdutoRenegResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ProdutoRenegResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ProdutoRenegResponse
     */
    public function getAttributeName()
    {
        return 'ProdutoRenegResponse';
    }
}
