<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfProdutoResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfProdutoResponse
 * @subpackage Arrays
 */
class ArrayOfProdutoResponse extends AbstractStructArrayBase
{
    /**
     * The ProdutoResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ProdutoResponse[]
     */
    public $ProdutoResponse;
    /**
     * Constructor method for ArrayOfProdutoResponse
     * @uses ArrayOfProdutoResponse::setProdutoResponse()
     * @param \StructType\ProdutoResponse[] $produtoResponse
     */
    public function __construct(array $produtoResponse = array())
    {
        $this
            ->setProdutoResponse($produtoResponse);
    }
    /**
     * Get ProdutoResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ProdutoResponse[]|null
     */
    public function getProdutoResponse()
    {
        return isset($this->ProdutoResponse) ? $this->ProdutoResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setProdutoResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setProdutoResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateProdutoResponseForArrayConstraintsFromSetProdutoResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfProdutoResponseProdutoResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfProdutoResponseProdutoResponseItem instanceof \StructType\ProdutoResponse) {
                $invalidValues[] = is_object($arrayOfProdutoResponseProdutoResponseItem) ? get_class($arrayOfProdutoResponseProdutoResponseItem) : sprintf('%s(%s)', gettype($arrayOfProdutoResponseProdutoResponseItem), var_export($arrayOfProdutoResponseProdutoResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ProdutoResponse property can only contain items of type \StructType\ProdutoResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ProdutoResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ProdutoResponse[] $produtoResponse
     * @return \ArrayType\ArrayOfProdutoResponse
     */
    public function setProdutoResponse(array $produtoResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($produtoResponseArrayErrorMessage = self::validateProdutoResponseForArrayConstraintsFromSetProdutoResponse($produtoResponse))) {
            throw new \InvalidArgumentException($produtoResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($produtoResponse) || (is_array($produtoResponse) && empty($produtoResponse))) {
            unset($this->ProdutoResponse);
        } else {
            $this->ProdutoResponse = $produtoResponse;
        }
        return $this;
    }
    /**
     * Add item to ProdutoResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ProdutoResponse $item
     * @return \ArrayType\ArrayOfProdutoResponse
     */
    public function addToProdutoResponse(\StructType\ProdutoResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ProdutoResponse) {
            throw new \InvalidArgumentException(sprintf('The ProdutoResponse property can only contain items of type \StructType\ProdutoResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ProdutoResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ProdutoResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ProdutoResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ProdutoResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ProdutoResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ProdutoResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ProdutoResponse
     */
    public function getAttributeName()
    {
        return 'ProdutoResponse';
    }
}
