<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfProdutoTypePortal ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfProdutoTypePortal
 * @subpackage Arrays
 */
class ArrayOfProdutoTypePortal extends AbstractStructArrayBase
{
    /**
     * The ProdutoTypePortal
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ProdutoTypePortal[]
     */
    public $ProdutoTypePortal;
    /**
     * Constructor method for ArrayOfProdutoTypePortal
     * @uses ArrayOfProdutoTypePortal::setProdutoTypePortal()
     * @param \StructType\ProdutoTypePortal[] $produtoTypePortal
     */
    public function __construct(array $produtoTypePortal = array())
    {
        $this
            ->setProdutoTypePortal($produtoTypePortal);
    }
    /**
     * Get ProdutoTypePortal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ProdutoTypePortal[]|null
     */
    public function getProdutoTypePortal()
    {
        return isset($this->ProdutoTypePortal) ? $this->ProdutoTypePortal : null;
    }
    /**
     * This method is responsible for validating the values passed to the setProdutoTypePortal method
     * This method is willingly generated in order to preserve the one-line inline validation within the setProdutoTypePortal method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateProdutoTypePortalForArrayConstraintsFromSetProdutoTypePortal(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfProdutoTypePortalProdutoTypePortalItem) {
            // validation for constraint: itemType
            if (!$arrayOfProdutoTypePortalProdutoTypePortalItem instanceof \StructType\ProdutoTypePortal) {
                $invalidValues[] = is_object($arrayOfProdutoTypePortalProdutoTypePortalItem) ? get_class($arrayOfProdutoTypePortalProdutoTypePortalItem) : sprintf('%s(%s)', gettype($arrayOfProdutoTypePortalProdutoTypePortalItem), var_export($arrayOfProdutoTypePortalProdutoTypePortalItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ProdutoTypePortal property can only contain items of type \StructType\ProdutoTypePortal, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ProdutoTypePortal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ProdutoTypePortal[] $produtoTypePortal
     * @return \ArrayType\ArrayOfProdutoTypePortal
     */
    public function setProdutoTypePortal(array $produtoTypePortal = array())
    {
        // validation for constraint: array
        if ('' !== ($produtoTypePortalArrayErrorMessage = self::validateProdutoTypePortalForArrayConstraintsFromSetProdutoTypePortal($produtoTypePortal))) {
            throw new \InvalidArgumentException($produtoTypePortalArrayErrorMessage, __LINE__);
        }
        if (is_null($produtoTypePortal) || (is_array($produtoTypePortal) && empty($produtoTypePortal))) {
            unset($this->ProdutoTypePortal);
        } else {
            $this->ProdutoTypePortal = $produtoTypePortal;
        }
        return $this;
    }
    /**
     * Add item to ProdutoTypePortal value
     * @throws \InvalidArgumentException
     * @param \StructType\ProdutoTypePortal $item
     * @return \ArrayType\ArrayOfProdutoTypePortal
     */
    public function addToProdutoTypePortal(\StructType\ProdutoTypePortal $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ProdutoTypePortal) {
            throw new \InvalidArgumentException(sprintf('The ProdutoTypePortal property can only contain items of type \StructType\ProdutoTypePortal, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ProdutoTypePortal[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ProdutoTypePortal|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ProdutoTypePortal|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ProdutoTypePortal|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ProdutoTypePortal|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ProdutoTypePortal|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ProdutoTypePortal
     */
    public function getAttributeName()
    {
        return 'ProdutoTypePortal';
    }
}
