<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfReferenciaRequest ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfReferenciaRequest
 * @subpackage Arrays
 */
class ArrayOfReferenciaRequest extends AbstractStructArrayBase
{
    /**
     * The ReferenciaRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ReferenciaRequest[]
     */
    public $ReferenciaRequest;
    /**
     * Constructor method for ArrayOfReferenciaRequest
     * @uses ArrayOfReferenciaRequest::setReferenciaRequest()
     * @param \StructType\ReferenciaRequest[] $referenciaRequest
     */
    public function __construct(array $referenciaRequest = array())
    {
        $this
            ->setReferenciaRequest($referenciaRequest);
    }
    /**
     * Get ReferenciaRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ReferenciaRequest[]|null
     */
    public function getReferenciaRequest()
    {
        return isset($this->ReferenciaRequest) ? $this->ReferenciaRequest : null;
    }
    /**
     * This method is responsible for validating the values passed to the setReferenciaRequest method
     * This method is willingly generated in order to preserve the one-line inline validation within the setReferenciaRequest method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateReferenciaRequestForArrayConstraintsFromSetReferenciaRequest(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfReferenciaRequestReferenciaRequestItem) {
            // validation for constraint: itemType
            if (!$arrayOfReferenciaRequestReferenciaRequestItem instanceof \StructType\ReferenciaRequest) {
                $invalidValues[] = is_object($arrayOfReferenciaRequestReferenciaRequestItem) ? get_class($arrayOfReferenciaRequestReferenciaRequestItem) : sprintf('%s(%s)', gettype($arrayOfReferenciaRequestReferenciaRequestItem), var_export($arrayOfReferenciaRequestReferenciaRequestItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ReferenciaRequest property can only contain items of type \StructType\ReferenciaRequest, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ReferenciaRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ReferenciaRequest[] $referenciaRequest
     * @return \ArrayType\ArrayOfReferenciaRequest
     */
    public function setReferenciaRequest(array $referenciaRequest = array())
    {
        // validation for constraint: array
        if ('' !== ($referenciaRequestArrayErrorMessage = self::validateReferenciaRequestForArrayConstraintsFromSetReferenciaRequest($referenciaRequest))) {
            throw new \InvalidArgumentException($referenciaRequestArrayErrorMessage, __LINE__);
        }
        if (is_null($referenciaRequest) || (is_array($referenciaRequest) && empty($referenciaRequest))) {
            unset($this->ReferenciaRequest);
        } else {
            $this->ReferenciaRequest = $referenciaRequest;
        }
        return $this;
    }
    /**
     * Add item to ReferenciaRequest value
     * @throws \InvalidArgumentException
     * @param \StructType\ReferenciaRequest $item
     * @return \ArrayType\ArrayOfReferenciaRequest
     */
    public function addToReferenciaRequest(\StructType\ReferenciaRequest $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ReferenciaRequest) {
            throw new \InvalidArgumentException(sprintf('The ReferenciaRequest property can only contain items of type \StructType\ReferenciaRequest, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ReferenciaRequest[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ReferenciaRequest|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ReferenciaRequest|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ReferenciaRequest|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ReferenciaRequest|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ReferenciaRequest|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ReferenciaRequest
     */
    public function getAttributeName()
    {
        return 'ReferenciaRequest';
    }
}
