<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfReferenciaResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfReferenciaResponse
 * @subpackage Arrays
 */
class ArrayOfReferenciaResponse extends AbstractStructArrayBase
{
    /**
     * The ReferenciaResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ReferenciaResponse[]
     */
    public $ReferenciaResponse;
    /**
     * Constructor method for ArrayOfReferenciaResponse
     * @uses ArrayOfReferenciaResponse::setReferenciaResponse()
     * @param \StructType\ReferenciaResponse[] $referenciaResponse
     */
    public function __construct(array $referenciaResponse = array())
    {
        $this
            ->setReferenciaResponse($referenciaResponse);
    }
    /**
     * Get ReferenciaResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ReferenciaResponse[]|null
     */
    public function getReferenciaResponse()
    {
        return isset($this->ReferenciaResponse) ? $this->ReferenciaResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setReferenciaResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setReferenciaResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateReferenciaResponseForArrayConstraintsFromSetReferenciaResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfReferenciaResponseReferenciaResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfReferenciaResponseReferenciaResponseItem instanceof \StructType\ReferenciaResponse) {
                $invalidValues[] = is_object($arrayOfReferenciaResponseReferenciaResponseItem) ? get_class($arrayOfReferenciaResponseReferenciaResponseItem) : sprintf('%s(%s)', gettype($arrayOfReferenciaResponseReferenciaResponseItem), var_export($arrayOfReferenciaResponseReferenciaResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ReferenciaResponse property can only contain items of type \StructType\ReferenciaResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ReferenciaResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ReferenciaResponse[] $referenciaResponse
     * @return \ArrayType\ArrayOfReferenciaResponse
     */
    public function setReferenciaResponse(array $referenciaResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($referenciaResponseArrayErrorMessage = self::validateReferenciaResponseForArrayConstraintsFromSetReferenciaResponse($referenciaResponse))) {
            throw new \InvalidArgumentException($referenciaResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($referenciaResponse) || (is_array($referenciaResponse) && empty($referenciaResponse))) {
            unset($this->ReferenciaResponse);
        } else {
            $this->ReferenciaResponse = $referenciaResponse;
        }
        return $this;
    }
    /**
     * Add item to ReferenciaResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\ReferenciaResponse $item
     * @return \ArrayType\ArrayOfReferenciaResponse
     */
    public function addToReferenciaResponse(\StructType\ReferenciaResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ReferenciaResponse) {
            throw new \InvalidArgumentException(sprintf('The ReferenciaResponse property can only contain items of type \StructType\ReferenciaResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ReferenciaResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ReferenciaResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ReferenciaResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ReferenciaResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ReferenciaResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ReferenciaResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ReferenciaResponse
     */
    public function getAttributeName()
    {
        return 'ReferenciaResponse';
    }
}
