<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTelefoneRequest ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTelefoneRequest
 * @subpackage Arrays
 */
class ArrayOfTelefoneRequest extends AbstractStructArrayBase
{
    /**
     * The TelefoneRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TelefoneRequest[]
     */
    public $TelefoneRequest;
    /**
     * Constructor method for ArrayOfTelefoneRequest
     * @uses ArrayOfTelefoneRequest::setTelefoneRequest()
     * @param \StructType\TelefoneRequest[] $telefoneRequest
     */
    public function __construct(array $telefoneRequest = array())
    {
        $this
            ->setTelefoneRequest($telefoneRequest);
    }
    /**
     * Get TelefoneRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TelefoneRequest[]|null
     */
    public function getTelefoneRequest()
    {
        return isset($this->TelefoneRequest) ? $this->TelefoneRequest : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTelefoneRequest method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTelefoneRequest method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTelefoneRequestForArrayConstraintsFromSetTelefoneRequest(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfTelefoneRequestTelefoneRequestItem) {
            // validation for constraint: itemType
            if (!$arrayOfTelefoneRequestTelefoneRequestItem instanceof \StructType\TelefoneRequest) {
                $invalidValues[] = is_object($arrayOfTelefoneRequestTelefoneRequestItem) ? get_class($arrayOfTelefoneRequestTelefoneRequestItem) : sprintf('%s(%s)', gettype($arrayOfTelefoneRequestTelefoneRequestItem), var_export($arrayOfTelefoneRequestTelefoneRequestItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The TelefoneRequest property can only contain items of type \StructType\TelefoneRequest, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set TelefoneRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TelefoneRequest[] $telefoneRequest
     * @return \ArrayType\ArrayOfTelefoneRequest
     */
    public function setTelefoneRequest(array $telefoneRequest = array())
    {
        // validation for constraint: array
        if ('' !== ($telefoneRequestArrayErrorMessage = self::validateTelefoneRequestForArrayConstraintsFromSetTelefoneRequest($telefoneRequest))) {
            throw new \InvalidArgumentException($telefoneRequestArrayErrorMessage, __LINE__);
        }
        if (is_null($telefoneRequest) || (is_array($telefoneRequest) && empty($telefoneRequest))) {
            unset($this->TelefoneRequest);
        } else {
            $this->TelefoneRequest = $telefoneRequest;
        }
        return $this;
    }
    /**
     * Add item to TelefoneRequest value
     * @throws \InvalidArgumentException
     * @param \StructType\TelefoneRequest $item
     * @return \ArrayType\ArrayOfTelefoneRequest
     */
    public function addToTelefoneRequest(\StructType\TelefoneRequest $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TelefoneRequest) {
            throw new \InvalidArgumentException(sprintf('The TelefoneRequest property can only contain items of type \StructType\TelefoneRequest, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->TelefoneRequest[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TelefoneRequest|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TelefoneRequest|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TelefoneRequest|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TelefoneRequest|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TelefoneRequest|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TelefoneRequest
     */
    public function getAttributeName()
    {
        return 'TelefoneRequest';
    }
}
