<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTelefoneResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTelefoneResponse
 * @subpackage Arrays
 */
class ArrayOfTelefoneResponse extends AbstractStructArrayBase
{
    /**
     * The TelefoneResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TelefoneResponse[]
     */
    public $TelefoneResponse;
    /**
     * Constructor method for ArrayOfTelefoneResponse
     * @uses ArrayOfTelefoneResponse::setTelefoneResponse()
     * @param \StructType\TelefoneResponse[] $telefoneResponse
     */
    public function __construct(array $telefoneResponse = array())
    {
        $this
            ->setTelefoneResponse($telefoneResponse);
    }
    /**
     * Get TelefoneResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TelefoneResponse[]|null
     */
    public function getTelefoneResponse()
    {
        return isset($this->TelefoneResponse) ? $this->TelefoneResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTelefoneResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTelefoneResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTelefoneResponseForArrayConstraintsFromSetTelefoneResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfTelefoneResponseTelefoneResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfTelefoneResponseTelefoneResponseItem instanceof \StructType\TelefoneResponse) {
                $invalidValues[] = is_object($arrayOfTelefoneResponseTelefoneResponseItem) ? get_class($arrayOfTelefoneResponseTelefoneResponseItem) : sprintf('%s(%s)', gettype($arrayOfTelefoneResponseTelefoneResponseItem), var_export($arrayOfTelefoneResponseTelefoneResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The TelefoneResponse property can only contain items of type \StructType\TelefoneResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set TelefoneResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TelefoneResponse[] $telefoneResponse
     * @return \ArrayType\ArrayOfTelefoneResponse
     */
    public function setTelefoneResponse(array $telefoneResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($telefoneResponseArrayErrorMessage = self::validateTelefoneResponseForArrayConstraintsFromSetTelefoneResponse($telefoneResponse))) {
            throw new \InvalidArgumentException($telefoneResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($telefoneResponse) || (is_array($telefoneResponse) && empty($telefoneResponse))) {
            unset($this->TelefoneResponse);
        } else {
            $this->TelefoneResponse = $telefoneResponse;
        }
        return $this;
    }
    /**
     * Add item to TelefoneResponse value
     * @throws \InvalidArgumentException
     * @param \StructType\TelefoneResponse $item
     * @return \ArrayType\ArrayOfTelefoneResponse
     */
    public function addToTelefoneResponse(\StructType\TelefoneResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TelefoneResponse) {
            throw new \InvalidArgumentException(sprintf('The TelefoneResponse property can only contain items of type \StructType\TelefoneResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->TelefoneResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TelefoneResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TelefoneResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TelefoneResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TelefoneResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TelefoneResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TelefoneResponse
     */
    public function getAttributeName()
    {
        return 'TelefoneResponse';
    }
}
