<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfUFType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfUFType
 * @subpackage Arrays
 */
class ArrayOfUFType extends AbstractStructArrayBase
{
    /**
     * The UFType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\UFType[]
     */
    public $UFType;
    /**
     * Constructor method for ArrayOfUFType
     * @uses ArrayOfUFType::setUFType()
     * @param \StructType\UFType[] $uFType
     */
    public function __construct(array $uFType = array())
    {
        $this
            ->setUFType($uFType);
    }
    /**
     * Get UFType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\UFType[]|null
     */
    public function getUFType()
    {
        return isset($this->UFType) ? $this->UFType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setUFType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUFType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateUFTypeForArrayConstraintsFromSetUFType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfUFTypeUFTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfUFTypeUFTypeItem instanceof \StructType\UFType) {
                $invalidValues[] = is_object($arrayOfUFTypeUFTypeItem) ? get_class($arrayOfUFTypeUFTypeItem) : sprintf('%s(%s)', gettype($arrayOfUFTypeUFTypeItem), var_export($arrayOfUFTypeUFTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The UFType property can only contain items of type \StructType\UFType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set UFType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\UFType[] $uFType
     * @return \ArrayType\ArrayOfUFType
     */
    public function setUFType(array $uFType = array())
    {
        // validation for constraint: array
        if ('' !== ($uFTypeArrayErrorMessage = self::validateUFTypeForArrayConstraintsFromSetUFType($uFType))) {
            throw new \InvalidArgumentException($uFTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($uFType) || (is_array($uFType) && empty($uFType))) {
            unset($this->UFType);
        } else {
            $this->UFType = $uFType;
        }
        return $this;
    }
    /**
     * Add item to UFType value
     * @throws \InvalidArgumentException
     * @param \StructType\UFType $item
     * @return \ArrayType\ArrayOfUFType
     */
    public function addToUFType(\StructType\UFType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\UFType) {
            throw new \InvalidArgumentException(sprintf('The UFType property can only contain items of type \StructType\UFType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->UFType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\UFType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\UFType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\UFType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\UFType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\UFType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string UFType
     */
    public function getAttributeName()
    {
        return 'UFType';
    }
}
