<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Alterar ServiceType
 * @subpackage Services
 */
class Alterar extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named AlterarSituacaoCheckout
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AlterarSituacaoCheckout $parameters
     * @return \StructType\AlterarSituacaoCheckoutResponse|bool
     */
    public function AlterarSituacaoCheckout(\StructType\AlterarSituacaoCheckout $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AlterarSituacaoCheckout($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AlterarNumeroAcordo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AlterarNumeroAcordo $parameters
     * @return \StructType\AlterarNumeroAcordoResponse|bool
     */
    public function AlterarNumeroAcordo(\StructType\AlterarNumeroAcordo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AlterarNumeroAcordo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AlterarNumeroContratoAcordo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AlterarNumeroContratoAcordo $parameters
     * @return \StructType\AlterarNumeroContratoAcordoResponse|bool
     */
    public function AlterarNumeroContratoAcordo(\StructType\AlterarNumeroContratoAcordo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AlterarNumeroContratoAcordo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AlterarNumeroParcelaAcordo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AlterarNumeroParcelaAcordo $parameters
     * @return \StructType\AlterarNumeroParcelaAcordoResponse|bool
     */
    public function AlterarNumeroParcelaAcordo(\StructType\AlterarNumeroParcelaAcordo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AlterarNumeroParcelaAcordo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\AlterarNumeroAcordoResponse|\StructType\AlterarNumeroContratoAcordoResponse|\StructType\AlterarNumeroParcelaAcordoResponse|\StructType\AlterarSituacaoCheckoutResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
