<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Concluir ServiceType
 * @subpackage Services
 */
class Concluir extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named ConcluirCheckoutPosTransacao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ConcluirCheckoutPosTransacao $parameters
     * @return \StructType\ConcluirCheckoutPosTransacaoResponse|bool
     */
    public function ConcluirCheckoutPosTransacao(\StructType\ConcluirCheckoutPosTransacao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ConcluirCheckoutPosTransacao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ConcluirCheckout
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ConcluirCheckout $parameters
     * @return \StructType\ConcluirCheckoutResponse|bool
     */
    public function ConcluirCheckout(\StructType\ConcluirCheckout $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ConcluirCheckout($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\ConcluirCheckoutPosTransacaoResponse|\StructType\ConcluirCheckoutResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
