<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AssessoriaResponseCheckout StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:AssessoriaResponseCheckout
 * @subpackage Structs
 */
class AssessoriaResponseCheckout extends AbstractStructBase
{
    /**
     * The CPFCNPJ
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CPFCNPJ;
    /**
     * The IdApi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdApi;
    /**
     * The IdAssessoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdAssessoria;
    /**
     * The IdCartaoIntegracao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdCartaoIntegracao;
    /**
     * The Logo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Logo;
    /**
     * The LogoFooter
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $LogoFooter;
    /**
     * The Nome
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Nome;
    /**
     * The Parametros
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfCartaoParametroType
     */
    public $Parametros;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Senha;
    /**
     * The StorageAccount
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $StorageAccount;
    /**
     * The Token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Token;
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Usuario;
    /**
     * Constructor method for AssessoriaResponseCheckout
     * @uses AssessoriaResponseCheckout::setCPFCNPJ()
     * @uses AssessoriaResponseCheckout::setIdApi()
     * @uses AssessoriaResponseCheckout::setIdAssessoria()
     * @uses AssessoriaResponseCheckout::setIdCartaoIntegracao()
     * @uses AssessoriaResponseCheckout::setLogo()
     * @uses AssessoriaResponseCheckout::setLogoFooter()
     * @uses AssessoriaResponseCheckout::setNome()
     * @uses AssessoriaResponseCheckout::setParametros()
     * @uses AssessoriaResponseCheckout::setSenha()
     * @uses AssessoriaResponseCheckout::setStorageAccount()
     * @uses AssessoriaResponseCheckout::setToken()
     * @uses AssessoriaResponseCheckout::setUsuario()
     * @param string $cPFCNPJ
     * @param int $idApi
     * @param int $idAssessoria
     * @param int $idCartaoIntegracao
     * @param string $logo
     * @param string $logoFooter
     * @param string $nome
     * @param \ArrayType\ArrayOfCartaoParametroType $parametros
     * @param string $senha
     * @param string $storageAccount
     * @param string $token
     * @param string $usuario
     */
    public function __construct($cPFCNPJ = null, $idApi = null, $idAssessoria = null, $idCartaoIntegracao = null, $logo = null, $logoFooter = null, $nome = null, \ArrayType\ArrayOfCartaoParametroType $parametros = null, $senha = null, $storageAccount = null, $token = null, $usuario = null)
    {
        $this
            ->setCPFCNPJ($cPFCNPJ)
            ->setIdApi($idApi)
            ->setIdAssessoria($idAssessoria)
            ->setIdCartaoIntegracao($idCartaoIntegracao)
            ->setLogo($logo)
            ->setLogoFooter($logoFooter)
            ->setNome($nome)
            ->setParametros($parametros)
            ->setSenha($senha)
            ->setStorageAccount($storageAccount)
            ->setToken($token)
            ->setUsuario($usuario);
    }
    /**
     * Get CPFCNPJ value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCPFCNPJ()
    {
        return isset($this->CPFCNPJ) ? $this->CPFCNPJ : null;
    }
    /**
     * Set CPFCNPJ value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cPFCNPJ
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setCPFCNPJ($cPFCNPJ = null)
    {
        // validation for constraint: string
        if (!is_null($cPFCNPJ) && !is_string($cPFCNPJ)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cPFCNPJ, true), gettype($cPFCNPJ)), __LINE__);
        }
        if (is_null($cPFCNPJ) || (is_array($cPFCNPJ) && empty($cPFCNPJ))) {
            unset($this->CPFCNPJ);
        } else {
            $this->CPFCNPJ = $cPFCNPJ;
        }
        return $this;
    }
    /**
     * Get IdApi value
     * @return int|null
     */
    public function getIdApi()
    {
        return $this->IdApi;
    }
    /**
     * Set IdApi value
     * @param int $idApi
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setIdApi($idApi = null)
    {
        // validation for constraint: int
        if (!is_null($idApi) && !(is_int($idApi) || ctype_digit($idApi))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idApi, true), gettype($idApi)), __LINE__);
        }
        $this->IdApi = $idApi;
        return $this;
    }
    /**
     * Get IdAssessoria value
     * @return int|null
     */
    public function getIdAssessoria()
    {
        return $this->IdAssessoria;
    }
    /**
     * Set IdAssessoria value
     * @param int $idAssessoria
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setIdAssessoria($idAssessoria = null)
    {
        // validation for constraint: int
        if (!is_null($idAssessoria) && !(is_int($idAssessoria) || ctype_digit($idAssessoria))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idAssessoria, true), gettype($idAssessoria)), __LINE__);
        }
        $this->IdAssessoria = $idAssessoria;
        return $this;
    }
    /**
     * Get IdCartaoIntegracao value
     * @return int|null
     */
    public function getIdCartaoIntegracao()
    {
        return $this->IdCartaoIntegracao;
    }
    /**
     * Set IdCartaoIntegracao value
     * @param int $idCartaoIntegracao
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setIdCartaoIntegracao($idCartaoIntegracao = null)
    {
        // validation for constraint: int
        if (!is_null($idCartaoIntegracao) && !(is_int($idCartaoIntegracao) || ctype_digit($idCartaoIntegracao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idCartaoIntegracao, true), gettype($idCartaoIntegracao)), __LINE__);
        }
        $this->IdCartaoIntegracao = $idCartaoIntegracao;
        return $this;
    }
    /**
     * Get Logo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLogo()
    {
        return isset($this->Logo) ? $this->Logo : null;
    }
    /**
     * Set Logo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $logo
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setLogo($logo = null)
    {
        // validation for constraint: string
        if (!is_null($logo) && !is_string($logo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logo, true), gettype($logo)), __LINE__);
        }
        if (is_null($logo) || (is_array($logo) && empty($logo))) {
            unset($this->Logo);
        } else {
            $this->Logo = $logo;
        }
        return $this;
    }
    /**
     * Get LogoFooter value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLogoFooter()
    {
        return isset($this->LogoFooter) ? $this->LogoFooter : null;
    }
    /**
     * Set LogoFooter value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $logoFooter
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setLogoFooter($logoFooter = null)
    {
        // validation for constraint: string
        if (!is_null($logoFooter) && !is_string($logoFooter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logoFooter, true), gettype($logoFooter)), __LINE__);
        }
        if (is_null($logoFooter) || (is_array($logoFooter) && empty($logoFooter))) {
            unset($this->LogoFooter);
        } else {
            $this->LogoFooter = $logoFooter;
        }
        return $this;
    }
    /**
     * Get Nome value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNome()
    {
        return isset($this->Nome) ? $this->Nome : null;
    }
    /**
     * Set Nome value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nome
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setNome($nome = null)
    {
        // validation for constraint: string
        if (!is_null($nome) && !is_string($nome)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nome, true), gettype($nome)), __LINE__);
        }
        if (is_null($nome) || (is_array($nome) && empty($nome))) {
            unset($this->Nome);
        } else {
            $this->Nome = $nome;
        }
        return $this;
    }
    /**
     * Get Parametros value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfCartaoParametroType|null
     */
    public function getParametros()
    {
        return isset($this->Parametros) ? $this->Parametros : null;
    }
    /**
     * Set Parametros value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfCartaoParametroType $parametros
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setParametros(\ArrayType\ArrayOfCartaoParametroType $parametros = null)
    {
        if (is_null($parametros) || (is_array($parametros) && empty($parametros))) {
            unset($this->Parametros);
        } else {
            $this->Parametros = $parametros;
        }
        return $this;
    }
    /**
     * Get Senha value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSenha()
    {
        return isset($this->Senha) ? $this->Senha : null;
    }
    /**
     * Set Senha value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $senha
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        if (is_null($senha) || (is_array($senha) && empty($senha))) {
            unset($this->Senha);
        } else {
            $this->Senha = $senha;
        }
        return $this;
    }
    /**
     * Get StorageAccount value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getStorageAccount()
    {
        return isset($this->StorageAccount) ? $this->StorageAccount : null;
    }
    /**
     * Set StorageAccount value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $storageAccount
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setStorageAccount($storageAccount = null)
    {
        // validation for constraint: string
        if (!is_null($storageAccount) && !is_string($storageAccount)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($storageAccount, true), gettype($storageAccount)), __LINE__);
        }
        if (is_null($storageAccount) || (is_array($storageAccount) && empty($storageAccount))) {
            unset($this->StorageAccount);
        } else {
            $this->StorageAccount = $storageAccount;
        }
        return $this;
    }
    /**
     * Get Token value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToken()
    {
        return isset($this->Token) ? $this->Token : null;
    }
    /**
     * Set Token value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $token
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        if (is_null($token) || (is_array($token) && empty($token))) {
            unset($this->Token);
        } else {
            $this->Token = $token;
        }
        return $this;
    }
    /**
     * Get Usuario value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUsuario()
    {
        return isset($this->Usuario) ? $this->Usuario : null;
    }
    /**
     * Set Usuario value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $usuario
     * @return \StructType\AssessoriaResponseCheckout
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        if (is_null($usuario) || (is_array($usuario) && empty($usuario))) {
            unset($this->Usuario);
        } else {
            $this->Usuario = $usuario;
        }
        return $this;
    }
}
