<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AssessoriaResponsePix StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:AssessoriaResponsePix
 * @subpackage Structs
 */
class AssessoriaResponsePix extends AbstractStructBase
{
    /**
     * The IdAssessoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdAssessoria;
    /**
     * The NomeAssessoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeAssessoria;
    /**
     * The Parametros
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CheckoutConfiguracaoType
     */
    public $Parametros;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Senha;
    /**
     * The StorageAccount
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $StorageAccount;
    /**
     * The Token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Token;
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Usuario;
    /**
     * Constructor method for AssessoriaResponsePix
     * @uses AssessoriaResponsePix::setIdAssessoria()
     * @uses AssessoriaResponsePix::setNomeAssessoria()
     * @uses AssessoriaResponsePix::setParametros()
     * @uses AssessoriaResponsePix::setSenha()
     * @uses AssessoriaResponsePix::setStorageAccount()
     * @uses AssessoriaResponsePix::setToken()
     * @uses AssessoriaResponsePix::setUsuario()
     * @param int $idAssessoria
     * @param string $nomeAssessoria
     * @param \StructType\CheckoutConfiguracaoType $parametros
     * @param string $senha
     * @param string $storageAccount
     * @param string $token
     * @param string $usuario
     */
    public function __construct($idAssessoria = null, $nomeAssessoria = null, \StructType\CheckoutConfiguracaoType $parametros = null, $senha = null, $storageAccount = null, $token = null, $usuario = null)
    {
        $this
            ->setIdAssessoria($idAssessoria)
            ->setNomeAssessoria($nomeAssessoria)
            ->setParametros($parametros)
            ->setSenha($senha)
            ->setStorageAccount($storageAccount)
            ->setToken($token)
            ->setUsuario($usuario);
    }
    /**
     * Get IdAssessoria value
     * @return int|null
     */
    public function getIdAssessoria()
    {
        return $this->IdAssessoria;
    }
    /**
     * Set IdAssessoria value
     * @param int $idAssessoria
     * @return \StructType\AssessoriaResponsePix
     */
    public function setIdAssessoria($idAssessoria = null)
    {
        // validation for constraint: int
        if (!is_null($idAssessoria) && !(is_int($idAssessoria) || ctype_digit($idAssessoria))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idAssessoria, true), gettype($idAssessoria)), __LINE__);
        }
        $this->IdAssessoria = $idAssessoria;
        return $this;
    }
    /**
     * Get NomeAssessoria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeAssessoria()
    {
        return isset($this->NomeAssessoria) ? $this->NomeAssessoria : null;
    }
    /**
     * Set NomeAssessoria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeAssessoria
     * @return \StructType\AssessoriaResponsePix
     */
    public function setNomeAssessoria($nomeAssessoria = null)
    {
        // validation for constraint: string
        if (!is_null($nomeAssessoria) && !is_string($nomeAssessoria)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeAssessoria, true), gettype($nomeAssessoria)), __LINE__);
        }
        if (is_null($nomeAssessoria) || (is_array($nomeAssessoria) && empty($nomeAssessoria))) {
            unset($this->NomeAssessoria);
        } else {
            $this->NomeAssessoria = $nomeAssessoria;
        }
        return $this;
    }
    /**
     * Get Parametros value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CheckoutConfiguracaoType|null
     */
    public function getParametros()
    {
        return isset($this->Parametros) ? $this->Parametros : null;
    }
    /**
     * Set Parametros value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\CheckoutConfiguracaoType $parametros
     * @return \StructType\AssessoriaResponsePix
     */
    public function setParametros(\StructType\CheckoutConfiguracaoType $parametros = null)
    {
        if (is_null($parametros) || (is_array($parametros) && empty($parametros))) {
            unset($this->Parametros);
        } else {
            $this->Parametros = $parametros;
        }
        return $this;
    }
    /**
     * Get Senha value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSenha()
    {
        return isset($this->Senha) ? $this->Senha : null;
    }
    /**
     * Set Senha value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $senha
     * @return \StructType\AssessoriaResponsePix
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        if (is_null($senha) || (is_array($senha) && empty($senha))) {
            unset($this->Senha);
        } else {
            $this->Senha = $senha;
        }
        return $this;
    }
    /**
     * Get StorageAccount value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getStorageAccount()
    {
        return isset($this->StorageAccount) ? $this->StorageAccount : null;
    }
    /**
     * Set StorageAccount value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $storageAccount
     * @return \StructType\AssessoriaResponsePix
     */
    public function setStorageAccount($storageAccount = null)
    {
        // validation for constraint: string
        if (!is_null($storageAccount) && !is_string($storageAccount)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($storageAccount, true), gettype($storageAccount)), __LINE__);
        }
        if (is_null($storageAccount) || (is_array($storageAccount) && empty($storageAccount))) {
            unset($this->StorageAccount);
        } else {
            $this->StorageAccount = $storageAccount;
        }
        return $this;
    }
    /**
     * Get Token value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToken()
    {
        return isset($this->Token) ? $this->Token : null;
    }
    /**
     * Set Token value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $token
     * @return \StructType\AssessoriaResponsePix
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        if (is_null($token) || (is_array($token) && empty($token))) {
            unset($this->Token);
        } else {
            $this->Token = $token;
        }
        return $this;
    }
    /**
     * Get Usuario value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUsuario()
    {
        return isset($this->Usuario) ? $this->Usuario : null;
    }
    /**
     * Set Usuario value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $usuario
     * @return \StructType\AssessoriaResponsePix
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        if (is_null($usuario) || (is_array($usuario) && empty($usuario))) {
            unset($this->Usuario);
        } else {
            $this->Usuario = $usuario;
        }
        return $this;
    }
}
