<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BoletoAbertoTypePortal StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:BoletoAbertoTypePortal
 * @subpackage Structs
 */
class BoletoAbertoTypePortal extends AbstractStructBase
{
    /**
     * The BoletoOriginal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $BoletoOriginal;
    /**
     * The Credor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Credor;
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Id;
    /**
     * The IdCredor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdCredor;
    /**
     * The IdNegociacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdNegociacao;
    /**
     * The IdTipoCredor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdTipoCredor;
    /**
     * The LinhaDigitavel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $LinhaDigitavel;
    /**
     * The Numero
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Numero;
    /**
     * The NumeroAcordoContrato
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NumeroAcordoContrato;
    /**
     * The Observacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Observacao;
    /**
     * The QrCodePix
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $QrCodePix;
    /**
     * The TipoPagamento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TipoPagamento;
    /**
     * The UrlPix
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UrlPix;
    /**
     * The Valor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Valor;
    /**
     * The Vencimento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Vencimento;
    /**
     * Constructor method for BoletoAbertoTypePortal
     * @uses BoletoAbertoTypePortal::setBoletoOriginal()
     * @uses BoletoAbertoTypePortal::setCredor()
     * @uses BoletoAbertoTypePortal::setId()
     * @uses BoletoAbertoTypePortal::setIdCredor()
     * @uses BoletoAbertoTypePortal::setIdNegociacao()
     * @uses BoletoAbertoTypePortal::setIdTipoCredor()
     * @uses BoletoAbertoTypePortal::setLinhaDigitavel()
     * @uses BoletoAbertoTypePortal::setNumero()
     * @uses BoletoAbertoTypePortal::setNumeroAcordoContrato()
     * @uses BoletoAbertoTypePortal::setObservacao()
     * @uses BoletoAbertoTypePortal::setQrCodePix()
     * @uses BoletoAbertoTypePortal::setTipoPagamento()
     * @uses BoletoAbertoTypePortal::setUrlPix()
     * @uses BoletoAbertoTypePortal::setValor()
     * @uses BoletoAbertoTypePortal::setVencimento()
     * @param bool $boletoOriginal
     * @param string $credor
     * @param string $id
     * @param int $idCredor
     * @param int $idNegociacao
     * @param int $idTipoCredor
     * @param string $linhaDigitavel
     * @param string $numero
     * @param string $numeroAcordoContrato
     * @param string $observacao
     * @param string $qrCodePix
     * @param int $tipoPagamento
     * @param string $urlPix
     * @param float $valor
     * @param string $vencimento
     */
    public function __construct($boletoOriginal = null, $credor = null, $id = null, $idCredor = null, $idNegociacao = null, $idTipoCredor = null, $linhaDigitavel = null, $numero = null, $numeroAcordoContrato = null, $observacao = null, $qrCodePix = null, $tipoPagamento = null, $urlPix = null, $valor = null, $vencimento = null)
    {
        $this
            ->setBoletoOriginal($boletoOriginal)
            ->setCredor($credor)
            ->setId($id)
            ->setIdCredor($idCredor)
            ->setIdNegociacao($idNegociacao)
            ->setIdTipoCredor($idTipoCredor)
            ->setLinhaDigitavel($linhaDigitavel)
            ->setNumero($numero)
            ->setNumeroAcordoContrato($numeroAcordoContrato)
            ->setObservacao($observacao)
            ->setQrCodePix($qrCodePix)
            ->setTipoPagamento($tipoPagamento)
            ->setUrlPix($urlPix)
            ->setValor($valor)
            ->setVencimento($vencimento);
    }
    /**
     * Get BoletoOriginal value
     * @return bool|null
     */
    public function getBoletoOriginal()
    {
        return $this->BoletoOriginal;
    }
    /**
     * Set BoletoOriginal value
     * @param bool $boletoOriginal
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setBoletoOriginal($boletoOriginal = null)
    {
        // validation for constraint: boolean
        if (!is_null($boletoOriginal) && !is_bool($boletoOriginal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($boletoOriginal, true), gettype($boletoOriginal)), __LINE__);
        }
        $this->BoletoOriginal = $boletoOriginal;
        return $this;
    }
    /**
     * Get Credor value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCredor()
    {
        return isset($this->Credor) ? $this->Credor : null;
    }
    /**
     * Set Credor value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $credor
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setCredor($credor = null)
    {
        // validation for constraint: string
        if (!is_null($credor) && !is_string($credor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($credor, true), gettype($credor)), __LINE__);
        }
        if (is_null($credor) || (is_array($credor) && empty($credor))) {
            unset($this->Credor);
        } else {
            $this->Credor = $credor;
        }
        return $this;
    }
    /**
     * Get Id value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getId()
    {
        return isset($this->Id) ? $this->Id : null;
    }
    /**
     * Set Id value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $id
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        if (is_null($id) || (is_array($id) && empty($id))) {
            unset($this->Id);
        } else {
            $this->Id = $id;
        }
        return $this;
    }
    /**
     * Get IdCredor value
     * @return int|null
     */
    public function getIdCredor()
    {
        return $this->IdCredor;
    }
    /**
     * Set IdCredor value
     * @param int $idCredor
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setIdCredor($idCredor = null)
    {
        // validation for constraint: int
        if (!is_null($idCredor) && !(is_int($idCredor) || ctype_digit($idCredor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idCredor, true), gettype($idCredor)), __LINE__);
        }
        $this->IdCredor = $idCredor;
        return $this;
    }
    /**
     * Get IdNegociacao value
     * @return int|null
     */
    public function getIdNegociacao()
    {
        return $this->IdNegociacao;
    }
    /**
     * Set IdNegociacao value
     * @param int $idNegociacao
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setIdNegociacao($idNegociacao = null)
    {
        // validation for constraint: int
        if (!is_null($idNegociacao) && !(is_int($idNegociacao) || ctype_digit($idNegociacao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idNegociacao, true), gettype($idNegociacao)), __LINE__);
        }
        $this->IdNegociacao = $idNegociacao;
        return $this;
    }
    /**
     * Get IdTipoCredor value
     * @return int|null
     */
    public function getIdTipoCredor()
    {
        return $this->IdTipoCredor;
    }
    /**
     * Set IdTipoCredor value
     * @param int $idTipoCredor
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setIdTipoCredor($idTipoCredor = null)
    {
        // validation for constraint: int
        if (!is_null($idTipoCredor) && !(is_int($idTipoCredor) || ctype_digit($idTipoCredor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idTipoCredor, true), gettype($idTipoCredor)), __LINE__);
        }
        $this->IdTipoCredor = $idTipoCredor;
        return $this;
    }
    /**
     * Get LinhaDigitavel value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLinhaDigitavel()
    {
        return isset($this->LinhaDigitavel) ? $this->LinhaDigitavel : null;
    }
    /**
     * Set LinhaDigitavel value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $linhaDigitavel
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setLinhaDigitavel($linhaDigitavel = null)
    {
        // validation for constraint: string
        if (!is_null($linhaDigitavel) && !is_string($linhaDigitavel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($linhaDigitavel, true), gettype($linhaDigitavel)), __LINE__);
        }
        if (is_null($linhaDigitavel) || (is_array($linhaDigitavel) && empty($linhaDigitavel))) {
            unset($this->LinhaDigitavel);
        } else {
            $this->LinhaDigitavel = $linhaDigitavel;
        }
        return $this;
    }
    /**
     * Get Numero value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumero()
    {
        return isset($this->Numero) ? $this->Numero : null;
    }
    /**
     * Set Numero value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numero
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setNumero($numero = null)
    {
        // validation for constraint: string
        if (!is_null($numero) && !is_string($numero)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numero, true), gettype($numero)), __LINE__);
        }
        if (is_null($numero) || (is_array($numero) && empty($numero))) {
            unset($this->Numero);
        } else {
            $this->Numero = $numero;
        }
        return $this;
    }
    /**
     * Get NumeroAcordoContrato value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumeroAcordoContrato()
    {
        return isset($this->NumeroAcordoContrato) ? $this->NumeroAcordoContrato : null;
    }
    /**
     * Set NumeroAcordoContrato value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numeroAcordoContrato
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setNumeroAcordoContrato($numeroAcordoContrato = null)
    {
        // validation for constraint: string
        if (!is_null($numeroAcordoContrato) && !is_string($numeroAcordoContrato)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroAcordoContrato, true), gettype($numeroAcordoContrato)), __LINE__);
        }
        if (is_null($numeroAcordoContrato) || (is_array($numeroAcordoContrato) && empty($numeroAcordoContrato))) {
            unset($this->NumeroAcordoContrato);
        } else {
            $this->NumeroAcordoContrato = $numeroAcordoContrato;
        }
        return $this;
    }
    /**
     * Get Observacao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getObservacao()
    {
        return isset($this->Observacao) ? $this->Observacao : null;
    }
    /**
     * Set Observacao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $observacao
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setObservacao($observacao = null)
    {
        // validation for constraint: string
        if (!is_null($observacao) && !is_string($observacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($observacao, true), gettype($observacao)), __LINE__);
        }
        if (is_null($observacao) || (is_array($observacao) && empty($observacao))) {
            unset($this->Observacao);
        } else {
            $this->Observacao = $observacao;
        }
        return $this;
    }
    /**
     * Get QrCodePix value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getQrCodePix()
    {
        return isset($this->QrCodePix) ? $this->QrCodePix : null;
    }
    /**
     * Set QrCodePix value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $qrCodePix
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setQrCodePix($qrCodePix = null)
    {
        // validation for constraint: string
        if (!is_null($qrCodePix) && !is_string($qrCodePix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($qrCodePix, true), gettype($qrCodePix)), __LINE__);
        }
        if (is_null($qrCodePix) || (is_array($qrCodePix) && empty($qrCodePix))) {
            unset($this->QrCodePix);
        } else {
            $this->QrCodePix = $qrCodePix;
        }
        return $this;
    }
    /**
     * Get TipoPagamento value
     * @return int|null
     */
    public function getTipoPagamento()
    {
        return $this->TipoPagamento;
    }
    /**
     * Set TipoPagamento value
     * @param int $tipoPagamento
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setTipoPagamento($tipoPagamento = null)
    {
        // validation for constraint: int
        if (!is_null($tipoPagamento) && !(is_int($tipoPagamento) || ctype_digit($tipoPagamento))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($tipoPagamento, true), gettype($tipoPagamento)), __LINE__);
        }
        $this->TipoPagamento = $tipoPagamento;
        return $this;
    }
    /**
     * Get UrlPix value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrlPix()
    {
        return isset($this->UrlPix) ? $this->UrlPix : null;
    }
    /**
     * Set UrlPix value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $urlPix
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setUrlPix($urlPix = null)
    {
        // validation for constraint: string
        if (!is_null($urlPix) && !is_string($urlPix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urlPix, true), gettype($urlPix)), __LINE__);
        }
        if (is_null($urlPix) || (is_array($urlPix) && empty($urlPix))) {
            unset($this->UrlPix);
        } else {
            $this->UrlPix = $urlPix;
        }
        return $this;
    }
    /**
     * Get Valor value
     * @return float|null
     */
    public function getValor()
    {
        return $this->Valor;
    }
    /**
     * Set Valor value
     * @param float $valor
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setValor($valor = null)
    {
        // validation for constraint: float
        if (!is_null($valor) && !(is_float($valor) || is_numeric($valor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valor, true), gettype($valor)), __LINE__);
        }
        $this->Valor = $valor;
        return $this;
    }
    /**
     * Get Vencimento value
     * @return string|null
     */
    public function getVencimento()
    {
        return $this->Vencimento;
    }
    /**
     * Set Vencimento value
     * @param string $vencimento
     * @return \StructType\BoletoAbertoTypePortal
     */
    public function setVencimento($vencimento = null)
    {
        // validation for constraint: string
        if (!is_null($vencimento) && !is_string($vencimento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vencimento, true), gettype($vencimento)), __LINE__);
        }
        $this->Vencimento = $vencimento;
        return $this;
    }
}
