<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BoletoTypePortal StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:BoletoTypePortal
 * @subpackage Structs
 */
class BoletoTypePortal extends AbstractStructBase
{
    /**
     * The Credor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Credor;
    /**
     * The Email
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Email;
    /**
     * The IdAcordo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdAcordo;
    /**
     * The IdAcordoCriptografado
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $IdAcordoCriptografado;
    /**
     * The IdBoleto
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdBoleto;
    /**
     * The IdCredor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdCredor;
    /**
     * The IdTipoCredor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdTipoCredor;
    /**
     * The LinhaDigitavel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $LinhaDigitavel;
    /**
     * The NumeroCelular
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NumeroCelular;
    /**
     * The Parcela
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Parcela;
    /**
     * The QrCodePix
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $QrCodePix;
    /**
     * The Status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Status;
    /**
     * The UrlCheckout
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UrlCheckout;
    /**
     * The UrlPix
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UrlPix;
    /**
     * The ValidadeCheckout
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $ValidadeCheckout;
    /**
     * The Valor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Valor;
    /**
     * The Vencimento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Vencimento;
    /**
     * Constructor method for BoletoTypePortal
     * @uses BoletoTypePortal::setCredor()
     * @uses BoletoTypePortal::setEmail()
     * @uses BoletoTypePortal::setIdAcordo()
     * @uses BoletoTypePortal::setIdAcordoCriptografado()
     * @uses BoletoTypePortal::setIdBoleto()
     * @uses BoletoTypePortal::setIdCredor()
     * @uses BoletoTypePortal::setIdTipoCredor()
     * @uses BoletoTypePortal::setLinhaDigitavel()
     * @uses BoletoTypePortal::setNumeroCelular()
     * @uses BoletoTypePortal::setParcela()
     * @uses BoletoTypePortal::setQrCodePix()
     * @uses BoletoTypePortal::setStatus()
     * @uses BoletoTypePortal::setUrlCheckout()
     * @uses BoletoTypePortal::setUrlPix()
     * @uses BoletoTypePortal::setValidadeCheckout()
     * @uses BoletoTypePortal::setValor()
     * @uses BoletoTypePortal::setVencimento()
     * @param string $credor
     * @param string $email
     * @param int $idAcordo
     * @param string $idAcordoCriptografado
     * @param int $idBoleto
     * @param int $idCredor
     * @param int $idTipoCredor
     * @param string $linhaDigitavel
     * @param string $numeroCelular
     * @param string $parcela
     * @param string $qrCodePix
     * @param string $status
     * @param string $urlCheckout
     * @param string $urlPix
     * @param string $validadeCheckout
     * @param float $valor
     * @param string $vencimento
     */
    public function __construct($credor = null, $email = null, $idAcordo = null, $idAcordoCriptografado = null, $idBoleto = null, $idCredor = null, $idTipoCredor = null, $linhaDigitavel = null, $numeroCelular = null, $parcela = null, $qrCodePix = null, $status = null, $urlCheckout = null, $urlPix = null, $validadeCheckout = null, $valor = null, $vencimento = null)
    {
        $this
            ->setCredor($credor)
            ->setEmail($email)
            ->setIdAcordo($idAcordo)
            ->setIdAcordoCriptografado($idAcordoCriptografado)
            ->setIdBoleto($idBoleto)
            ->setIdCredor($idCredor)
            ->setIdTipoCredor($idTipoCredor)
            ->setLinhaDigitavel($linhaDigitavel)
            ->setNumeroCelular($numeroCelular)
            ->setParcela($parcela)
            ->setQrCodePix($qrCodePix)
            ->setStatus($status)
            ->setUrlCheckout($urlCheckout)
            ->setUrlPix($urlPix)
            ->setValidadeCheckout($validadeCheckout)
            ->setValor($valor)
            ->setVencimento($vencimento);
    }
    /**
     * Get Credor value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCredor()
    {
        return isset($this->Credor) ? $this->Credor : null;
    }
    /**
     * Set Credor value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $credor
     * @return \StructType\BoletoTypePortal
     */
    public function setCredor($credor = null)
    {
        // validation for constraint: string
        if (!is_null($credor) && !is_string($credor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($credor, true), gettype($credor)), __LINE__);
        }
        if (is_null($credor) || (is_array($credor) && empty($credor))) {
            unset($this->Credor);
        } else {
            $this->Credor = $credor;
        }
        return $this;
    }
    /**
     * Get Email value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEmail()
    {
        return isset($this->Email) ? $this->Email : null;
    }
    /**
     * Set Email value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $email
     * @return \StructType\BoletoTypePortal
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        if (is_null($email) || (is_array($email) && empty($email))) {
            unset($this->Email);
        } else {
            $this->Email = $email;
        }
        return $this;
    }
    /**
     * Get IdAcordo value
     * @return int|null
     */
    public function getIdAcordo()
    {
        return $this->IdAcordo;
    }
    /**
     * Set IdAcordo value
     * @param int $idAcordo
     * @return \StructType\BoletoTypePortal
     */
    public function setIdAcordo($idAcordo = null)
    {
        // validation for constraint: int
        if (!is_null($idAcordo) && !(is_int($idAcordo) || ctype_digit($idAcordo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idAcordo, true), gettype($idAcordo)), __LINE__);
        }
        $this->IdAcordo = $idAcordo;
        return $this;
    }
    /**
     * Get IdAcordoCriptografado value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIdAcordoCriptografado()
    {
        return isset($this->IdAcordoCriptografado) ? $this->IdAcordoCriptografado : null;
    }
    /**
     * Set IdAcordoCriptografado value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $idAcordoCriptografado
     * @return \StructType\BoletoTypePortal
     */
    public function setIdAcordoCriptografado($idAcordoCriptografado = null)
    {
        // validation for constraint: string
        if (!is_null($idAcordoCriptografado) && !is_string($idAcordoCriptografado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($idAcordoCriptografado, true), gettype($idAcordoCriptografado)), __LINE__);
        }
        if (is_null($idAcordoCriptografado) || (is_array($idAcordoCriptografado) && empty($idAcordoCriptografado))) {
            unset($this->IdAcordoCriptografado);
        } else {
            $this->IdAcordoCriptografado = $idAcordoCriptografado;
        }
        return $this;
    }
    /**
     * Get IdBoleto value
     * @return int|null
     */
    public function getIdBoleto()
    {
        return $this->IdBoleto;
    }
    /**
     * Set IdBoleto value
     * @param int $idBoleto
     * @return \StructType\BoletoTypePortal
     */
    public function setIdBoleto($idBoleto = null)
    {
        // validation for constraint: int
        if (!is_null($idBoleto) && !(is_int($idBoleto) || ctype_digit($idBoleto))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idBoleto, true), gettype($idBoleto)), __LINE__);
        }
        $this->IdBoleto = $idBoleto;
        return $this;
    }
    /**
     * Get IdCredor value
     * @return int|null
     */
    public function getIdCredor()
    {
        return $this->IdCredor;
    }
    /**
     * Set IdCredor value
     * @param int $idCredor
     * @return \StructType\BoletoTypePortal
     */
    public function setIdCredor($idCredor = null)
    {
        // validation for constraint: int
        if (!is_null($idCredor) && !(is_int($idCredor) || ctype_digit($idCredor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idCredor, true), gettype($idCredor)), __LINE__);
        }
        $this->IdCredor = $idCredor;
        return $this;
    }
    /**
     * Get IdTipoCredor value
     * @return int|null
     */
    public function getIdTipoCredor()
    {
        return $this->IdTipoCredor;
    }
    /**
     * Set IdTipoCredor value
     * @param int $idTipoCredor
     * @return \StructType\BoletoTypePortal
     */
    public function setIdTipoCredor($idTipoCredor = null)
    {
        // validation for constraint: int
        if (!is_null($idTipoCredor) && !(is_int($idTipoCredor) || ctype_digit($idTipoCredor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idTipoCredor, true), gettype($idTipoCredor)), __LINE__);
        }
        $this->IdTipoCredor = $idTipoCredor;
        return $this;
    }
    /**
     * Get LinhaDigitavel value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLinhaDigitavel()
    {
        return isset($this->LinhaDigitavel) ? $this->LinhaDigitavel : null;
    }
    /**
     * Set LinhaDigitavel value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $linhaDigitavel
     * @return \StructType\BoletoTypePortal
     */
    public function setLinhaDigitavel($linhaDigitavel = null)
    {
        // validation for constraint: string
        if (!is_null($linhaDigitavel) && !is_string($linhaDigitavel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($linhaDigitavel, true), gettype($linhaDigitavel)), __LINE__);
        }
        if (is_null($linhaDigitavel) || (is_array($linhaDigitavel) && empty($linhaDigitavel))) {
            unset($this->LinhaDigitavel);
        } else {
            $this->LinhaDigitavel = $linhaDigitavel;
        }
        return $this;
    }
    /**
     * Get NumeroCelular value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumeroCelular()
    {
        return isset($this->NumeroCelular) ? $this->NumeroCelular : null;
    }
    /**
     * Set NumeroCelular value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numeroCelular
     * @return \StructType\BoletoTypePortal
     */
    public function setNumeroCelular($numeroCelular = null)
    {
        // validation for constraint: string
        if (!is_null($numeroCelular) && !is_string($numeroCelular)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroCelular, true), gettype($numeroCelular)), __LINE__);
        }
        if (is_null($numeroCelular) || (is_array($numeroCelular) && empty($numeroCelular))) {
            unset($this->NumeroCelular);
        } else {
            $this->NumeroCelular = $numeroCelular;
        }
        return $this;
    }
    /**
     * Get Parcela value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getParcela()
    {
        return isset($this->Parcela) ? $this->Parcela : null;
    }
    /**
     * Set Parcela value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $parcela
     * @return \StructType\BoletoTypePortal
     */
    public function setParcela($parcela = null)
    {
        // validation for constraint: string
        if (!is_null($parcela) && !is_string($parcela)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($parcela, true), gettype($parcela)), __LINE__);
        }
        if (is_null($parcela) || (is_array($parcela) && empty($parcela))) {
            unset($this->Parcela);
        } else {
            $this->Parcela = $parcela;
        }
        return $this;
    }
    /**
     * Get QrCodePix value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getQrCodePix()
    {
        return isset($this->QrCodePix) ? $this->QrCodePix : null;
    }
    /**
     * Set QrCodePix value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $qrCodePix
     * @return \StructType\BoletoTypePortal
     */
    public function setQrCodePix($qrCodePix = null)
    {
        // validation for constraint: string
        if (!is_null($qrCodePix) && !is_string($qrCodePix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($qrCodePix, true), gettype($qrCodePix)), __LINE__);
        }
        if (is_null($qrCodePix) || (is_array($qrCodePix) && empty($qrCodePix))) {
            unset($this->QrCodePix);
        } else {
            $this->QrCodePix = $qrCodePix;
        }
        return $this;
    }
    /**
     * Get Status value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getStatus()
    {
        return isset($this->Status) ? $this->Status : null;
    }
    /**
     * Set Status value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $status
     * @return \StructType\BoletoTypePortal
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($status, true), gettype($status)), __LINE__);
        }
        if (is_null($status) || (is_array($status) && empty($status))) {
            unset($this->Status);
        } else {
            $this->Status = $status;
        }
        return $this;
    }
    /**
     * Get UrlCheckout value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrlCheckout()
    {
        return isset($this->UrlCheckout) ? $this->UrlCheckout : null;
    }
    /**
     * Set UrlCheckout value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $urlCheckout
     * @return \StructType\BoletoTypePortal
     */
    public function setUrlCheckout($urlCheckout = null)
    {
        // validation for constraint: string
        if (!is_null($urlCheckout) && !is_string($urlCheckout)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urlCheckout, true), gettype($urlCheckout)), __LINE__);
        }
        if (is_null($urlCheckout) || (is_array($urlCheckout) && empty($urlCheckout))) {
            unset($this->UrlCheckout);
        } else {
            $this->UrlCheckout = $urlCheckout;
        }
        return $this;
    }
    /**
     * Get UrlPix value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrlPix()
    {
        return isset($this->UrlPix) ? $this->UrlPix : null;
    }
    /**
     * Set UrlPix value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $urlPix
     * @return \StructType\BoletoTypePortal
     */
    public function setUrlPix($urlPix = null)
    {
        // validation for constraint: string
        if (!is_null($urlPix) && !is_string($urlPix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urlPix, true), gettype($urlPix)), __LINE__);
        }
        if (is_null($urlPix) || (is_array($urlPix) && empty($urlPix))) {
            unset($this->UrlPix);
        } else {
            $this->UrlPix = $urlPix;
        }
        return $this;
    }
    /**
     * Get ValidadeCheckout value
     * @return string|null
     */
    public function getValidadeCheckout()
    {
        return $this->ValidadeCheckout;
    }
    /**
     * Set ValidadeCheckout value
     * @param string $validadeCheckout
     * @return \StructType\BoletoTypePortal
     */
    public function setValidadeCheckout($validadeCheckout = null)
    {
        // validation for constraint: string
        if (!is_null($validadeCheckout) && !is_string($validadeCheckout)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($validadeCheckout, true), gettype($validadeCheckout)), __LINE__);
        }
        $this->ValidadeCheckout = $validadeCheckout;
        return $this;
    }
    /**
     * Get Valor value
     * @return float|null
     */
    public function getValor()
    {
        return $this->Valor;
    }
    /**
     * Set Valor value
     * @param float $valor
     * @return \StructType\BoletoTypePortal
     */
    public function setValor($valor = null)
    {
        // validation for constraint: float
        if (!is_null($valor) && !(is_float($valor) || is_numeric($valor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valor, true), gettype($valor)), __LINE__);
        }
        $this->Valor = $valor;
        return $this;
    }
    /**
     * Get Vencimento value
     * @return string|null
     */
    public function getVencimento()
    {
        return $this->Vencimento;
    }
    /**
     * Set Vencimento value
     * @param string $vencimento
     * @return \StructType\BoletoTypePortal
     */
    public function setVencimento($vencimento = null)
    {
        // validation for constraint: string
        if (!is_null($vencimento) && !is_string($vencimento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vencimento, true), gettype($vencimento)), __LINE__);
        }
        $this->Vencimento = $vencimento;
        return $this;
    }
}
