<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CET StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CET
 * @subpackage Structs
 */
class CET extends AbstractStructBase
{
    /**
     * The PorcentagemAno
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $PorcentagemAno;
    /**
     * The PorcentagemMes
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $PorcentagemMes;
    /**
     * The Valor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Valor;
    /**
     * Constructor method for CET
     * @uses CET::setPorcentagemAno()
     * @uses CET::setPorcentagemMes()
     * @uses CET::setValor()
     * @param float $porcentagemAno
     * @param float $porcentagemMes
     * @param float $valor
     */
    public function __construct($porcentagemAno = null, $porcentagemMes = null, $valor = null)
    {
        $this
            ->setPorcentagemAno($porcentagemAno)
            ->setPorcentagemMes($porcentagemMes)
            ->setValor($valor);
    }
    /**
     * Get PorcentagemAno value
     * @return float|null
     */
    public function getPorcentagemAno()
    {
        return $this->PorcentagemAno;
    }
    /**
     * Set PorcentagemAno value
     * @param float $porcentagemAno
     * @return \StructType\CET
     */
    public function setPorcentagemAno($porcentagemAno = null)
    {
        // validation for constraint: float
        if (!is_null($porcentagemAno) && !(is_float($porcentagemAno) || is_numeric($porcentagemAno))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($porcentagemAno, true), gettype($porcentagemAno)), __LINE__);
        }
        $this->PorcentagemAno = $porcentagemAno;
        return $this;
    }
    /**
     * Get PorcentagemMes value
     * @return float|null
     */
    public function getPorcentagemMes()
    {
        return $this->PorcentagemMes;
    }
    /**
     * Set PorcentagemMes value
     * @param float $porcentagemMes
     * @return \StructType\CET
     */
    public function setPorcentagemMes($porcentagemMes = null)
    {
        // validation for constraint: float
        if (!is_null($porcentagemMes) && !(is_float($porcentagemMes) || is_numeric($porcentagemMes))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($porcentagemMes, true), gettype($porcentagemMes)), __LINE__);
        }
        $this->PorcentagemMes = $porcentagemMes;
        return $this;
    }
    /**
     * Get Valor value
     * @return float|null
     */
    public function getValor()
    {
        return $this->Valor;
    }
    /**
     * Set Valor value
     * @param float $valor
     * @return \StructType\CET
     */
    public function setValor($valor = null)
    {
        // validation for constraint: float
        if (!is_null($valor) && !(is_float($valor) || is_numeric($valor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valor, true), gettype($valor)), __LINE__);
        }
        $this->Valor = $valor;
        return $this;
    }
}
