<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CheckoutConfiguracaoType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CheckoutConfiguracaoType
 * @subpackage Structs
 */
class CheckoutConfiguracaoType extends AbstractStructBase
{
    /**
     * The Email
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Email;
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Id;
    /**
     * The Logo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Logo;
    /**
     * The LogoFooter
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $LogoFooter;
    /**
     * The Sac
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Sac;
    /**
     * The Site
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Site;
    /**
     * The Telefone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Telefone;
    /**
     * The Whatsapp
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Whatsapp;
    /**
     * Constructor method for CheckoutConfiguracaoType
     * @uses CheckoutConfiguracaoType::setEmail()
     * @uses CheckoutConfiguracaoType::setId()
     * @uses CheckoutConfiguracaoType::setLogo()
     * @uses CheckoutConfiguracaoType::setLogoFooter()
     * @uses CheckoutConfiguracaoType::setSac()
     * @uses CheckoutConfiguracaoType::setSite()
     * @uses CheckoutConfiguracaoType::setTelefone()
     * @uses CheckoutConfiguracaoType::setWhatsapp()
     * @param string $email
     * @param int $id
     * @param string $logo
     * @param string $logoFooter
     * @param string $sac
     * @param string $site
     * @param string $telefone
     * @param string $whatsapp
     */
    public function __construct($email = null, $id = null, $logo = null, $logoFooter = null, $sac = null, $site = null, $telefone = null, $whatsapp = null)
    {
        $this
            ->setEmail($email)
            ->setId($id)
            ->setLogo($logo)
            ->setLogoFooter($logoFooter)
            ->setSac($sac)
            ->setSite($site)
            ->setTelefone($telefone)
            ->setWhatsapp($whatsapp);
    }
    /**
     * Get Email value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEmail()
    {
        return isset($this->Email) ? $this->Email : null;
    }
    /**
     * Set Email value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $email
     * @return \StructType\CheckoutConfiguracaoType
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        if (is_null($email) || (is_array($email) && empty($email))) {
            unset($this->Email);
        } else {
            $this->Email = $email;
        }
        return $this;
    }
    /**
     * Get Id value
     * @return int|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \StructType\CheckoutConfiguracaoType
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get Logo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLogo()
    {
        return isset($this->Logo) ? $this->Logo : null;
    }
    /**
     * Set Logo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $logo
     * @return \StructType\CheckoutConfiguracaoType
     */
    public function setLogo($logo = null)
    {
        // validation for constraint: string
        if (!is_null($logo) && !is_string($logo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logo, true), gettype($logo)), __LINE__);
        }
        if (is_null($logo) || (is_array($logo) && empty($logo))) {
            unset($this->Logo);
        } else {
            $this->Logo = $logo;
        }
        return $this;
    }
    /**
     * Get LogoFooter value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLogoFooter()
    {
        return isset($this->LogoFooter) ? $this->LogoFooter : null;
    }
    /**
     * Set LogoFooter value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $logoFooter
     * @return \StructType\CheckoutConfiguracaoType
     */
    public function setLogoFooter($logoFooter = null)
    {
        // validation for constraint: string
        if (!is_null($logoFooter) && !is_string($logoFooter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logoFooter, true), gettype($logoFooter)), __LINE__);
        }
        if (is_null($logoFooter) || (is_array($logoFooter) && empty($logoFooter))) {
            unset($this->LogoFooter);
        } else {
            $this->LogoFooter = $logoFooter;
        }
        return $this;
    }
    /**
     * Get Sac value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSac()
    {
        return isset($this->Sac) ? $this->Sac : null;
    }
    /**
     * Set Sac value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $sac
     * @return \StructType\CheckoutConfiguracaoType
     */
    public function setSac($sac = null)
    {
        // validation for constraint: string
        if (!is_null($sac) && !is_string($sac)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sac, true), gettype($sac)), __LINE__);
        }
        if (is_null($sac) || (is_array($sac) && empty($sac))) {
            unset($this->Sac);
        } else {
            $this->Sac = $sac;
        }
        return $this;
    }
    /**
     * Get Site value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSite()
    {
        return isset($this->Site) ? $this->Site : null;
    }
    /**
     * Set Site value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $site
     * @return \StructType\CheckoutConfiguracaoType
     */
    public function setSite($site = null)
    {
        // validation for constraint: string
        if (!is_null($site) && !is_string($site)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($site, true), gettype($site)), __LINE__);
        }
        if (is_null($site) || (is_array($site) && empty($site))) {
            unset($this->Site);
        } else {
            $this->Site = $site;
        }
        return $this;
    }
    /**
     * Get Telefone value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTelefone()
    {
        return isset($this->Telefone) ? $this->Telefone : null;
    }
    /**
     * Set Telefone value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $telefone
     * @return \StructType\CheckoutConfiguracaoType
     */
    public function setTelefone($telefone = null)
    {
        // validation for constraint: string
        if (!is_null($telefone) && !is_string($telefone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telefone, true), gettype($telefone)), __LINE__);
        }
        if (is_null($telefone) || (is_array($telefone) && empty($telefone))) {
            unset($this->Telefone);
        } else {
            $this->Telefone = $telefone;
        }
        return $this;
    }
    /**
     * Get Whatsapp value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getWhatsapp()
    {
        return isset($this->Whatsapp) ? $this->Whatsapp : null;
    }
    /**
     * Set Whatsapp value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $whatsapp
     * @return \StructType\CheckoutConfiguracaoType
     */
    public function setWhatsapp($whatsapp = null)
    {
        // validation for constraint: string
        if (!is_null($whatsapp) && !is_string($whatsapp)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($whatsapp, true), gettype($whatsapp)), __LINE__);
        }
        if (is_null($whatsapp) || (is_array($whatsapp) && empty($whatsapp))) {
            unset($this->Whatsapp);
        } else {
            $this->Whatsapp = $whatsapp;
        }
        return $this;
    }
}
