<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ClienteCadastralResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ClienteCadastralResponse
 * @subpackage Structs
 */
class ClienteCadastralResponse extends ClienteType
{
    /**
     * The Emails
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfEmailResponse
     */
    public $Emails;
    /**
     * The Enderecos
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfEnderecoResponse
     */
    public $Enderecos;
    /**
     * The Telefones
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfTelefoneResponse
     */
    public $Telefones;
    /**
     * Constructor method for ClienteCadastralResponse
     * @uses ClienteCadastralResponse::setEmails()
     * @uses ClienteCadastralResponse::setEnderecos()
     * @uses ClienteCadastralResponse::setTelefones()
     * @param \ArrayType\ArrayOfEmailResponse $emails
     * @param \ArrayType\ArrayOfEnderecoResponse $enderecos
     * @param \ArrayType\ArrayOfTelefoneResponse $telefones
     */
    public function __construct(\ArrayType\ArrayOfEmailResponse $emails = null, \ArrayType\ArrayOfEnderecoResponse $enderecos = null, \ArrayType\ArrayOfTelefoneResponse $telefones = null)
    {
        $this
            ->setEmails($emails)
            ->setEnderecos($enderecos)
            ->setTelefones($telefones);
    }
    /**
     * Get Emails value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfEmailResponse|null
     */
    public function getEmails()
    {
        return isset($this->Emails) ? $this->Emails : null;
    }
    /**
     * Set Emails value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfEmailResponse $emails
     * @return \StructType\ClienteCadastralResponse
     */
    public function setEmails(\ArrayType\ArrayOfEmailResponse $emails = null)
    {
        if (is_null($emails) || (is_array($emails) && empty($emails))) {
            unset($this->Emails);
        } else {
            $this->Emails = $emails;
        }
        return $this;
    }
    /**
     * Get Enderecos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfEnderecoResponse|null
     */
    public function getEnderecos()
    {
        return isset($this->Enderecos) ? $this->Enderecos : null;
    }
    /**
     * Set Enderecos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfEnderecoResponse $enderecos
     * @return \StructType\ClienteCadastralResponse
     */
    public function setEnderecos(\ArrayType\ArrayOfEnderecoResponse $enderecos = null)
    {
        if (is_null($enderecos) || (is_array($enderecos) && empty($enderecos))) {
            unset($this->Enderecos);
        } else {
            $this->Enderecos = $enderecos;
        }
        return $this;
    }
    /**
     * Get Telefones value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfTelefoneResponse|null
     */
    public function getTelefones()
    {
        return isset($this->Telefones) ? $this->Telefones : null;
    }
    /**
     * Set Telefones value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfTelefoneResponse $telefones
     * @return \StructType\ClienteCadastralResponse
     */
    public function setTelefones(\ArrayType\ArrayOfTelefoneResponse $telefones = null)
    {
        if (is_null($telefones) || (is_array($telefones) && empty($telefones))) {
            unset($this->Telefones);
        } else {
            $this->Telefones = $telefones;
        }
        return $this;
    }
}
