<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ClienteRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ClienteRequest
 * @subpackage Structs
 */
class ClienteRequest extends ClienteType
{
    /**
     * The Contratos
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfContratoRequest
     */
    public $Contratos;
    /**
     * The DadosAdicionaisCliente
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DadosAdicionaisRequest
     */
    public $DadosAdicionaisCliente;
    /**
     * The Emails
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfEmailRequest
     */
    public $Emails;
    /**
     * The Enderecos
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfEnderecoRequest
     */
    public $Enderecos;
    /**
     * The PessoaFisica
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PessoaFisicaRequest
     */
    public $PessoaFisica;
    /**
     * The PessoaJuridica
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PessoaJuridicaRequest
     */
    public $PessoaJuridica;
    /**
     * The Telefones
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfTelefoneRequest
     */
    public $Telefones;
    /**
     * Constructor method for ClienteRequest
     * @uses ClienteRequest::setContratos()
     * @uses ClienteRequest::setDadosAdicionaisCliente()
     * @uses ClienteRequest::setEmails()
     * @uses ClienteRequest::setEnderecos()
     * @uses ClienteRequest::setPessoaFisica()
     * @uses ClienteRequest::setPessoaJuridica()
     * @uses ClienteRequest::setTelefones()
     * @param \ArrayType\ArrayOfContratoRequest $contratos
     * @param \StructType\DadosAdicionaisRequest $dadosAdicionaisCliente
     * @param \ArrayType\ArrayOfEmailRequest $emails
     * @param \ArrayType\ArrayOfEnderecoRequest $enderecos
     * @param \StructType\PessoaFisicaRequest $pessoaFisica
     * @param \StructType\PessoaJuridicaRequest $pessoaJuridica
     * @param \ArrayType\ArrayOfTelefoneRequest $telefones
     */
    public function __construct(\ArrayType\ArrayOfContratoRequest $contratos = null, \StructType\DadosAdicionaisRequest $dadosAdicionaisCliente = null, \ArrayType\ArrayOfEmailRequest $emails = null, \ArrayType\ArrayOfEnderecoRequest $enderecos = null, \StructType\PessoaFisicaRequest $pessoaFisica = null, \StructType\PessoaJuridicaRequest $pessoaJuridica = null, \ArrayType\ArrayOfTelefoneRequest $telefones = null)
    {
        $this
            ->setContratos($contratos)
            ->setDadosAdicionaisCliente($dadosAdicionaisCliente)
            ->setEmails($emails)
            ->setEnderecos($enderecos)
            ->setPessoaFisica($pessoaFisica)
            ->setPessoaJuridica($pessoaJuridica)
            ->setTelefones($telefones);
    }
    /**
     * Get Contratos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfContratoRequest|null
     */
    public function getContratos()
    {
        return isset($this->Contratos) ? $this->Contratos : null;
    }
    /**
     * Set Contratos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfContratoRequest $contratos
     * @return \StructType\ClienteRequest
     */
    public function setContratos(\ArrayType\ArrayOfContratoRequest $contratos = null)
    {
        if (is_null($contratos) || (is_array($contratos) && empty($contratos))) {
            unset($this->Contratos);
        } else {
            $this->Contratos = $contratos;
        }
        return $this;
    }
    /**
     * Get DadosAdicionaisCliente value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DadosAdicionaisRequest|null
     */
    public function getDadosAdicionaisCliente()
    {
        return isset($this->DadosAdicionaisCliente) ? $this->DadosAdicionaisCliente : null;
    }
    /**
     * Set DadosAdicionaisCliente value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\DadosAdicionaisRequest $dadosAdicionaisCliente
     * @return \StructType\ClienteRequest
     */
    public function setDadosAdicionaisCliente(\StructType\DadosAdicionaisRequest $dadosAdicionaisCliente = null)
    {
        if (is_null($dadosAdicionaisCliente) || (is_array($dadosAdicionaisCliente) && empty($dadosAdicionaisCliente))) {
            unset($this->DadosAdicionaisCliente);
        } else {
            $this->DadosAdicionaisCliente = $dadosAdicionaisCliente;
        }
        return $this;
    }
    /**
     * Get Emails value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfEmailRequest|null
     */
    public function getEmails()
    {
        return isset($this->Emails) ? $this->Emails : null;
    }
    /**
     * Set Emails value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfEmailRequest $emails
     * @return \StructType\ClienteRequest
     */
    public function setEmails(\ArrayType\ArrayOfEmailRequest $emails = null)
    {
        if (is_null($emails) || (is_array($emails) && empty($emails))) {
            unset($this->Emails);
        } else {
            $this->Emails = $emails;
        }
        return $this;
    }
    /**
     * Get Enderecos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfEnderecoRequest|null
     */
    public function getEnderecos()
    {
        return isset($this->Enderecos) ? $this->Enderecos : null;
    }
    /**
     * Set Enderecos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfEnderecoRequest $enderecos
     * @return \StructType\ClienteRequest
     */
    public function setEnderecos(\ArrayType\ArrayOfEnderecoRequest $enderecos = null)
    {
        if (is_null($enderecos) || (is_array($enderecos) && empty($enderecos))) {
            unset($this->Enderecos);
        } else {
            $this->Enderecos = $enderecos;
        }
        return $this;
    }
    /**
     * Get PessoaFisica value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PessoaFisicaRequest|null
     */
    public function getPessoaFisica()
    {
        return isset($this->PessoaFisica) ? $this->PessoaFisica : null;
    }
    /**
     * Set PessoaFisica value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\PessoaFisicaRequest $pessoaFisica
     * @return \StructType\ClienteRequest
     */
    public function setPessoaFisica(\StructType\PessoaFisicaRequest $pessoaFisica = null)
    {
        if (is_null($pessoaFisica) || (is_array($pessoaFisica) && empty($pessoaFisica))) {
            unset($this->PessoaFisica);
        } else {
            $this->PessoaFisica = $pessoaFisica;
        }
        return $this;
    }
    /**
     * Get PessoaJuridica value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PessoaJuridicaRequest|null
     */
    public function getPessoaJuridica()
    {
        return isset($this->PessoaJuridica) ? $this->PessoaJuridica : null;
    }
    /**
     * Set PessoaJuridica value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\PessoaJuridicaRequest $pessoaJuridica
     * @return \StructType\ClienteRequest
     */
    public function setPessoaJuridica(\StructType\PessoaJuridicaRequest $pessoaJuridica = null)
    {
        if (is_null($pessoaJuridica) || (is_array($pessoaJuridica) && empty($pessoaJuridica))) {
            unset($this->PessoaJuridica);
        } else {
            $this->PessoaJuridica = $pessoaJuridica;
        }
        return $this;
    }
    /**
     * Get Telefones value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfTelefoneRequest|null
     */
    public function getTelefones()
    {
        return isset($this->Telefones) ? $this->Telefones : null;
    }
    /**
     * Set Telefones value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfTelefoneRequest $telefones
     * @return \StructType\ClienteRequest
     */
    public function setTelefones(\ArrayType\ArrayOfTelefoneRequest $telefones = null)
    {
        if (is_null($telefones) || (is_array($telefones) && empty($telefones))) {
            unset($this->Telefones);
        } else {
            $this->Telefones = $telefones;
        }
        return $this;
    }
}
