<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ClienteResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ClienteResponse
 * @subpackage Structs
 */
class ClienteResponse extends ClienteType
{
    /**
     * The Contratos
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfContratoClienteResponse
     */
    public $Contratos;
    /**
     * The Emails
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfEmailResponse
     */
    public $Emails;
    /**
     * The Enderecos
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfEnderecoResponse
     */
    public $Enderecos;
    /**
     * The PessoaFisica
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PessoaFisicaResponse
     */
    public $PessoaFisica;
    /**
     * The PessoaJuridica
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PessoaJuridicaResponse
     */
    public $PessoaJuridica;
    /**
     * The Referencias
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfReferenciaResponse
     */
    public $Referencias;
    /**
     * The Telefones
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfTelefoneResponse
     */
    public $Telefones;
    /**
     * Constructor method for ClienteResponse
     * @uses ClienteResponse::setContratos()
     * @uses ClienteResponse::setEmails()
     * @uses ClienteResponse::setEnderecos()
     * @uses ClienteResponse::setPessoaFisica()
     * @uses ClienteResponse::setPessoaJuridica()
     * @uses ClienteResponse::setReferencias()
     * @uses ClienteResponse::setTelefones()
     * @param \ArrayType\ArrayOfContratoClienteResponse $contratos
     * @param \ArrayType\ArrayOfEmailResponse $emails
     * @param \ArrayType\ArrayOfEnderecoResponse $enderecos
     * @param \StructType\PessoaFisicaResponse $pessoaFisica
     * @param \StructType\PessoaJuridicaResponse $pessoaJuridica
     * @param \ArrayType\ArrayOfReferenciaResponse $referencias
     * @param \ArrayType\ArrayOfTelefoneResponse $telefones
     */
    public function __construct(\ArrayType\ArrayOfContratoClienteResponse $contratos = null, \ArrayType\ArrayOfEmailResponse $emails = null, \ArrayType\ArrayOfEnderecoResponse $enderecos = null, \StructType\PessoaFisicaResponse $pessoaFisica = null, \StructType\PessoaJuridicaResponse $pessoaJuridica = null, \ArrayType\ArrayOfReferenciaResponse $referencias = null, \ArrayType\ArrayOfTelefoneResponse $telefones = null)
    {
        $this
            ->setContratos($contratos)
            ->setEmails($emails)
            ->setEnderecos($enderecos)
            ->setPessoaFisica($pessoaFisica)
            ->setPessoaJuridica($pessoaJuridica)
            ->setReferencias($referencias)
            ->setTelefones($telefones);
    }
    /**
     * Get Contratos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfContratoClienteResponse|null
     */
    public function getContratos()
    {
        return isset($this->Contratos) ? $this->Contratos : null;
    }
    /**
     * Set Contratos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfContratoClienteResponse $contratos
     * @return \StructType\ClienteResponse
     */
    public function setContratos(\ArrayType\ArrayOfContratoClienteResponse $contratos = null)
    {
        if (is_null($contratos) || (is_array($contratos) && empty($contratos))) {
            unset($this->Contratos);
        } else {
            $this->Contratos = $contratos;
        }
        return $this;
    }
    /**
     * Get Emails value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfEmailResponse|null
     */
    public function getEmails()
    {
        return isset($this->Emails) ? $this->Emails : null;
    }
    /**
     * Set Emails value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfEmailResponse $emails
     * @return \StructType\ClienteResponse
     */
    public function setEmails(\ArrayType\ArrayOfEmailResponse $emails = null)
    {
        if (is_null($emails) || (is_array($emails) && empty($emails))) {
            unset($this->Emails);
        } else {
            $this->Emails = $emails;
        }
        return $this;
    }
    /**
     * Get Enderecos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfEnderecoResponse|null
     */
    public function getEnderecos()
    {
        return isset($this->Enderecos) ? $this->Enderecos : null;
    }
    /**
     * Set Enderecos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfEnderecoResponse $enderecos
     * @return \StructType\ClienteResponse
     */
    public function setEnderecos(\ArrayType\ArrayOfEnderecoResponse $enderecos = null)
    {
        if (is_null($enderecos) || (is_array($enderecos) && empty($enderecos))) {
            unset($this->Enderecos);
        } else {
            $this->Enderecos = $enderecos;
        }
        return $this;
    }
    /**
     * Get PessoaFisica value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PessoaFisicaResponse|null
     */
    public function getPessoaFisica()
    {
        return isset($this->PessoaFisica) ? $this->PessoaFisica : null;
    }
    /**
     * Set PessoaFisica value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\PessoaFisicaResponse $pessoaFisica
     * @return \StructType\ClienteResponse
     */
    public function setPessoaFisica(\StructType\PessoaFisicaResponse $pessoaFisica = null)
    {
        if (is_null($pessoaFisica) || (is_array($pessoaFisica) && empty($pessoaFisica))) {
            unset($this->PessoaFisica);
        } else {
            $this->PessoaFisica = $pessoaFisica;
        }
        return $this;
    }
    /**
     * Get PessoaJuridica value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PessoaJuridicaResponse|null
     */
    public function getPessoaJuridica()
    {
        return isset($this->PessoaJuridica) ? $this->PessoaJuridica : null;
    }
    /**
     * Set PessoaJuridica value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\PessoaJuridicaResponse $pessoaJuridica
     * @return \StructType\ClienteResponse
     */
    public function setPessoaJuridica(\StructType\PessoaJuridicaResponse $pessoaJuridica = null)
    {
        if (is_null($pessoaJuridica) || (is_array($pessoaJuridica) && empty($pessoaJuridica))) {
            unset($this->PessoaJuridica);
        } else {
            $this->PessoaJuridica = $pessoaJuridica;
        }
        return $this;
    }
    /**
     * Get Referencias value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfReferenciaResponse|null
     */
    public function getReferencias()
    {
        return isset($this->Referencias) ? $this->Referencias : null;
    }
    /**
     * Set Referencias value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfReferenciaResponse $referencias
     * @return \StructType\ClienteResponse
     */
    public function setReferencias(\ArrayType\ArrayOfReferenciaResponse $referencias = null)
    {
        if (is_null($referencias) || (is_array($referencias) && empty($referencias))) {
            unset($this->Referencias);
        } else {
            $this->Referencias = $referencias;
        }
        return $this;
    }
    /**
     * Get Telefones value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfTelefoneResponse|null
     */
    public function getTelefones()
    {
        return isset($this->Telefones) ? $this->Telefones : null;
    }
    /**
     * Set Telefones value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfTelefoneResponse $telefones
     * @return \StructType\ClienteResponse
     */
    public function setTelefones(\ArrayType\ArrayOfTelefoneResponse $telefones = null)
    {
        if (is_null($telefones) || (is_array($telefones) && empty($telefones))) {
            unset($this->Telefones);
        } else {
            $this->Telefones = $telefones;
        }
        return $this;
    }
}
