<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConcluirCheckout StructType
 * @subpackage Structs
 */
class ConcluirCheckout extends AbstractStructBase
{
    /**
     * The concluirRequest
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ConcluirCheckoutType
     */
    public $concluirRequest;
    /**
     * The Token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Token;
    /**
     * Constructor method for ConcluirCheckout
     * @uses ConcluirCheckout::setConcluirRequest()
     * @uses ConcluirCheckout::setToken()
     * @param \StructType\ConcluirCheckoutType $concluirRequest
     * @param string $token
     */
    public function __construct(\StructType\ConcluirCheckoutType $concluirRequest = null, $token = null)
    {
        $this
            ->setConcluirRequest($concluirRequest)
            ->setToken($token);
    }
    /**
     * Get concluirRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ConcluirCheckoutType|null
     */
    public function getConcluirRequest()
    {
        return isset($this->concluirRequest) ? $this->concluirRequest : null;
    }
    /**
     * Set concluirRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\ConcluirCheckoutType $concluirRequest
     * @return \StructType\ConcluirCheckout
     */
    public function setConcluirRequest(\StructType\ConcluirCheckoutType $concluirRequest = null)
    {
        if (is_null($concluirRequest) || (is_array($concluirRequest) && empty($concluirRequest))) {
            unset($this->concluirRequest);
        } else {
            $this->concluirRequest = $concluirRequest;
        }
        return $this;
    }
    /**
     * Get Token value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToken()
    {
        return isset($this->Token) ? $this->Token : null;
    }
    /**
     * Set Token value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $token
     * @return \StructType\ConcluirCheckout
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        if (is_null($token) || (is_array($token) && empty($token))) {
            unset($this->Token);
        } else {
            $this->Token = $token;
        }
        return $this;
    }
}
