<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConsultarClientePortalPorCPFCNPJ StructType
 * @subpackage Structs
 */
class ConsultarClientePortalPorCPFCNPJ extends AbstractStructBase
{
    /**
     * The CPF
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CPF;
    /**
     * The Token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Token;
    /**
     * Constructor method for ConsultarClientePortalPorCPFCNPJ
     * @uses ConsultarClientePortalPorCPFCNPJ::setCPF()
     * @uses ConsultarClientePortalPorCPFCNPJ::setToken()
     * @param string $cPF
     * @param string $token
     */
    public function __construct($cPF = null, $token = null)
    {
        $this
            ->setCPF($cPF)
            ->setToken($token);
    }
    /**
     * Get CPF value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCPF()
    {
        return isset($this->CPF) ? $this->CPF : null;
    }
    /**
     * Set CPF value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cPF
     * @return \StructType\ConsultarClientePortalPorCPFCNPJ
     */
    public function setCPF($cPF = null)
    {
        // validation for constraint: string
        if (!is_null($cPF) && !is_string($cPF)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cPF, true), gettype($cPF)), __LINE__);
        }
        if (is_null($cPF) || (is_array($cPF) && empty($cPF))) {
            unset($this->CPF);
        } else {
            $this->CPF = $cPF;
        }
        return $this;
    }
    /**
     * Get Token value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToken()
    {
        return isset($this->Token) ? $this->Token : null;
    }
    /**
     * Set Token value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $token
     * @return \StructType\ConsultarClientePortalPorCPFCNPJ
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        if (is_null($token) || (is_array($token) && empty($token))) {
            unset($this->Token);
        } else {
            $this->Token = $token;
        }
        return $this;
    }
}
