<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConsultarContratos StructType
 * @subpackage Structs
 */
class ConsultarContratos extends AbstractStructBase
{
    /**
     * The Contratos
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfstring
     */
    public $Contratos;
    /**
     * The Token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Token;
    /**
     * Constructor method for ConsultarContratos
     * @uses ConsultarContratos::setContratos()
     * @uses ConsultarContratos::setToken()
     * @param \ArrayType\ArrayOfstring $contratos
     * @param string $token
     */
    public function __construct(\ArrayType\ArrayOfstring $contratos = null, $token = null)
    {
        $this
            ->setContratos($contratos)
            ->setToken($token);
    }
    /**
     * Get Contratos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfstring|null
     */
    public function getContratos()
    {
        return isset($this->Contratos) ? $this->Contratos : null;
    }
    /**
     * Set Contratos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfstring $contratos
     * @return \StructType\ConsultarContratos
     */
    public function setContratos(\ArrayType\ArrayOfstring $contratos = null)
    {
        if (is_null($contratos) || (is_array($contratos) && empty($contratos))) {
            unset($this->Contratos);
        } else {
            $this->Contratos = $contratos;
        }
        return $this;
    }
    /**
     * Get Token value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToken()
    {
        return isset($this->Token) ? $this->Token : null;
    }
    /**
     * Set Token value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $token
     * @return \StructType\ConsultarContratos
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        if (is_null($token) || (is_array($token) && empty($token))) {
            unset($this->Token);
        } else {
            $this->Token = $token;
        }
        return $this;
    }
}
