<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConsultarEventos StructType
 * @subpackage Structs
 */
class ConsultarEventos extends AbstractStructBase
{
    /**
     * The DataInicial
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $DataInicial;
    /**
     * The DataFinal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $DataFinal;
    /**
     * The TipoEvento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TipoEvento;
    /**
     * The GrupoEvento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $GrupoEvento;
    /**
     * The Token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Token;
    /**
     * Constructor method for ConsultarEventos
     * @uses ConsultarEventos::setDataInicial()
     * @uses ConsultarEventos::setDataFinal()
     * @uses ConsultarEventos::setTipoEvento()
     * @uses ConsultarEventos::setGrupoEvento()
     * @uses ConsultarEventos::setToken()
     * @param string $dataInicial
     * @param string $dataFinal
     * @param string $tipoEvento
     * @param string $grupoEvento
     * @param string $token
     */
    public function __construct($dataInicial = null, $dataFinal = null, $tipoEvento = null, $grupoEvento = null, $token = null)
    {
        $this
            ->setDataInicial($dataInicial)
            ->setDataFinal($dataFinal)
            ->setTipoEvento($tipoEvento)
            ->setGrupoEvento($grupoEvento)
            ->setToken($token);
    }
    /**
     * Get DataInicial value
     * @return string|null
     */
    public function getDataInicial()
    {
        return $this->DataInicial;
    }
    /**
     * Set DataInicial value
     * @param string $dataInicial
     * @return \StructType\ConsultarEventos
     */
    public function setDataInicial($dataInicial = null)
    {
        // validation for constraint: string
        if (!is_null($dataInicial) && !is_string($dataInicial)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataInicial, true), gettype($dataInicial)), __LINE__);
        }
        $this->DataInicial = $dataInicial;
        return $this;
    }
    /**
     * Get DataFinal value
     * @return string|null
     */
    public function getDataFinal()
    {
        return $this->DataFinal;
    }
    /**
     * Set DataFinal value
     * @param string $dataFinal
     * @return \StructType\ConsultarEventos
     */
    public function setDataFinal($dataFinal = null)
    {
        // validation for constraint: string
        if (!is_null($dataFinal) && !is_string($dataFinal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataFinal, true), gettype($dataFinal)), __LINE__);
        }
        $this->DataFinal = $dataFinal;
        return $this;
    }
    /**
     * Get TipoEvento value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTipoEvento()
    {
        return isset($this->TipoEvento) ? $this->TipoEvento : null;
    }
    /**
     * Set TipoEvento value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tipoEvento
     * @return \StructType\ConsultarEventos
     */
    public function setTipoEvento($tipoEvento = null)
    {
        // validation for constraint: string
        if (!is_null($tipoEvento) && !is_string($tipoEvento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tipoEvento, true), gettype($tipoEvento)), __LINE__);
        }
        if (is_null($tipoEvento) || (is_array($tipoEvento) && empty($tipoEvento))) {
            unset($this->TipoEvento);
        } else {
            $this->TipoEvento = $tipoEvento;
        }
        return $this;
    }
    /**
     * Get GrupoEvento value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getGrupoEvento()
    {
        return isset($this->GrupoEvento) ? $this->GrupoEvento : null;
    }
    /**
     * Set GrupoEvento value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $grupoEvento
     * @return \StructType\ConsultarEventos
     */
    public function setGrupoEvento($grupoEvento = null)
    {
        // validation for constraint: string
        if (!is_null($grupoEvento) && !is_string($grupoEvento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($grupoEvento, true), gettype($grupoEvento)), __LINE__);
        }
        if (is_null($grupoEvento) || (is_array($grupoEvento) && empty($grupoEvento))) {
            unset($this->GrupoEvento);
        } else {
            $this->GrupoEvento = $grupoEvento;
        }
        return $this;
    }
    /**
     * Get Token value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToken()
    {
        return isset($this->Token) ? $this->Token : null;
    }
    /**
     * Set Token value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $token
     * @return \StructType\ConsultarEventos
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        if (is_null($token) || (is_array($token) && empty($token))) {
            unset($this->Token);
        } else {
            $this->Token = $token;
        }
        return $this;
    }
}
