<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConsultarNossoNumero StructType
 * @subpackage Structs
 */
class ConsultarNossoNumero extends AbstractStructBase
{
    /**
     * The Banco
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Banco;
    /**
     * The Agencia
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Agencia;
    /**
     * The Conta
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Conta;
    /**
     * The NossoNumero
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NossoNumero;
    /**
     * The Token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Token;
    /**
     * Constructor method for ConsultarNossoNumero
     * @uses ConsultarNossoNumero::setBanco()
     * @uses ConsultarNossoNumero::setAgencia()
     * @uses ConsultarNossoNumero::setConta()
     * @uses ConsultarNossoNumero::setNossoNumero()
     * @uses ConsultarNossoNumero::setToken()
     * @param string $banco
     * @param string $agencia
     * @param string $conta
     * @param string $nossoNumero
     * @param string $token
     */
    public function __construct($banco = null, $agencia = null, $conta = null, $nossoNumero = null, $token = null)
    {
        $this
            ->setBanco($banco)
            ->setAgencia($agencia)
            ->setConta($conta)
            ->setNossoNumero($nossoNumero)
            ->setToken($token);
    }
    /**
     * Get Banco value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBanco()
    {
        return isset($this->Banco) ? $this->Banco : null;
    }
    /**
     * Set Banco value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $banco
     * @return \StructType\ConsultarNossoNumero
     */
    public function setBanco($banco = null)
    {
        // validation for constraint: string
        if (!is_null($banco) && !is_string($banco)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($banco, true), gettype($banco)), __LINE__);
        }
        if (is_null($banco) || (is_array($banco) && empty($banco))) {
            unset($this->Banco);
        } else {
            $this->Banco = $banco;
        }
        return $this;
    }
    /**
     * Get Agencia value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAgencia()
    {
        return isset($this->Agencia) ? $this->Agencia : null;
    }
    /**
     * Set Agencia value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $agencia
     * @return \StructType\ConsultarNossoNumero
     */
    public function setAgencia($agencia = null)
    {
        // validation for constraint: string
        if (!is_null($agencia) && !is_string($agencia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($agencia, true), gettype($agencia)), __LINE__);
        }
        if (is_null($agencia) || (is_array($agencia) && empty($agencia))) {
            unset($this->Agencia);
        } else {
            $this->Agencia = $agencia;
        }
        return $this;
    }
    /**
     * Get Conta value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getConta()
    {
        return isset($this->Conta) ? $this->Conta : null;
    }
    /**
     * Set Conta value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $conta
     * @return \StructType\ConsultarNossoNumero
     */
    public function setConta($conta = null)
    {
        // validation for constraint: string
        if (!is_null($conta) && !is_string($conta)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($conta, true), gettype($conta)), __LINE__);
        }
        if (is_null($conta) || (is_array($conta) && empty($conta))) {
            unset($this->Conta);
        } else {
            $this->Conta = $conta;
        }
        return $this;
    }
    /**
     * Get NossoNumero value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNossoNumero()
    {
        return isset($this->NossoNumero) ? $this->NossoNumero : null;
    }
    /**
     * Set NossoNumero value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nossoNumero
     * @return \StructType\ConsultarNossoNumero
     */
    public function setNossoNumero($nossoNumero = null)
    {
        // validation for constraint: string
        if (!is_null($nossoNumero) && !is_string($nossoNumero)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nossoNumero, true), gettype($nossoNumero)), __LINE__);
        }
        if (is_null($nossoNumero) || (is_array($nossoNumero) && empty($nossoNumero))) {
            unset($this->NossoNumero);
        } else {
            $this->NossoNumero = $nossoNumero;
        }
        return $this;
    }
    /**
     * Get Token value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToken()
    {
        return isset($this->Token) ? $this->Token : null;
    }
    /**
     * Set Token value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $token
     * @return \StructType\ConsultarNossoNumero
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        if (is_null($token) || (is_array($token) && empty($token))) {
            unset($this->Token);
        } else {
            $this->Token = $token;
        }
        return $this;
    }
}
