<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ContratoCampoTypePortal StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ContratoCampoTypePortal
 * @subpackage Structs
 */
class ContratoCampoTypePortal extends AbstractStructBase
{
    /**
     * The IdCampo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdCampo;
    /**
     * The IdContrato
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdContrato;
    /**
     * The IdCredor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdCredor;
    /**
     * The IdCredorTipo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdCredorTipo;
    /**
     * The NomeCampo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeCampo;
    /**
     * The Ordem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Ordem;
    /**
     * The Valor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Valor;
    /**
     * Constructor method for ContratoCampoTypePortal
     * @uses ContratoCampoTypePortal::setIdCampo()
     * @uses ContratoCampoTypePortal::setIdContrato()
     * @uses ContratoCampoTypePortal::setIdCredor()
     * @uses ContratoCampoTypePortal::setIdCredorTipo()
     * @uses ContratoCampoTypePortal::setNomeCampo()
     * @uses ContratoCampoTypePortal::setOrdem()
     * @uses ContratoCampoTypePortal::setValor()
     * @param int $idCampo
     * @param int $idContrato
     * @param int $idCredor
     * @param int $idCredorTipo
     * @param string $nomeCampo
     * @param int $ordem
     * @param string $valor
     */
    public function __construct($idCampo = null, $idContrato = null, $idCredor = null, $idCredorTipo = null, $nomeCampo = null, $ordem = null, $valor = null)
    {
        $this
            ->setIdCampo($idCampo)
            ->setIdContrato($idContrato)
            ->setIdCredor($idCredor)
            ->setIdCredorTipo($idCredorTipo)
            ->setNomeCampo($nomeCampo)
            ->setOrdem($ordem)
            ->setValor($valor);
    }
    /**
     * Get IdCampo value
     * @return int|null
     */
    public function getIdCampo()
    {
        return $this->IdCampo;
    }
    /**
     * Set IdCampo value
     * @param int $idCampo
     * @return \StructType\ContratoCampoTypePortal
     */
    public function setIdCampo($idCampo = null)
    {
        // validation for constraint: int
        if (!is_null($idCampo) && !(is_int($idCampo) || ctype_digit($idCampo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idCampo, true), gettype($idCampo)), __LINE__);
        }
        $this->IdCampo = $idCampo;
        return $this;
    }
    /**
     * Get IdContrato value
     * @return int|null
     */
    public function getIdContrato()
    {
        return $this->IdContrato;
    }
    /**
     * Set IdContrato value
     * @param int $idContrato
     * @return \StructType\ContratoCampoTypePortal
     */
    public function setIdContrato($idContrato = null)
    {
        // validation for constraint: int
        if (!is_null($idContrato) && !(is_int($idContrato) || ctype_digit($idContrato))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idContrato, true), gettype($idContrato)), __LINE__);
        }
        $this->IdContrato = $idContrato;
        return $this;
    }
    /**
     * Get IdCredor value
     * @return int|null
     */
    public function getIdCredor()
    {
        return $this->IdCredor;
    }
    /**
     * Set IdCredor value
     * @param int $idCredor
     * @return \StructType\ContratoCampoTypePortal
     */
    public function setIdCredor($idCredor = null)
    {
        // validation for constraint: int
        if (!is_null($idCredor) && !(is_int($idCredor) || ctype_digit($idCredor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idCredor, true), gettype($idCredor)), __LINE__);
        }
        $this->IdCredor = $idCredor;
        return $this;
    }
    /**
     * Get IdCredorTipo value
     * @return int|null
     */
    public function getIdCredorTipo()
    {
        return $this->IdCredorTipo;
    }
    /**
     * Set IdCredorTipo value
     * @param int $idCredorTipo
     * @return \StructType\ContratoCampoTypePortal
     */
    public function setIdCredorTipo($idCredorTipo = null)
    {
        // validation for constraint: int
        if (!is_null($idCredorTipo) && !(is_int($idCredorTipo) || ctype_digit($idCredorTipo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idCredorTipo, true), gettype($idCredorTipo)), __LINE__);
        }
        $this->IdCredorTipo = $idCredorTipo;
        return $this;
    }
    /**
     * Get NomeCampo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeCampo()
    {
        return isset($this->NomeCampo) ? $this->NomeCampo : null;
    }
    /**
     * Set NomeCampo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeCampo
     * @return \StructType\ContratoCampoTypePortal
     */
    public function setNomeCampo($nomeCampo = null)
    {
        // validation for constraint: string
        if (!is_null($nomeCampo) && !is_string($nomeCampo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeCampo, true), gettype($nomeCampo)), __LINE__);
        }
        if (is_null($nomeCampo) || (is_array($nomeCampo) && empty($nomeCampo))) {
            unset($this->NomeCampo);
        } else {
            $this->NomeCampo = $nomeCampo;
        }
        return $this;
    }
    /**
     * Get Ordem value
     * @return int|null
     */
    public function getOrdem()
    {
        return $this->Ordem;
    }
    /**
     * Set Ordem value
     * @param int $ordem
     * @return \StructType\ContratoCampoTypePortal
     */
    public function setOrdem($ordem = null)
    {
        // validation for constraint: int
        if (!is_null($ordem) && !(is_int($ordem) || ctype_digit($ordem))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($ordem, true), gettype($ordem)), __LINE__);
        }
        $this->Ordem = $ordem;
        return $this;
    }
    /**
     * Get Valor value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getValor()
    {
        return isset($this->Valor) ? $this->Valor : null;
    }
    /**
     * Set Valor value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $valor
     * @return \StructType\ContratoCampoTypePortal
     */
    public function setValor($valor = null)
    {
        // validation for constraint: string
        if (!is_null($valor) && !is_string($valor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($valor, true), gettype($valor)), __LINE__);
        }
        if (is_null($valor) || (is_array($valor) && empty($valor))) {
            unset($this->Valor);
        } else {
            $this->Valor = $valor;
        }
        return $this;
    }
}
