<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for IncluirEndereco StructType
 * @subpackage Structs
 */
class IncluirEndereco extends AbstractStructBase
{
    /**
     * The Endereco
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EnderecoRequest
     */
    public $Endereco;
    /**
     * The IdCliente
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdCliente;
    /**
     * The Token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Token;
    /**
     * Constructor method for IncluirEndereco
     * @uses IncluirEndereco::setEndereco()
     * @uses IncluirEndereco::setIdCliente()
     * @uses IncluirEndereco::setToken()
     * @param \StructType\EnderecoRequest $endereco
     * @param int $idCliente
     * @param string $token
     */
    public function __construct(\StructType\EnderecoRequest $endereco = null, $idCliente = null, $token = null)
    {
        $this
            ->setEndereco($endereco)
            ->setIdCliente($idCliente)
            ->setToken($token);
    }
    /**
     * Get Endereco value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EnderecoRequest|null
     */
    public function getEndereco()
    {
        return isset($this->Endereco) ? $this->Endereco : null;
    }
    /**
     * Set Endereco value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\EnderecoRequest $endereco
     * @return \StructType\IncluirEndereco
     */
    public function setEndereco(\StructType\EnderecoRequest $endereco = null)
    {
        if (is_null($endereco) || (is_array($endereco) && empty($endereco))) {
            unset($this->Endereco);
        } else {
            $this->Endereco = $endereco;
        }
        return $this;
    }
    /**
     * Get IdCliente value
     * @return int|null
     */
    public function getIdCliente()
    {
        return $this->IdCliente;
    }
    /**
     * Set IdCliente value
     * @param int $idCliente
     * @return \StructType\IncluirEndereco
     */
    public function setIdCliente($idCliente = null)
    {
        // validation for constraint: int
        if (!is_null($idCliente) && !(is_int($idCliente) || ctype_digit($idCliente))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idCliente, true), gettype($idCliente)), __LINE__);
        }
        $this->IdCliente = $idCliente;
        return $this;
    }
    /**
     * Get Token value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToken()
    {
        return isset($this->Token) ? $this->Token : null;
    }
    /**
     * Set Token value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $token
     * @return \StructType\IncluirEndereco
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        if (is_null($token) || (is_array($token) && empty($token))) {
            unset($this->Token);
        } else {
            $this->Token = $token;
        }
        return $this;
    }
}
