<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PagamentoCheckoutRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:PagamentoCheckoutRequest
 * @subpackage Structs
 */
class PagamentoCheckoutRequest extends AbstractStructBase
{
    /**
     * The BandeiraCartao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $BandeiraCartao;
    /**
     * The CodigoAutorizacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CodigoAutorizacao;
    /**
     * The ExpiracaoCartao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $ExpiracaoCartao;
    /**
     * The IdAcordo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdAcordo;
    /**
     * The IdFatura
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $IdFatura;
    /**
     * The IdPagamento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdPagamento;
    /**
     * The IdTransacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $IdTransacao;
    /**
     * The NSU
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NSU;
    /**
     * The UltimosDigitosCartao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UltimosDigitosCartao;
    /**
     * Constructor method for PagamentoCheckoutRequest
     * @uses PagamentoCheckoutRequest::setBandeiraCartao()
     * @uses PagamentoCheckoutRequest::setCodigoAutorizacao()
     * @uses PagamentoCheckoutRequest::setExpiracaoCartao()
     * @uses PagamentoCheckoutRequest::setIdAcordo()
     * @uses PagamentoCheckoutRequest::setIdFatura()
     * @uses PagamentoCheckoutRequest::setIdPagamento()
     * @uses PagamentoCheckoutRequest::setIdTransacao()
     * @uses PagamentoCheckoutRequest::setNSU()
     * @uses PagamentoCheckoutRequest::setUltimosDigitosCartao()
     * @param string $bandeiraCartao
     * @param string $codigoAutorizacao
     * @param string $expiracaoCartao
     * @param int $idAcordo
     * @param string $idFatura
     * @param int $idPagamento
     * @param string $idTransacao
     * @param string $nSU
     * @param string $ultimosDigitosCartao
     */
    public function __construct($bandeiraCartao = null, $codigoAutorizacao = null, $expiracaoCartao = null, $idAcordo = null, $idFatura = null, $idPagamento = null, $idTransacao = null, $nSU = null, $ultimosDigitosCartao = null)
    {
        $this
            ->setBandeiraCartao($bandeiraCartao)
            ->setCodigoAutorizacao($codigoAutorizacao)
            ->setExpiracaoCartao($expiracaoCartao)
            ->setIdAcordo($idAcordo)
            ->setIdFatura($idFatura)
            ->setIdPagamento($idPagamento)
            ->setIdTransacao($idTransacao)
            ->setNSU($nSU)
            ->setUltimosDigitosCartao($ultimosDigitosCartao);
    }
    /**
     * Get BandeiraCartao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBandeiraCartao()
    {
        return isset($this->BandeiraCartao) ? $this->BandeiraCartao : null;
    }
    /**
     * Set BandeiraCartao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $bandeiraCartao
     * @return \StructType\PagamentoCheckoutRequest
     */
    public function setBandeiraCartao($bandeiraCartao = null)
    {
        // validation for constraint: string
        if (!is_null($bandeiraCartao) && !is_string($bandeiraCartao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bandeiraCartao, true), gettype($bandeiraCartao)), __LINE__);
        }
        if (is_null($bandeiraCartao) || (is_array($bandeiraCartao) && empty($bandeiraCartao))) {
            unset($this->BandeiraCartao);
        } else {
            $this->BandeiraCartao = $bandeiraCartao;
        }
        return $this;
    }
    /**
     * Get CodigoAutorizacao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCodigoAutorizacao()
    {
        return isset($this->CodigoAutorizacao) ? $this->CodigoAutorizacao : null;
    }
    /**
     * Set CodigoAutorizacao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $codigoAutorizacao
     * @return \StructType\PagamentoCheckoutRequest
     */
    public function setCodigoAutorizacao($codigoAutorizacao = null)
    {
        // validation for constraint: string
        if (!is_null($codigoAutorizacao) && !is_string($codigoAutorizacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoAutorizacao, true), gettype($codigoAutorizacao)), __LINE__);
        }
        if (is_null($codigoAutorizacao) || (is_array($codigoAutorizacao) && empty($codigoAutorizacao))) {
            unset($this->CodigoAutorizacao);
        } else {
            $this->CodigoAutorizacao = $codigoAutorizacao;
        }
        return $this;
    }
    /**
     * Get ExpiracaoCartao value
     * @return string|null
     */
    public function getExpiracaoCartao()
    {
        return $this->ExpiracaoCartao;
    }
    /**
     * Set ExpiracaoCartao value
     * @param string $expiracaoCartao
     * @return \StructType\PagamentoCheckoutRequest
     */
    public function setExpiracaoCartao($expiracaoCartao = null)
    {
        // validation for constraint: string
        if (!is_null($expiracaoCartao) && !is_string($expiracaoCartao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($expiracaoCartao, true), gettype($expiracaoCartao)), __LINE__);
        }
        $this->ExpiracaoCartao = $expiracaoCartao;
        return $this;
    }
    /**
     * Get IdAcordo value
     * @return int|null
     */
    public function getIdAcordo()
    {
        return $this->IdAcordo;
    }
    /**
     * Set IdAcordo value
     * @param int $idAcordo
     * @return \StructType\PagamentoCheckoutRequest
     */
    public function setIdAcordo($idAcordo = null)
    {
        // validation for constraint: int
        if (!is_null($idAcordo) && !(is_int($idAcordo) || ctype_digit($idAcordo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idAcordo, true), gettype($idAcordo)), __LINE__);
        }
        $this->IdAcordo = $idAcordo;
        return $this;
    }
    /**
     * Get IdFatura value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIdFatura()
    {
        return isset($this->IdFatura) ? $this->IdFatura : null;
    }
    /**
     * Set IdFatura value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $idFatura
     * @return \StructType\PagamentoCheckoutRequest
     */
    public function setIdFatura($idFatura = null)
    {
        // validation for constraint: string
        if (!is_null($idFatura) && !is_string($idFatura)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($idFatura, true), gettype($idFatura)), __LINE__);
        }
        if (is_null($idFatura) || (is_array($idFatura) && empty($idFatura))) {
            unset($this->IdFatura);
        } else {
            $this->IdFatura = $idFatura;
        }
        return $this;
    }
    /**
     * Get IdPagamento value
     * @return int|null
     */
    public function getIdPagamento()
    {
        return $this->IdPagamento;
    }
    /**
     * Set IdPagamento value
     * @param int $idPagamento
     * @return \StructType\PagamentoCheckoutRequest
     */
    public function setIdPagamento($idPagamento = null)
    {
        // validation for constraint: int
        if (!is_null($idPagamento) && !(is_int($idPagamento) || ctype_digit($idPagamento))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idPagamento, true), gettype($idPagamento)), __LINE__);
        }
        $this->IdPagamento = $idPagamento;
        return $this;
    }
    /**
     * Get IdTransacao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIdTransacao()
    {
        return isset($this->IdTransacao) ? $this->IdTransacao : null;
    }
    /**
     * Set IdTransacao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $idTransacao
     * @return \StructType\PagamentoCheckoutRequest
     */
    public function setIdTransacao($idTransacao = null)
    {
        // validation for constraint: string
        if (!is_null($idTransacao) && !is_string($idTransacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($idTransacao, true), gettype($idTransacao)), __LINE__);
        }
        if (is_null($idTransacao) || (is_array($idTransacao) && empty($idTransacao))) {
            unset($this->IdTransacao);
        } else {
            $this->IdTransacao = $idTransacao;
        }
        return $this;
    }
    /**
     * Get NSU value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNSU()
    {
        return isset($this->NSU) ? $this->NSU : null;
    }
    /**
     * Set NSU value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nSU
     * @return \StructType\PagamentoCheckoutRequest
     */
    public function setNSU($nSU = null)
    {
        // validation for constraint: string
        if (!is_null($nSU) && !is_string($nSU)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nSU, true), gettype($nSU)), __LINE__);
        }
        if (is_null($nSU) || (is_array($nSU) && empty($nSU))) {
            unset($this->NSU);
        } else {
            $this->NSU = $nSU;
        }
        return $this;
    }
    /**
     * Get UltimosDigitosCartao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUltimosDigitosCartao()
    {
        return isset($this->UltimosDigitosCartao) ? $this->UltimosDigitosCartao : null;
    }
    /**
     * Set UltimosDigitosCartao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $ultimosDigitosCartao
     * @return \StructType\PagamentoCheckoutRequest
     */
    public function setUltimosDigitosCartao($ultimosDigitosCartao = null)
    {
        // validation for constraint: string
        if (!is_null($ultimosDigitosCartao) && !is_string($ultimosDigitosCartao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ultimosDigitosCartao, true), gettype($ultimosDigitosCartao)), __LINE__);
        }
        if (is_null($ultimosDigitosCartao) || (is_array($ultimosDigitosCartao) && empty($ultimosDigitosCartao))) {
            unset($this->UltimosDigitosCartao);
        } else {
            $this->UltimosDigitosCartao = $ultimosDigitosCartao;
        }
        return $this;
    }
}
