<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PagamentoReneg StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:PagamentoReneg
 * @subpackage Structs
 */
class PagamentoReneg extends AbstractStructBase
{
    /**
     * The Agencia
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Agencia;
    /**
     * The Banco
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Banco;
    /**
     * The ChaveCliente
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ChaveCliente;
    /**
     * The Conta
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Conta;
    /**
     * The DataPagamento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $DataPagamento;
    /**
     * The FormaPagamento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $FormaPagamento;
    /**
     * The NossoNumero
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NossoNumero;
    /**
     * The NumeroAcordo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NumeroAcordo;
    /**
     * The Parcela
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Parcela;
    /**
     * The Valor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Valor;
    /**
     * The ValorPago
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ValorPago;
    /**
     * The Vencimento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Vencimento;
    /**
     * Constructor method for PagamentoReneg
     * @uses PagamentoReneg::setAgencia()
     * @uses PagamentoReneg::setBanco()
     * @uses PagamentoReneg::setChaveCliente()
     * @uses PagamentoReneg::setConta()
     * @uses PagamentoReneg::setDataPagamento()
     * @uses PagamentoReneg::setFormaPagamento()
     * @uses PagamentoReneg::setNossoNumero()
     * @uses PagamentoReneg::setNumeroAcordo()
     * @uses PagamentoReneg::setParcela()
     * @uses PagamentoReneg::setValor()
     * @uses PagamentoReneg::setValorPago()
     * @uses PagamentoReneg::setVencimento()
     * @param string $agencia
     * @param string $banco
     * @param string $chaveCliente
     * @param string $conta
     * @param string $dataPagamento
     * @param string $formaPagamento
     * @param string $nossoNumero
     * @param string $numeroAcordo
     * @param string $parcela
     * @param float $valor
     * @param float $valorPago
     * @param string $vencimento
     */
    public function __construct($agencia = null, $banco = null, $chaveCliente = null, $conta = null, $dataPagamento = null, $formaPagamento = null, $nossoNumero = null, $numeroAcordo = null, $parcela = null, $valor = null, $valorPago = null, $vencimento = null)
    {
        $this
            ->setAgencia($agencia)
            ->setBanco($banco)
            ->setChaveCliente($chaveCliente)
            ->setConta($conta)
            ->setDataPagamento($dataPagamento)
            ->setFormaPagamento($formaPagamento)
            ->setNossoNumero($nossoNumero)
            ->setNumeroAcordo($numeroAcordo)
            ->setParcela($parcela)
            ->setValor($valor)
            ->setValorPago($valorPago)
            ->setVencimento($vencimento);
    }
    /**
     * Get Agencia value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAgencia()
    {
        return isset($this->Agencia) ? $this->Agencia : null;
    }
    /**
     * Set Agencia value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $agencia
     * @return \StructType\PagamentoReneg
     */
    public function setAgencia($agencia = null)
    {
        // validation for constraint: string
        if (!is_null($agencia) && !is_string($agencia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($agencia, true), gettype($agencia)), __LINE__);
        }
        if (is_null($agencia) || (is_array($agencia) && empty($agencia))) {
            unset($this->Agencia);
        } else {
            $this->Agencia = $agencia;
        }
        return $this;
    }
    /**
     * Get Banco value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBanco()
    {
        return isset($this->Banco) ? $this->Banco : null;
    }
    /**
     * Set Banco value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $banco
     * @return \StructType\PagamentoReneg
     */
    public function setBanco($banco = null)
    {
        // validation for constraint: string
        if (!is_null($banco) && !is_string($banco)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($banco, true), gettype($banco)), __LINE__);
        }
        if (is_null($banco) || (is_array($banco) && empty($banco))) {
            unset($this->Banco);
        } else {
            $this->Banco = $banco;
        }
        return $this;
    }
    /**
     * Get ChaveCliente value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getChaveCliente()
    {
        return isset($this->ChaveCliente) ? $this->ChaveCliente : null;
    }
    /**
     * Set ChaveCliente value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $chaveCliente
     * @return \StructType\PagamentoReneg
     */
    public function setChaveCliente($chaveCliente = null)
    {
        // validation for constraint: string
        if (!is_null($chaveCliente) && !is_string($chaveCliente)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($chaveCliente, true), gettype($chaveCliente)), __LINE__);
        }
        if (is_null($chaveCliente) || (is_array($chaveCliente) && empty($chaveCliente))) {
            unset($this->ChaveCliente);
        } else {
            $this->ChaveCliente = $chaveCliente;
        }
        return $this;
    }
    /**
     * Get Conta value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getConta()
    {
        return isset($this->Conta) ? $this->Conta : null;
    }
    /**
     * Set Conta value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $conta
     * @return \StructType\PagamentoReneg
     */
    public function setConta($conta = null)
    {
        // validation for constraint: string
        if (!is_null($conta) && !is_string($conta)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($conta, true), gettype($conta)), __LINE__);
        }
        if (is_null($conta) || (is_array($conta) && empty($conta))) {
            unset($this->Conta);
        } else {
            $this->Conta = $conta;
        }
        return $this;
    }
    /**
     * Get DataPagamento value
     * @return string|null
     */
    public function getDataPagamento()
    {
        return $this->DataPagamento;
    }
    /**
     * Set DataPagamento value
     * @param string $dataPagamento
     * @return \StructType\PagamentoReneg
     */
    public function setDataPagamento($dataPagamento = null)
    {
        // validation for constraint: string
        if (!is_null($dataPagamento) && !is_string($dataPagamento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataPagamento, true), gettype($dataPagamento)), __LINE__);
        }
        $this->DataPagamento = $dataPagamento;
        return $this;
    }
    /**
     * Get FormaPagamento value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFormaPagamento()
    {
        return isset($this->FormaPagamento) ? $this->FormaPagamento : null;
    }
    /**
     * Set FormaPagamento value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $formaPagamento
     * @return \StructType\PagamentoReneg
     */
    public function setFormaPagamento($formaPagamento = null)
    {
        // validation for constraint: string
        if (!is_null($formaPagamento) && !is_string($formaPagamento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($formaPagamento, true), gettype($formaPagamento)), __LINE__);
        }
        if (is_null($formaPagamento) || (is_array($formaPagamento) && empty($formaPagamento))) {
            unset($this->FormaPagamento);
        } else {
            $this->FormaPagamento = $formaPagamento;
        }
        return $this;
    }
    /**
     * Get NossoNumero value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNossoNumero()
    {
        return isset($this->NossoNumero) ? $this->NossoNumero : null;
    }
    /**
     * Set NossoNumero value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nossoNumero
     * @return \StructType\PagamentoReneg
     */
    public function setNossoNumero($nossoNumero = null)
    {
        // validation for constraint: string
        if (!is_null($nossoNumero) && !is_string($nossoNumero)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nossoNumero, true), gettype($nossoNumero)), __LINE__);
        }
        if (is_null($nossoNumero) || (is_array($nossoNumero) && empty($nossoNumero))) {
            unset($this->NossoNumero);
        } else {
            $this->NossoNumero = $nossoNumero;
        }
        return $this;
    }
    /**
     * Get NumeroAcordo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumeroAcordo()
    {
        return isset($this->NumeroAcordo) ? $this->NumeroAcordo : null;
    }
    /**
     * Set NumeroAcordo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numeroAcordo
     * @return \StructType\PagamentoReneg
     */
    public function setNumeroAcordo($numeroAcordo = null)
    {
        // validation for constraint: string
        if (!is_null($numeroAcordo) && !is_string($numeroAcordo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroAcordo, true), gettype($numeroAcordo)), __LINE__);
        }
        if (is_null($numeroAcordo) || (is_array($numeroAcordo) && empty($numeroAcordo))) {
            unset($this->NumeroAcordo);
        } else {
            $this->NumeroAcordo = $numeroAcordo;
        }
        return $this;
    }
    /**
     * Get Parcela value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getParcela()
    {
        return isset($this->Parcela) ? $this->Parcela : null;
    }
    /**
     * Set Parcela value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $parcela
     * @return \StructType\PagamentoReneg
     */
    public function setParcela($parcela = null)
    {
        // validation for constraint: string
        if (!is_null($parcela) && !is_string($parcela)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($parcela, true), gettype($parcela)), __LINE__);
        }
        if (is_null($parcela) || (is_array($parcela) && empty($parcela))) {
            unset($this->Parcela);
        } else {
            $this->Parcela = $parcela;
        }
        return $this;
    }
    /**
     * Get Valor value
     * @return float|null
     */
    public function getValor()
    {
        return $this->Valor;
    }
    /**
     * Set Valor value
     * @param float $valor
     * @return \StructType\PagamentoReneg
     */
    public function setValor($valor = null)
    {
        // validation for constraint: float
        if (!is_null($valor) && !(is_float($valor) || is_numeric($valor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valor, true), gettype($valor)), __LINE__);
        }
        $this->Valor = $valor;
        return $this;
    }
    /**
     * Get ValorPago value
     * @return float|null
     */
    public function getValorPago()
    {
        return $this->ValorPago;
    }
    /**
     * Set ValorPago value
     * @param float $valorPago
     * @return \StructType\PagamentoReneg
     */
    public function setValorPago($valorPago = null)
    {
        // validation for constraint: float
        if (!is_null($valorPago) && !(is_float($valorPago) || is_numeric($valorPago))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valorPago, true), gettype($valorPago)), __LINE__);
        }
        $this->ValorPago = $valorPago;
        return $this;
    }
    /**
     * Get Vencimento value
     * @return string|null
     */
    public function getVencimento()
    {
        return $this->Vencimento;
    }
    /**
     * Set Vencimento value
     * @param string $vencimento
     * @return \StructType\PagamentoReneg
     */
    public function setVencimento($vencimento = null)
    {
        // validation for constraint: string
        if (!is_null($vencimento) && !is_string($vencimento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vencimento, true), gettype($vencimento)), __LINE__);
        }
        $this->Vencimento = $vencimento;
        return $this;
    }
}
