<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ParcelaAcordoPortalResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ParcelaAcordoPortalResponse
 * @subpackage Structs
 */
class ParcelaAcordoPortalResponse extends ParcelaAcordoTypePortal
{
    /**
     * The LinhaDigitavel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $LinhaDigitavel;
    /**
     * The QrCodePix
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $QrCodePix;
    /**
     * The Status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Status;
    /**
     * The UrlPix
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UrlPix;
    /**
     * Constructor method for ParcelaAcordoPortalResponse
     * @uses ParcelaAcordoPortalResponse::setLinhaDigitavel()
     * @uses ParcelaAcordoPortalResponse::setQrCodePix()
     * @uses ParcelaAcordoPortalResponse::setStatus()
     * @uses ParcelaAcordoPortalResponse::setUrlPix()
     * @param string $linhaDigitavel
     * @param string $qrCodePix
     * @param int $status
     * @param string $urlPix
     */
    public function __construct($linhaDigitavel = null, $qrCodePix = null, $status = null, $urlPix = null)
    {
        $this
            ->setLinhaDigitavel($linhaDigitavel)
            ->setQrCodePix($qrCodePix)
            ->setStatus($status)
            ->setUrlPix($urlPix);
    }
    /**
     * Get LinhaDigitavel value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLinhaDigitavel()
    {
        return isset($this->LinhaDigitavel) ? $this->LinhaDigitavel : null;
    }
    /**
     * Set LinhaDigitavel value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $linhaDigitavel
     * @return \StructType\ParcelaAcordoPortalResponse
     */
    public function setLinhaDigitavel($linhaDigitavel = null)
    {
        // validation for constraint: string
        if (!is_null($linhaDigitavel) && !is_string($linhaDigitavel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($linhaDigitavel, true), gettype($linhaDigitavel)), __LINE__);
        }
        if (is_null($linhaDigitavel) || (is_array($linhaDigitavel) && empty($linhaDigitavel))) {
            unset($this->LinhaDigitavel);
        } else {
            $this->LinhaDigitavel = $linhaDigitavel;
        }
        return $this;
    }
    /**
     * Get QrCodePix value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getQrCodePix()
    {
        return isset($this->QrCodePix) ? $this->QrCodePix : null;
    }
    /**
     * Set QrCodePix value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $qrCodePix
     * @return \StructType\ParcelaAcordoPortalResponse
     */
    public function setQrCodePix($qrCodePix = null)
    {
        // validation for constraint: string
        if (!is_null($qrCodePix) && !is_string($qrCodePix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($qrCodePix, true), gettype($qrCodePix)), __LINE__);
        }
        if (is_null($qrCodePix) || (is_array($qrCodePix) && empty($qrCodePix))) {
            unset($this->QrCodePix);
        } else {
            $this->QrCodePix = $qrCodePix;
        }
        return $this;
    }
    /**
     * Get Status value
     * @return int|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param int $status
     * @return \StructType\ParcelaAcordoPortalResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: int
        if (!is_null($status) && !(is_int($status) || ctype_digit($status))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($status, true), gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get UrlPix value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrlPix()
    {
        return isset($this->UrlPix) ? $this->UrlPix : null;
    }
    /**
     * Set UrlPix value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $urlPix
     * @return \StructType\ParcelaAcordoPortalResponse
     */
    public function setUrlPix($urlPix = null)
    {
        // validation for constraint: string
        if (!is_null($urlPix) && !is_string($urlPix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urlPix, true), gettype($urlPix)), __LINE__);
        }
        if (is_null($urlPix) || (is_array($urlPix) && empty($urlPix))) {
            unset($this->UrlPix);
        } else {
            $this->UrlPix = $urlPix;
        }
        return $this;
    }
}
