<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ParcelaCalculoType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ParcelaCalculoType
 * @subpackage Structs
 */
class ParcelaCalculoType extends AbstractStructBase
{
    /**
     * The Contrato
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Contrato;
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Id;
    /**
     * The IdNegociacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdNegociacao;
    /**
     * The Numero
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Numero;
    /**
     * The Observacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Observacao;
    /**
     * The Selecionado
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Selecionado;
    /**
     * The Valor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Valor;
    /**
     * The ValorCorrecao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ValorCorrecao;
    /**
     * The Vencimento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Vencimento;
    /**
     * Constructor method for ParcelaCalculoType
     * @uses ParcelaCalculoType::setContrato()
     * @uses ParcelaCalculoType::setId()
     * @uses ParcelaCalculoType::setIdNegociacao()
     * @uses ParcelaCalculoType::setNumero()
     * @uses ParcelaCalculoType::setObservacao()
     * @uses ParcelaCalculoType::setSelecionado()
     * @uses ParcelaCalculoType::setValor()
     * @uses ParcelaCalculoType::setValorCorrecao()
     * @uses ParcelaCalculoType::setVencimento()
     * @param string $contrato
     * @param int $id
     * @param int $idNegociacao
     * @param string $numero
     * @param string $observacao
     * @param bool $selecionado
     * @param float $valor
     * @param float $valorCorrecao
     * @param string $vencimento
     */
    public function __construct($contrato = null, $id = null, $idNegociacao = null, $numero = null, $observacao = null, $selecionado = null, $valor = null, $valorCorrecao = null, $vencimento = null)
    {
        $this
            ->setContrato($contrato)
            ->setId($id)
            ->setIdNegociacao($idNegociacao)
            ->setNumero($numero)
            ->setObservacao($observacao)
            ->setSelecionado($selecionado)
            ->setValor($valor)
            ->setValorCorrecao($valorCorrecao)
            ->setVencimento($vencimento);
    }
    /**
     * Get Contrato value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getContrato()
    {
        return isset($this->Contrato) ? $this->Contrato : null;
    }
    /**
     * Set Contrato value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $contrato
     * @return \StructType\ParcelaCalculoType
     */
    public function setContrato($contrato = null)
    {
        // validation for constraint: string
        if (!is_null($contrato) && !is_string($contrato)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($contrato, true), gettype($contrato)), __LINE__);
        }
        if (is_null($contrato) || (is_array($contrato) && empty($contrato))) {
            unset($this->Contrato);
        } else {
            $this->Contrato = $contrato;
        }
        return $this;
    }
    /**
     * Get Id value
     * @return int|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \StructType\ParcelaCalculoType
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get IdNegociacao value
     * @return int|null
     */
    public function getIdNegociacao()
    {
        return $this->IdNegociacao;
    }
    /**
     * Set IdNegociacao value
     * @param int $idNegociacao
     * @return \StructType\ParcelaCalculoType
     */
    public function setIdNegociacao($idNegociacao = null)
    {
        // validation for constraint: int
        if (!is_null($idNegociacao) && !(is_int($idNegociacao) || ctype_digit($idNegociacao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idNegociacao, true), gettype($idNegociacao)), __LINE__);
        }
        $this->IdNegociacao = $idNegociacao;
        return $this;
    }
    /**
     * Get Numero value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumero()
    {
        return isset($this->Numero) ? $this->Numero : null;
    }
    /**
     * Set Numero value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numero
     * @return \StructType\ParcelaCalculoType
     */
    public function setNumero($numero = null)
    {
        // validation for constraint: string
        if (!is_null($numero) && !is_string($numero)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numero, true), gettype($numero)), __LINE__);
        }
        if (is_null($numero) || (is_array($numero) && empty($numero))) {
            unset($this->Numero);
        } else {
            $this->Numero = $numero;
        }
        return $this;
    }
    /**
     * Get Observacao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getObservacao()
    {
        return isset($this->Observacao) ? $this->Observacao : null;
    }
    /**
     * Set Observacao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $observacao
     * @return \StructType\ParcelaCalculoType
     */
    public function setObservacao($observacao = null)
    {
        // validation for constraint: string
        if (!is_null($observacao) && !is_string($observacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($observacao, true), gettype($observacao)), __LINE__);
        }
        if (is_null($observacao) || (is_array($observacao) && empty($observacao))) {
            unset($this->Observacao);
        } else {
            $this->Observacao = $observacao;
        }
        return $this;
    }
    /**
     * Get Selecionado value
     * @return bool|null
     */
    public function getSelecionado()
    {
        return $this->Selecionado;
    }
    /**
     * Set Selecionado value
     * @param bool $selecionado
     * @return \StructType\ParcelaCalculoType
     */
    public function setSelecionado($selecionado = null)
    {
        // validation for constraint: boolean
        if (!is_null($selecionado) && !is_bool($selecionado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($selecionado, true), gettype($selecionado)), __LINE__);
        }
        $this->Selecionado = $selecionado;
        return $this;
    }
    /**
     * Get Valor value
     * @return float|null
     */
    public function getValor()
    {
        return $this->Valor;
    }
    /**
     * Set Valor value
     * @param float $valor
     * @return \StructType\ParcelaCalculoType
     */
    public function setValor($valor = null)
    {
        // validation for constraint: float
        if (!is_null($valor) && !(is_float($valor) || is_numeric($valor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valor, true), gettype($valor)), __LINE__);
        }
        $this->Valor = $valor;
        return $this;
    }
    /**
     * Get ValorCorrecao value
     * @return float|null
     */
    public function getValorCorrecao()
    {
        return $this->ValorCorrecao;
    }
    /**
     * Set ValorCorrecao value
     * @param float $valorCorrecao
     * @return \StructType\ParcelaCalculoType
     */
    public function setValorCorrecao($valorCorrecao = null)
    {
        // validation for constraint: float
        if (!is_null($valorCorrecao) && !(is_float($valorCorrecao) || is_numeric($valorCorrecao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valorCorrecao, true), gettype($valorCorrecao)), __LINE__);
        }
        $this->ValorCorrecao = $valorCorrecao;
        return $this;
    }
    /**
     * Get Vencimento value
     * @return string|null
     */
    public function getVencimento()
    {
        return $this->Vencimento;
    }
    /**
     * Set Vencimento value
     * @param string $vencimento
     * @return \StructType\ParcelaCalculoType
     */
    public function setVencimento($vencimento = null)
    {
        // validation for constraint: string
        if (!is_null($vencimento) && !is_string($vencimento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vencimento, true), gettype($vencimento)), __LINE__);
        }
        $this->Vencimento = $vencimento;
        return $this;
    }
}
