<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ParcelaOriginalCobChatType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ParcelaOriginalCobChatType
 * @subpackage Structs
 */
class ParcelaOriginalCobChatType extends AbstractStructBase
{
    /**
     * The IdParcela
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdParcela;
    /**
     * The Numero
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Numero;
    /**
     * The ValorCorrecao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ValorCorrecao;
    /**
     * The ValorDivida
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ValorDivida;
    /**
     * The ValorHonorario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ValorHonorario;
    /**
     * The ValorJuros
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ValorJuros;
    /**
     * The ValorMulta
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ValorMulta;
    /**
     * The ValorPrincipal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ValorPrincipal;
    /**
     * The Vencimento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Vencimento;
    /**
     * Constructor method for ParcelaOriginalCobChatType
     * @uses ParcelaOriginalCobChatType::setIdParcela()
     * @uses ParcelaOriginalCobChatType::setNumero()
     * @uses ParcelaOriginalCobChatType::setValorCorrecao()
     * @uses ParcelaOriginalCobChatType::setValorDivida()
     * @uses ParcelaOriginalCobChatType::setValorHonorario()
     * @uses ParcelaOriginalCobChatType::setValorJuros()
     * @uses ParcelaOriginalCobChatType::setValorMulta()
     * @uses ParcelaOriginalCobChatType::setValorPrincipal()
     * @uses ParcelaOriginalCobChatType::setVencimento()
     * @param int $idParcela
     * @param string $numero
     * @param float $valorCorrecao
     * @param float $valorDivida
     * @param float $valorHonorario
     * @param float $valorJuros
     * @param float $valorMulta
     * @param float $valorPrincipal
     * @param string $vencimento
     */
    public function __construct($idParcela = null, $numero = null, $valorCorrecao = null, $valorDivida = null, $valorHonorario = null, $valorJuros = null, $valorMulta = null, $valorPrincipal = null, $vencimento = null)
    {
        $this
            ->setIdParcela($idParcela)
            ->setNumero($numero)
            ->setValorCorrecao($valorCorrecao)
            ->setValorDivida($valorDivida)
            ->setValorHonorario($valorHonorario)
            ->setValorJuros($valorJuros)
            ->setValorMulta($valorMulta)
            ->setValorPrincipal($valorPrincipal)
            ->setVencimento($vencimento);
    }
    /**
     * Get IdParcela value
     * @return int|null
     */
    public function getIdParcela()
    {
        return $this->IdParcela;
    }
    /**
     * Set IdParcela value
     * @param int $idParcela
     * @return \StructType\ParcelaOriginalCobChatType
     */
    public function setIdParcela($idParcela = null)
    {
        // validation for constraint: int
        if (!is_null($idParcela) && !(is_int($idParcela) || ctype_digit($idParcela))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idParcela, true), gettype($idParcela)), __LINE__);
        }
        $this->IdParcela = $idParcela;
        return $this;
    }
    /**
     * Get Numero value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumero()
    {
        return isset($this->Numero) ? $this->Numero : null;
    }
    /**
     * Set Numero value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numero
     * @return \StructType\ParcelaOriginalCobChatType
     */
    public function setNumero($numero = null)
    {
        // validation for constraint: string
        if (!is_null($numero) && !is_string($numero)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numero, true), gettype($numero)), __LINE__);
        }
        if (is_null($numero) || (is_array($numero) && empty($numero))) {
            unset($this->Numero);
        } else {
            $this->Numero = $numero;
        }
        return $this;
    }
    /**
     * Get ValorCorrecao value
     * @return float|null
     */
    public function getValorCorrecao()
    {
        return $this->ValorCorrecao;
    }
    /**
     * Set ValorCorrecao value
     * @param float $valorCorrecao
     * @return \StructType\ParcelaOriginalCobChatType
     */
    public function setValorCorrecao($valorCorrecao = null)
    {
        // validation for constraint: float
        if (!is_null($valorCorrecao) && !(is_float($valorCorrecao) || is_numeric($valorCorrecao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valorCorrecao, true), gettype($valorCorrecao)), __LINE__);
        }
        $this->ValorCorrecao = $valorCorrecao;
        return $this;
    }
    /**
     * Get ValorDivida value
     * @return float|null
     */
    public function getValorDivida()
    {
        return $this->ValorDivida;
    }
    /**
     * Set ValorDivida value
     * @param float $valorDivida
     * @return \StructType\ParcelaOriginalCobChatType
     */
    public function setValorDivida($valorDivida = null)
    {
        // validation for constraint: float
        if (!is_null($valorDivida) && !(is_float($valorDivida) || is_numeric($valorDivida))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valorDivida, true), gettype($valorDivida)), __LINE__);
        }
        $this->ValorDivida = $valorDivida;
        return $this;
    }
    /**
     * Get ValorHonorario value
     * @return float|null
     */
    public function getValorHonorario()
    {
        return $this->ValorHonorario;
    }
    /**
     * Set ValorHonorario value
     * @param float $valorHonorario
     * @return \StructType\ParcelaOriginalCobChatType
     */
    public function setValorHonorario($valorHonorario = null)
    {
        // validation for constraint: float
        if (!is_null($valorHonorario) && !(is_float($valorHonorario) || is_numeric($valorHonorario))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valorHonorario, true), gettype($valorHonorario)), __LINE__);
        }
        $this->ValorHonorario = $valorHonorario;
        return $this;
    }
    /**
     * Get ValorJuros value
     * @return float|null
     */
    public function getValorJuros()
    {
        return $this->ValorJuros;
    }
    /**
     * Set ValorJuros value
     * @param float $valorJuros
     * @return \StructType\ParcelaOriginalCobChatType
     */
    public function setValorJuros($valorJuros = null)
    {
        // validation for constraint: float
        if (!is_null($valorJuros) && !(is_float($valorJuros) || is_numeric($valorJuros))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valorJuros, true), gettype($valorJuros)), __LINE__);
        }
        $this->ValorJuros = $valorJuros;
        return $this;
    }
    /**
     * Get ValorMulta value
     * @return float|null
     */
    public function getValorMulta()
    {
        return $this->ValorMulta;
    }
    /**
     * Set ValorMulta value
     * @param float $valorMulta
     * @return \StructType\ParcelaOriginalCobChatType
     */
    public function setValorMulta($valorMulta = null)
    {
        // validation for constraint: float
        if (!is_null($valorMulta) && !(is_float($valorMulta) || is_numeric($valorMulta))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valorMulta, true), gettype($valorMulta)), __LINE__);
        }
        $this->ValorMulta = $valorMulta;
        return $this;
    }
    /**
     * Get ValorPrincipal value
     * @return float|null
     */
    public function getValorPrincipal()
    {
        return $this->ValorPrincipal;
    }
    /**
     * Set ValorPrincipal value
     * @param float $valorPrincipal
     * @return \StructType\ParcelaOriginalCobChatType
     */
    public function setValorPrincipal($valorPrincipal = null)
    {
        // validation for constraint: float
        if (!is_null($valorPrincipal) && !(is_float($valorPrincipal) || is_numeric($valorPrincipal))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valorPrincipal, true), gettype($valorPrincipal)), __LINE__);
        }
        $this->ValorPrincipal = $valorPrincipal;
        return $this;
    }
    /**
     * Get Vencimento value
     * @return string|null
     */
    public function getVencimento()
    {
        return $this->Vencimento;
    }
    /**
     * Set Vencimento value
     * @param string $vencimento
     * @return \StructType\ParcelaOriginalCobChatType
     */
    public function setVencimento($vencimento = null)
    {
        // validation for constraint: string
        if (!is_null($vencimento) && !is_string($vencimento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vencimento, true), gettype($vencimento)), __LINE__);
        }
        $this->Vencimento = $vencimento;
        return $this;
    }
}
