<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PessoaFisicaType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:PessoaFisicaType
 * @subpackage Structs
 */
class PessoaFisicaType extends AbstractStructBase
{
    /**
     * The DataNascimento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $DataNascimento;
    /**
     * The EstadoCivil
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EstadoCivil;
    /**
     * The NomeConjugue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeConjugue;
    /**
     * The NomeEmpresaTrabalho
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeEmpresaTrabalho;
    /**
     * The NomeMae
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeMae;
    /**
     * The NomePai
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomePai;
    /**
     * The Profissao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Profissao;
    /**
     * The RG
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $RG;
    /**
     * The Salario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Salario;
    /**
     * The Sexo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Sexo;
    /**
     * Constructor method for PessoaFisicaType
     * @uses PessoaFisicaType::setDataNascimento()
     * @uses PessoaFisicaType::setEstadoCivil()
     * @uses PessoaFisicaType::setNomeConjugue()
     * @uses PessoaFisicaType::setNomeEmpresaTrabalho()
     * @uses PessoaFisicaType::setNomeMae()
     * @uses PessoaFisicaType::setNomePai()
     * @uses PessoaFisicaType::setProfissao()
     * @uses PessoaFisicaType::setRG()
     * @uses PessoaFisicaType::setSalario()
     * @uses PessoaFisicaType::setSexo()
     * @param string $dataNascimento
     * @param string $estadoCivil
     * @param string $nomeConjugue
     * @param string $nomeEmpresaTrabalho
     * @param string $nomeMae
     * @param string $nomePai
     * @param string $profissao
     * @param string $rG
     * @param float $salario
     * @param string $sexo
     */
    public function __construct($dataNascimento = null, $estadoCivil = null, $nomeConjugue = null, $nomeEmpresaTrabalho = null, $nomeMae = null, $nomePai = null, $profissao = null, $rG = null, $salario = null, $sexo = null)
    {
        $this
            ->setDataNascimento($dataNascimento)
            ->setEstadoCivil($estadoCivil)
            ->setNomeConjugue($nomeConjugue)
            ->setNomeEmpresaTrabalho($nomeEmpresaTrabalho)
            ->setNomeMae($nomeMae)
            ->setNomePai($nomePai)
            ->setProfissao($profissao)
            ->setRG($rG)
            ->setSalario($salario)
            ->setSexo($sexo);
    }
    /**
     * Get DataNascimento value
     * @return string|null
     */
    public function getDataNascimento()
    {
        return $this->DataNascimento;
    }
    /**
     * Set DataNascimento value
     * @param string $dataNascimento
     * @return \StructType\PessoaFisicaType
     */
    public function setDataNascimento($dataNascimento = null)
    {
        // validation for constraint: string
        if (!is_null($dataNascimento) && !is_string($dataNascimento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataNascimento, true), gettype($dataNascimento)), __LINE__);
        }
        $this->DataNascimento = $dataNascimento;
        return $this;
    }
    /**
     * Get EstadoCivil value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEstadoCivil()
    {
        return isset($this->EstadoCivil) ? $this->EstadoCivil : null;
    }
    /**
     * Set EstadoCivil value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $estadoCivil
     * @return \StructType\PessoaFisicaType
     */
    public function setEstadoCivil($estadoCivil = null)
    {
        // validation for constraint: string
        if (!is_null($estadoCivil) && !is_string($estadoCivil)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($estadoCivil, true), gettype($estadoCivil)), __LINE__);
        }
        if (is_null($estadoCivil) || (is_array($estadoCivil) && empty($estadoCivil))) {
            unset($this->EstadoCivil);
        } else {
            $this->EstadoCivil = $estadoCivil;
        }
        return $this;
    }
    /**
     * Get NomeConjugue value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeConjugue()
    {
        return isset($this->NomeConjugue) ? $this->NomeConjugue : null;
    }
    /**
     * Set NomeConjugue value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeConjugue
     * @return \StructType\PessoaFisicaType
     */
    public function setNomeConjugue($nomeConjugue = null)
    {
        // validation for constraint: string
        if (!is_null($nomeConjugue) && !is_string($nomeConjugue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeConjugue, true), gettype($nomeConjugue)), __LINE__);
        }
        if (is_null($nomeConjugue) || (is_array($nomeConjugue) && empty($nomeConjugue))) {
            unset($this->NomeConjugue);
        } else {
            $this->NomeConjugue = $nomeConjugue;
        }
        return $this;
    }
    /**
     * Get NomeEmpresaTrabalho value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeEmpresaTrabalho()
    {
        return isset($this->NomeEmpresaTrabalho) ? $this->NomeEmpresaTrabalho : null;
    }
    /**
     * Set NomeEmpresaTrabalho value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeEmpresaTrabalho
     * @return \StructType\PessoaFisicaType
     */
    public function setNomeEmpresaTrabalho($nomeEmpresaTrabalho = null)
    {
        // validation for constraint: string
        if (!is_null($nomeEmpresaTrabalho) && !is_string($nomeEmpresaTrabalho)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeEmpresaTrabalho, true), gettype($nomeEmpresaTrabalho)), __LINE__);
        }
        if (is_null($nomeEmpresaTrabalho) || (is_array($nomeEmpresaTrabalho) && empty($nomeEmpresaTrabalho))) {
            unset($this->NomeEmpresaTrabalho);
        } else {
            $this->NomeEmpresaTrabalho = $nomeEmpresaTrabalho;
        }
        return $this;
    }
    /**
     * Get NomeMae value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeMae()
    {
        return isset($this->NomeMae) ? $this->NomeMae : null;
    }
    /**
     * Set NomeMae value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeMae
     * @return \StructType\PessoaFisicaType
     */
    public function setNomeMae($nomeMae = null)
    {
        // validation for constraint: string
        if (!is_null($nomeMae) && !is_string($nomeMae)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeMae, true), gettype($nomeMae)), __LINE__);
        }
        if (is_null($nomeMae) || (is_array($nomeMae) && empty($nomeMae))) {
            unset($this->NomeMae);
        } else {
            $this->NomeMae = $nomeMae;
        }
        return $this;
    }
    /**
     * Get NomePai value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomePai()
    {
        return isset($this->NomePai) ? $this->NomePai : null;
    }
    /**
     * Set NomePai value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomePai
     * @return \StructType\PessoaFisicaType
     */
    public function setNomePai($nomePai = null)
    {
        // validation for constraint: string
        if (!is_null($nomePai) && !is_string($nomePai)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomePai, true), gettype($nomePai)), __LINE__);
        }
        if (is_null($nomePai) || (is_array($nomePai) && empty($nomePai))) {
            unset($this->NomePai);
        } else {
            $this->NomePai = $nomePai;
        }
        return $this;
    }
    /**
     * Get Profissao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getProfissao()
    {
        return isset($this->Profissao) ? $this->Profissao : null;
    }
    /**
     * Set Profissao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $profissao
     * @return \StructType\PessoaFisicaType
     */
    public function setProfissao($profissao = null)
    {
        // validation for constraint: string
        if (!is_null($profissao) && !is_string($profissao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($profissao, true), gettype($profissao)), __LINE__);
        }
        if (is_null($profissao) || (is_array($profissao) && empty($profissao))) {
            unset($this->Profissao);
        } else {
            $this->Profissao = $profissao;
        }
        return $this;
    }
    /**
     * Get RG value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getRG()
    {
        return isset($this->RG) ? $this->RG : null;
    }
    /**
     * Set RG value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $rG
     * @return \StructType\PessoaFisicaType
     */
    public function setRG($rG = null)
    {
        // validation for constraint: string
        if (!is_null($rG) && !is_string($rG)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rG, true), gettype($rG)), __LINE__);
        }
        if (is_null($rG) || (is_array($rG) && empty($rG))) {
            unset($this->RG);
        } else {
            $this->RG = $rG;
        }
        return $this;
    }
    /**
     * Get Salario value
     * @return float|null
     */
    public function getSalario()
    {
        return $this->Salario;
    }
    /**
     * Set Salario value
     * @param float $salario
     * @return \StructType\PessoaFisicaType
     */
    public function setSalario($salario = null)
    {
        // validation for constraint: float
        if (!is_null($salario) && !(is_float($salario) || is_numeric($salario))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($salario, true), gettype($salario)), __LINE__);
        }
        $this->Salario = $salario;
        return $this;
    }
    /**
     * Get Sexo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSexo()
    {
        return isset($this->Sexo) ? $this->Sexo : null;
    }
    /**
     * Set Sexo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $sexo
     * @return \StructType\PessoaFisicaType
     */
    public function setSexo($sexo = null)
    {
        // validation for constraint: string
        if (!is_null($sexo) && !is_string($sexo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sexo, true), gettype($sexo)), __LINE__);
        }
        if (is_null($sexo) || (is_array($sexo) && empty($sexo))) {
            unset($this->Sexo);
        } else {
            $this->Sexo = $sexo;
        }
        return $this;
    }
}
