<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PessoaTypePortal StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:PessoaTypePortal
 * @subpackage Structs
 */
class PessoaTypePortal extends AbstractStructBase
{
    /**
     * The CPFCNPJ
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CPFCNPJ;
    /**
     * The CodigoAcesso
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CodigoAcesso;
    /**
     * The Credores
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfCredorType
     */
    public $Credores;
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Id;
    /**
     * The IdProtocolo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdProtocolo;
    /**
     * The Nome
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Nome;
    /**
     * The Protocolo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Protocolo;
    /**
     * The TemContratosAbertos
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $TemContratosAbertos;
    /**
     * Constructor method for PessoaTypePortal
     * @uses PessoaTypePortal::setCPFCNPJ()
     * @uses PessoaTypePortal::setCodigoAcesso()
     * @uses PessoaTypePortal::setCredores()
     * @uses PessoaTypePortal::setId()
     * @uses PessoaTypePortal::setIdProtocolo()
     * @uses PessoaTypePortal::setNome()
     * @uses PessoaTypePortal::setProtocolo()
     * @uses PessoaTypePortal::setTemContratosAbertos()
     * @param string $cPFCNPJ
     * @param string $codigoAcesso
     * @param \ArrayType\ArrayOfCredorType $credores
     * @param int $id
     * @param int $idProtocolo
     * @param string $nome
     * @param string $protocolo
     * @param bool $temContratosAbertos
     */
    public function __construct($cPFCNPJ = null, $codigoAcesso = null, \ArrayType\ArrayOfCredorType $credores = null, $id = null, $idProtocolo = null, $nome = null, $protocolo = null, $temContratosAbertos = null)
    {
        $this
            ->setCPFCNPJ($cPFCNPJ)
            ->setCodigoAcesso($codigoAcesso)
            ->setCredores($credores)
            ->setId($id)
            ->setIdProtocolo($idProtocolo)
            ->setNome($nome)
            ->setProtocolo($protocolo)
            ->setTemContratosAbertos($temContratosAbertos);
    }
    /**
     * Get CPFCNPJ value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCPFCNPJ()
    {
        return isset($this->CPFCNPJ) ? $this->CPFCNPJ : null;
    }
    /**
     * Set CPFCNPJ value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cPFCNPJ
     * @return \StructType\PessoaTypePortal
     */
    public function setCPFCNPJ($cPFCNPJ = null)
    {
        // validation for constraint: string
        if (!is_null($cPFCNPJ) && !is_string($cPFCNPJ)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cPFCNPJ, true), gettype($cPFCNPJ)), __LINE__);
        }
        if (is_null($cPFCNPJ) || (is_array($cPFCNPJ) && empty($cPFCNPJ))) {
            unset($this->CPFCNPJ);
        } else {
            $this->CPFCNPJ = $cPFCNPJ;
        }
        return $this;
    }
    /**
     * Get CodigoAcesso value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCodigoAcesso()
    {
        return isset($this->CodigoAcesso) ? $this->CodigoAcesso : null;
    }
    /**
     * Set CodigoAcesso value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $codigoAcesso
     * @return \StructType\PessoaTypePortal
     */
    public function setCodigoAcesso($codigoAcesso = null)
    {
        // validation for constraint: string
        if (!is_null($codigoAcesso) && !is_string($codigoAcesso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoAcesso, true), gettype($codigoAcesso)), __LINE__);
        }
        if (is_null($codigoAcesso) || (is_array($codigoAcesso) && empty($codigoAcesso))) {
            unset($this->CodigoAcesso);
        } else {
            $this->CodigoAcesso = $codigoAcesso;
        }
        return $this;
    }
    /**
     * Get Credores value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfCredorType|null
     */
    public function getCredores()
    {
        return isset($this->Credores) ? $this->Credores : null;
    }
    /**
     * Set Credores value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfCredorType $credores
     * @return \StructType\PessoaTypePortal
     */
    public function setCredores(\ArrayType\ArrayOfCredorType $credores = null)
    {
        if (is_null($credores) || (is_array($credores) && empty($credores))) {
            unset($this->Credores);
        } else {
            $this->Credores = $credores;
        }
        return $this;
    }
    /**
     * Get Id value
     * @return int|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \StructType\PessoaTypePortal
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get IdProtocolo value
     * @return int|null
     */
    public function getIdProtocolo()
    {
        return $this->IdProtocolo;
    }
    /**
     * Set IdProtocolo value
     * @param int $idProtocolo
     * @return \StructType\PessoaTypePortal
     */
    public function setIdProtocolo($idProtocolo = null)
    {
        // validation for constraint: int
        if (!is_null($idProtocolo) && !(is_int($idProtocolo) || ctype_digit($idProtocolo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idProtocolo, true), gettype($idProtocolo)), __LINE__);
        }
        $this->IdProtocolo = $idProtocolo;
        return $this;
    }
    /**
     * Get Nome value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNome()
    {
        return isset($this->Nome) ? $this->Nome : null;
    }
    /**
     * Set Nome value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nome
     * @return \StructType\PessoaTypePortal
     */
    public function setNome($nome = null)
    {
        // validation for constraint: string
        if (!is_null($nome) && !is_string($nome)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nome, true), gettype($nome)), __LINE__);
        }
        if (is_null($nome) || (is_array($nome) && empty($nome))) {
            unset($this->Nome);
        } else {
            $this->Nome = $nome;
        }
        return $this;
    }
    /**
     * Get Protocolo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getProtocolo()
    {
        return isset($this->Protocolo) ? $this->Protocolo : null;
    }
    /**
     * Set Protocolo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $protocolo
     * @return \StructType\PessoaTypePortal
     */
    public function setProtocolo($protocolo = null)
    {
        // validation for constraint: string
        if (!is_null($protocolo) && !is_string($protocolo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($protocolo, true), gettype($protocolo)), __LINE__);
        }
        if (is_null($protocolo) || (is_array($protocolo) && empty($protocolo))) {
            unset($this->Protocolo);
        } else {
            $this->Protocolo = $protocolo;
        }
        return $this;
    }
    /**
     * Get TemContratosAbertos value
     * @return bool|null
     */
    public function getTemContratosAbertos()
    {
        return $this->TemContratosAbertos;
    }
    /**
     * Set TemContratosAbertos value
     * @param bool $temContratosAbertos
     * @return \StructType\PessoaTypePortal
     */
    public function setTemContratosAbertos($temContratosAbertos = null)
    {
        // validation for constraint: boolean
        if (!is_null($temContratosAbertos) && !is_bool($temContratosAbertos)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($temContratosAbertos, true), gettype($temContratosAbertos)), __LINE__);
        }
        $this->TemContratosAbertos = $temContratosAbertos;
        return $this;
    }
}
