<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PortalIntegracaoType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:PortalIntegracaoType
 * @subpackage Structs
 */
class PortalIntegracaoType extends AbstractStructBase
{
    /**
     * The AliasUrl
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $AliasUrl;
    /**
     * The Cor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Cor;
    /**
     * The IdAssessoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdAssessoria;
    /**
     * The IdPortalIntegracao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdPortalIntegracao;
    /**
     * The Logo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Logo;
    /**
     * Constructor method for PortalIntegracaoType
     * @uses PortalIntegracaoType::setAliasUrl()
     * @uses PortalIntegracaoType::setCor()
     * @uses PortalIntegracaoType::setIdAssessoria()
     * @uses PortalIntegracaoType::setIdPortalIntegracao()
     * @uses PortalIntegracaoType::setLogo()
     * @param string $aliasUrl
     * @param int $cor
     * @param int $idAssessoria
     * @param int $idPortalIntegracao
     * @param string $logo
     */
    public function __construct($aliasUrl = null, $cor = null, $idAssessoria = null, $idPortalIntegracao = null, $logo = null)
    {
        $this
            ->setAliasUrl($aliasUrl)
            ->setCor($cor)
            ->setIdAssessoria($idAssessoria)
            ->setIdPortalIntegracao($idPortalIntegracao)
            ->setLogo($logo);
    }
    /**
     * Get AliasUrl value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAliasUrl()
    {
        return isset($this->AliasUrl) ? $this->AliasUrl : null;
    }
    /**
     * Set AliasUrl value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $aliasUrl
     * @return \StructType\PortalIntegracaoType
     */
    public function setAliasUrl($aliasUrl = null)
    {
        // validation for constraint: string
        if (!is_null($aliasUrl) && !is_string($aliasUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aliasUrl, true), gettype($aliasUrl)), __LINE__);
        }
        if (is_null($aliasUrl) || (is_array($aliasUrl) && empty($aliasUrl))) {
            unset($this->AliasUrl);
        } else {
            $this->AliasUrl = $aliasUrl;
        }
        return $this;
    }
    /**
     * Get Cor value
     * @return int|null
     */
    public function getCor()
    {
        return $this->Cor;
    }
    /**
     * Set Cor value
     * @param int $cor
     * @return \StructType\PortalIntegracaoType
     */
    public function setCor($cor = null)
    {
        // validation for constraint: int
        if (!is_null($cor) && !(is_int($cor) || ctype_digit($cor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cor, true), gettype($cor)), __LINE__);
        }
        $this->Cor = $cor;
        return $this;
    }
    /**
     * Get IdAssessoria value
     * @return int|null
     */
    public function getIdAssessoria()
    {
        return $this->IdAssessoria;
    }
    /**
     * Set IdAssessoria value
     * @param int $idAssessoria
     * @return \StructType\PortalIntegracaoType
     */
    public function setIdAssessoria($idAssessoria = null)
    {
        // validation for constraint: int
        if (!is_null($idAssessoria) && !(is_int($idAssessoria) || ctype_digit($idAssessoria))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idAssessoria, true), gettype($idAssessoria)), __LINE__);
        }
        $this->IdAssessoria = $idAssessoria;
        return $this;
    }
    /**
     * Get IdPortalIntegracao value
     * @return int|null
     */
    public function getIdPortalIntegracao()
    {
        return $this->IdPortalIntegracao;
    }
    /**
     * Set IdPortalIntegracao value
     * @param int $idPortalIntegracao
     * @return \StructType\PortalIntegracaoType
     */
    public function setIdPortalIntegracao($idPortalIntegracao = null)
    {
        // validation for constraint: int
        if (!is_null($idPortalIntegracao) && !(is_int($idPortalIntegracao) || ctype_digit($idPortalIntegracao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idPortalIntegracao, true), gettype($idPortalIntegracao)), __LINE__);
        }
        $this->IdPortalIntegracao = $idPortalIntegracao;
        return $this;
    }
    /**
     * Get Logo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLogo()
    {
        return isset($this->Logo) ? $this->Logo : null;
    }
    /**
     * Set Logo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $logo
     * @return \StructType\PortalIntegracaoType
     */
    public function setLogo($logo = null)
    {
        // validation for constraint: string
        if (!is_null($logo) && !is_string($logo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logo, true), gettype($logo)), __LINE__);
        }
        if (is_null($logo) || (is_array($logo) && empty($logo))) {
            unset($this->Logo);
        } else {
            $this->Logo = $logo;
        }
        return $this;
    }
}
