<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PortalLogType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:PortalLogType
 * @subpackage Structs
 */
class PortalLogType extends AbstractStructBase
{
    /**
     * The Erro
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Erro;
    /**
     * The IdCredor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdCredor;
    /**
     * The IdPortalAcesso
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdPortalAcesso;
    /**
     * The IdPortalIntegracao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdPortalIntegracao;
    /**
     * The Maquina
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Maquina;
    /**
     * The Metodo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Metodo;
    /**
     * The Url
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Url;
    /**
     * The ip
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ip;
    /**
     * Constructor method for PortalLogType
     * @uses PortalLogType::setErro()
     * @uses PortalLogType::setIdCredor()
     * @uses PortalLogType::setIdPortalAcesso()
     * @uses PortalLogType::setIdPortalIntegracao()
     * @uses PortalLogType::setMaquina()
     * @uses PortalLogType::setMetodo()
     * @uses PortalLogType::setUrl()
     * @uses PortalLogType::setIp()
     * @param string $erro
     * @param int $idCredor
     * @param int $idPortalAcesso
     * @param int $idPortalIntegracao
     * @param string $maquina
     * @param string $metodo
     * @param string $url
     * @param string $ip
     */
    public function __construct($erro = null, $idCredor = null, $idPortalAcesso = null, $idPortalIntegracao = null, $maquina = null, $metodo = null, $url = null, $ip = null)
    {
        $this
            ->setErro($erro)
            ->setIdCredor($idCredor)
            ->setIdPortalAcesso($idPortalAcesso)
            ->setIdPortalIntegracao($idPortalIntegracao)
            ->setMaquina($maquina)
            ->setMetodo($metodo)
            ->setUrl($url)
            ->setIp($ip);
    }
    /**
     * Get Erro value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getErro()
    {
        return isset($this->Erro) ? $this->Erro : null;
    }
    /**
     * Set Erro value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $erro
     * @return \StructType\PortalLogType
     */
    public function setErro($erro = null)
    {
        // validation for constraint: string
        if (!is_null($erro) && !is_string($erro)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($erro, true), gettype($erro)), __LINE__);
        }
        if (is_null($erro) || (is_array($erro) && empty($erro))) {
            unset($this->Erro);
        } else {
            $this->Erro = $erro;
        }
        return $this;
    }
    /**
     * Get IdCredor value
     * @return int|null
     */
    public function getIdCredor()
    {
        return $this->IdCredor;
    }
    /**
     * Set IdCredor value
     * @param int $idCredor
     * @return \StructType\PortalLogType
     */
    public function setIdCredor($idCredor = null)
    {
        // validation for constraint: int
        if (!is_null($idCredor) && !(is_int($idCredor) || ctype_digit($idCredor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idCredor, true), gettype($idCredor)), __LINE__);
        }
        $this->IdCredor = $idCredor;
        return $this;
    }
    /**
     * Get IdPortalAcesso value
     * @return int|null
     */
    public function getIdPortalAcesso()
    {
        return $this->IdPortalAcesso;
    }
    /**
     * Set IdPortalAcesso value
     * @param int $idPortalAcesso
     * @return \StructType\PortalLogType
     */
    public function setIdPortalAcesso($idPortalAcesso = null)
    {
        // validation for constraint: int
        if (!is_null($idPortalAcesso) && !(is_int($idPortalAcesso) || ctype_digit($idPortalAcesso))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idPortalAcesso, true), gettype($idPortalAcesso)), __LINE__);
        }
        $this->IdPortalAcesso = $idPortalAcesso;
        return $this;
    }
    /**
     * Get IdPortalIntegracao value
     * @return int|null
     */
    public function getIdPortalIntegracao()
    {
        return $this->IdPortalIntegracao;
    }
    /**
     * Set IdPortalIntegracao value
     * @param int $idPortalIntegracao
     * @return \StructType\PortalLogType
     */
    public function setIdPortalIntegracao($idPortalIntegracao = null)
    {
        // validation for constraint: int
        if (!is_null($idPortalIntegracao) && !(is_int($idPortalIntegracao) || ctype_digit($idPortalIntegracao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idPortalIntegracao, true), gettype($idPortalIntegracao)), __LINE__);
        }
        $this->IdPortalIntegracao = $idPortalIntegracao;
        return $this;
    }
    /**
     * Get Maquina value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMaquina()
    {
        return isset($this->Maquina) ? $this->Maquina : null;
    }
    /**
     * Set Maquina value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $maquina
     * @return \StructType\PortalLogType
     */
    public function setMaquina($maquina = null)
    {
        // validation for constraint: string
        if (!is_null($maquina) && !is_string($maquina)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($maquina, true), gettype($maquina)), __LINE__);
        }
        if (is_null($maquina) || (is_array($maquina) && empty($maquina))) {
            unset($this->Maquina);
        } else {
            $this->Maquina = $maquina;
        }
        return $this;
    }
    /**
     * Get Metodo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMetodo()
    {
        return isset($this->Metodo) ? $this->Metodo : null;
    }
    /**
     * Set Metodo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $metodo
     * @return \StructType\PortalLogType
     */
    public function setMetodo($metodo = null)
    {
        // validation for constraint: string
        if (!is_null($metodo) && !is_string($metodo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($metodo, true), gettype($metodo)), __LINE__);
        }
        if (is_null($metodo) || (is_array($metodo) && empty($metodo))) {
            unset($this->Metodo);
        } else {
            $this->Metodo = $metodo;
        }
        return $this;
    }
    /**
     * Get Url value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrl()
    {
        return isset($this->Url) ? $this->Url : null;
    }
    /**
     * Set Url value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $url
     * @return \StructType\PortalLogType
     */
    public function setUrl($url = null)
    {
        // validation for constraint: string
        if (!is_null($url) && !is_string($url)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($url, true), gettype($url)), __LINE__);
        }
        if (is_null($url) || (is_array($url) && empty($url))) {
            unset($this->Url);
        } else {
            $this->Url = $url;
        }
        return $this;
    }
    /**
     * Get ip value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIp()
    {
        return isset($this->ip) ? $this->ip : null;
    }
    /**
     * Set ip value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $ip
     * @return \StructType\PortalLogType
     */
    public function setIp($ip = null)
    {
        // validation for constraint: string
        if (!is_null($ip) && !is_string($ip)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ip, true), gettype($ip)), __LINE__);
        }
        if (is_null($ip) || (is_array($ip) && empty($ip))) {
            unset($this->ip);
        } else {
            $this->ip = $ip;
        }
        return $this;
    }
}
