<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PortalParametroType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:PortalParametroType
 * @subpackage Structs
 */
class PortalParametroType extends AbstractStructBase
{
    /**
     * The IdPortalParametro
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdPortalParametro;
    /**
     * The Nome
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Nome;
    /**
     * The Valor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Valor;
    /**
     * Constructor method for PortalParametroType
     * @uses PortalParametroType::setIdPortalParametro()
     * @uses PortalParametroType::setNome()
     * @uses PortalParametroType::setValor()
     * @param int $idPortalParametro
     * @param string $nome
     * @param string $valor
     */
    public function __construct($idPortalParametro = null, $nome = null, $valor = null)
    {
        $this
            ->setIdPortalParametro($idPortalParametro)
            ->setNome($nome)
            ->setValor($valor);
    }
    /**
     * Get IdPortalParametro value
     * @return int|null
     */
    public function getIdPortalParametro()
    {
        return $this->IdPortalParametro;
    }
    /**
     * Set IdPortalParametro value
     * @param int $idPortalParametro
     * @return \StructType\PortalParametroType
     */
    public function setIdPortalParametro($idPortalParametro = null)
    {
        // validation for constraint: int
        if (!is_null($idPortalParametro) && !(is_int($idPortalParametro) || ctype_digit($idPortalParametro))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idPortalParametro, true), gettype($idPortalParametro)), __LINE__);
        }
        $this->IdPortalParametro = $idPortalParametro;
        return $this;
    }
    /**
     * Get Nome value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNome()
    {
        return isset($this->Nome) ? $this->Nome : null;
    }
    /**
     * Set Nome value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nome
     * @return \StructType\PortalParametroType
     */
    public function setNome($nome = null)
    {
        // validation for constraint: string
        if (!is_null($nome) && !is_string($nome)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nome, true), gettype($nome)), __LINE__);
        }
        if (is_null($nome) || (is_array($nome) && empty($nome))) {
            unset($this->Nome);
        } else {
            $this->Nome = $nome;
        }
        return $this;
    }
    /**
     * Get Valor value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getValor()
    {
        return isset($this->Valor) ? $this->Valor : null;
    }
    /**
     * Set Valor value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $valor
     * @return \StructType\PortalParametroType
     */
    public function setValor($valor = null)
    {
        // validation for constraint: string
        if (!is_null($valor) && !is_string($valor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($valor, true), gettype($valor)), __LINE__);
        }
        if (is_null($valor) || (is_array($valor) && empty($valor))) {
            unset($this->Valor);
        } else {
            $this->Valor = $valor;
        }
        return $this;
    }
}
