<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ProdutoType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ProdutoType
 * @subpackage Structs
 */
class ProdutoType extends AbstractStructBase
{
    /**
     * The Atributos
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfstring
     */
    public $Atributos;
    /**
     * The Codigo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Codigo;
    /**
     * The NomeProduto
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeProduto;
    /**
     * Constructor method for ProdutoType
     * @uses ProdutoType::setAtributos()
     * @uses ProdutoType::setCodigo()
     * @uses ProdutoType::setNomeProduto()
     * @param \ArrayType\ArrayOfstring $atributos
     * @param string $codigo
     * @param string $nomeProduto
     */
    public function __construct(\ArrayType\ArrayOfstring $atributos = null, $codigo = null, $nomeProduto = null)
    {
        $this
            ->setAtributos($atributos)
            ->setCodigo($codigo)
            ->setNomeProduto($nomeProduto);
    }
    /**
     * Get Atributos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfstring|null
     */
    public function getAtributos()
    {
        return isset($this->Atributos) ? $this->Atributos : null;
    }
    /**
     * Set Atributos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfstring $atributos
     * @return \StructType\ProdutoType
     */
    public function setAtributos(\ArrayType\ArrayOfstring $atributos = null)
    {
        if (is_null($atributos) || (is_array($atributos) && empty($atributos))) {
            unset($this->Atributos);
        } else {
            $this->Atributos = $atributos;
        }
        return $this;
    }
    /**
     * Get Codigo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCodigo()
    {
        return isset($this->Codigo) ? $this->Codigo : null;
    }
    /**
     * Set Codigo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $codigo
     * @return \StructType\ProdutoType
     */
    public function setCodigo($codigo = null)
    {
        // validation for constraint: string
        if (!is_null($codigo) && !is_string($codigo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigo, true), gettype($codigo)), __LINE__);
        }
        if (is_null($codigo) || (is_array($codigo) && empty($codigo))) {
            unset($this->Codigo);
        } else {
            $this->Codigo = $codigo;
        }
        return $this;
    }
    /**
     * Get NomeProduto value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeProduto()
    {
        return isset($this->NomeProduto) ? $this->NomeProduto : null;
    }
    /**
     * Set NomeProduto value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeProduto
     * @return \StructType\ProdutoType
     */
    public function setNomeProduto($nomeProduto = null)
    {
        // validation for constraint: string
        if (!is_null($nomeProduto) && !is_string($nomeProduto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeProduto, true), gettype($nomeProduto)), __LINE__);
        }
        if (is_null($nomeProduto) || (is_array($nomeProduto) && empty($nomeProduto))) {
            unset($this->NomeProduto);
        } else {
            $this->NomeProduto = $nomeProduto;
        }
        return $this;
    }
}
