<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ReferenciaType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ReferenciaType
 * @subpackage Structs
 */
class ReferenciaType extends AbstractStructBase
{
    /**
     * The Bairro
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Bairro;
    /**
     * The CEP
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CEP;
    /**
     * The ComplementoEndereco
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ComplementoEndereco;
    /**
     * The Contrato
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Contrato;
    /**
     * The CpfCnpj
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CpfCnpj;
    /**
     * The Email
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Email;
    /**
     * The Logradouro
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Logradouro;
    /**
     * The Municipio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Municipio;
    /**
     * The NomeReferencia
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeReferencia;
    /**
     * The NumeroEndereco
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NumeroEndereco;
    /**
     * The ObsTelefone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ObsTelefone;
    /**
     * The Telefone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Telefone;
    /**
     * The Tipo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Tipo;
    /**
     * The UF
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UF;
    /**
     * Constructor method for ReferenciaType
     * @uses ReferenciaType::setBairro()
     * @uses ReferenciaType::setCEP()
     * @uses ReferenciaType::setComplementoEndereco()
     * @uses ReferenciaType::setContrato()
     * @uses ReferenciaType::setCpfCnpj()
     * @uses ReferenciaType::setEmail()
     * @uses ReferenciaType::setLogradouro()
     * @uses ReferenciaType::setMunicipio()
     * @uses ReferenciaType::setNomeReferencia()
     * @uses ReferenciaType::setNumeroEndereco()
     * @uses ReferenciaType::setObsTelefone()
     * @uses ReferenciaType::setTelefone()
     * @uses ReferenciaType::setTipo()
     * @uses ReferenciaType::setUF()
     * @param string $bairro
     * @param string $cEP
     * @param string $complementoEndereco
     * @param string $contrato
     * @param string $cpfCnpj
     * @param string $email
     * @param string $logradouro
     * @param string $municipio
     * @param string $nomeReferencia
     * @param string $numeroEndereco
     * @param string $obsTelefone
     * @param string $telefone
     * @param string $tipo
     * @param string $uF
     */
    public function __construct($bairro = null, $cEP = null, $complementoEndereco = null, $contrato = null, $cpfCnpj = null, $email = null, $logradouro = null, $municipio = null, $nomeReferencia = null, $numeroEndereco = null, $obsTelefone = null, $telefone = null, $tipo = null, $uF = null)
    {
        $this
            ->setBairro($bairro)
            ->setCEP($cEP)
            ->setComplementoEndereco($complementoEndereco)
            ->setContrato($contrato)
            ->setCpfCnpj($cpfCnpj)
            ->setEmail($email)
            ->setLogradouro($logradouro)
            ->setMunicipio($municipio)
            ->setNomeReferencia($nomeReferencia)
            ->setNumeroEndereco($numeroEndereco)
            ->setObsTelefone($obsTelefone)
            ->setTelefone($telefone)
            ->setTipo($tipo)
            ->setUF($uF);
    }
    /**
     * Get Bairro value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBairro()
    {
        return isset($this->Bairro) ? $this->Bairro : null;
    }
    /**
     * Set Bairro value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $bairro
     * @return \StructType\ReferenciaType
     */
    public function setBairro($bairro = null)
    {
        // validation for constraint: string
        if (!is_null($bairro) && !is_string($bairro)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bairro, true), gettype($bairro)), __LINE__);
        }
        if (is_null($bairro) || (is_array($bairro) && empty($bairro))) {
            unset($this->Bairro);
        } else {
            $this->Bairro = $bairro;
        }
        return $this;
    }
    /**
     * Get CEP value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCEP()
    {
        return isset($this->CEP) ? $this->CEP : null;
    }
    /**
     * Set CEP value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cEP
     * @return \StructType\ReferenciaType
     */
    public function setCEP($cEP = null)
    {
        // validation for constraint: string
        if (!is_null($cEP) && !is_string($cEP)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cEP, true), gettype($cEP)), __LINE__);
        }
        if (is_null($cEP) || (is_array($cEP) && empty($cEP))) {
            unset($this->CEP);
        } else {
            $this->CEP = $cEP;
        }
        return $this;
    }
    /**
     * Get ComplementoEndereco value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getComplementoEndereco()
    {
        return isset($this->ComplementoEndereco) ? $this->ComplementoEndereco : null;
    }
    /**
     * Set ComplementoEndereco value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $complementoEndereco
     * @return \StructType\ReferenciaType
     */
    public function setComplementoEndereco($complementoEndereco = null)
    {
        // validation for constraint: string
        if (!is_null($complementoEndereco) && !is_string($complementoEndereco)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($complementoEndereco, true), gettype($complementoEndereco)), __LINE__);
        }
        if (is_null($complementoEndereco) || (is_array($complementoEndereco) && empty($complementoEndereco))) {
            unset($this->ComplementoEndereco);
        } else {
            $this->ComplementoEndereco = $complementoEndereco;
        }
        return $this;
    }
    /**
     * Get Contrato value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getContrato()
    {
        return isset($this->Contrato) ? $this->Contrato : null;
    }
    /**
     * Set Contrato value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $contrato
     * @return \StructType\ReferenciaType
     */
    public function setContrato($contrato = null)
    {
        // validation for constraint: string
        if (!is_null($contrato) && !is_string($contrato)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($contrato, true), gettype($contrato)), __LINE__);
        }
        if (is_null($contrato) || (is_array($contrato) && empty($contrato))) {
            unset($this->Contrato);
        } else {
            $this->Contrato = $contrato;
        }
        return $this;
    }
    /**
     * Get CpfCnpj value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCpfCnpj()
    {
        return isset($this->CpfCnpj) ? $this->CpfCnpj : null;
    }
    /**
     * Set CpfCnpj value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cpfCnpj
     * @return \StructType\ReferenciaType
     */
    public function setCpfCnpj($cpfCnpj = null)
    {
        // validation for constraint: string
        if (!is_null($cpfCnpj) && !is_string($cpfCnpj)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cpfCnpj, true), gettype($cpfCnpj)), __LINE__);
        }
        if (is_null($cpfCnpj) || (is_array($cpfCnpj) && empty($cpfCnpj))) {
            unset($this->CpfCnpj);
        } else {
            $this->CpfCnpj = $cpfCnpj;
        }
        return $this;
    }
    /**
     * Get Email value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEmail()
    {
        return isset($this->Email) ? $this->Email : null;
    }
    /**
     * Set Email value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $email
     * @return \StructType\ReferenciaType
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        if (is_null($email) || (is_array($email) && empty($email))) {
            unset($this->Email);
        } else {
            $this->Email = $email;
        }
        return $this;
    }
    /**
     * Get Logradouro value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLogradouro()
    {
        return isset($this->Logradouro) ? $this->Logradouro : null;
    }
    /**
     * Set Logradouro value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $logradouro
     * @return \StructType\ReferenciaType
     */
    public function setLogradouro($logradouro = null)
    {
        // validation for constraint: string
        if (!is_null($logradouro) && !is_string($logradouro)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logradouro, true), gettype($logradouro)), __LINE__);
        }
        if (is_null($logradouro) || (is_array($logradouro) && empty($logradouro))) {
            unset($this->Logradouro);
        } else {
            $this->Logradouro = $logradouro;
        }
        return $this;
    }
    /**
     * Get Municipio value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMunicipio()
    {
        return isset($this->Municipio) ? $this->Municipio : null;
    }
    /**
     * Set Municipio value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $municipio
     * @return \StructType\ReferenciaType
     */
    public function setMunicipio($municipio = null)
    {
        // validation for constraint: string
        if (!is_null($municipio) && !is_string($municipio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($municipio, true), gettype($municipio)), __LINE__);
        }
        if (is_null($municipio) || (is_array($municipio) && empty($municipio))) {
            unset($this->Municipio);
        } else {
            $this->Municipio = $municipio;
        }
        return $this;
    }
    /**
     * Get NomeReferencia value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeReferencia()
    {
        return isset($this->NomeReferencia) ? $this->NomeReferencia : null;
    }
    /**
     * Set NomeReferencia value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeReferencia
     * @return \StructType\ReferenciaType
     */
    public function setNomeReferencia($nomeReferencia = null)
    {
        // validation for constraint: string
        if (!is_null($nomeReferencia) && !is_string($nomeReferencia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeReferencia, true), gettype($nomeReferencia)), __LINE__);
        }
        if (is_null($nomeReferencia) || (is_array($nomeReferencia) && empty($nomeReferencia))) {
            unset($this->NomeReferencia);
        } else {
            $this->NomeReferencia = $nomeReferencia;
        }
        return $this;
    }
    /**
     * Get NumeroEndereco value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumeroEndereco()
    {
        return isset($this->NumeroEndereco) ? $this->NumeroEndereco : null;
    }
    /**
     * Set NumeroEndereco value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numeroEndereco
     * @return \StructType\ReferenciaType
     */
    public function setNumeroEndereco($numeroEndereco = null)
    {
        // validation for constraint: string
        if (!is_null($numeroEndereco) && !is_string($numeroEndereco)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroEndereco, true), gettype($numeroEndereco)), __LINE__);
        }
        if (is_null($numeroEndereco) || (is_array($numeroEndereco) && empty($numeroEndereco))) {
            unset($this->NumeroEndereco);
        } else {
            $this->NumeroEndereco = $numeroEndereco;
        }
        return $this;
    }
    /**
     * Get ObsTelefone value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getObsTelefone()
    {
        return isset($this->ObsTelefone) ? $this->ObsTelefone : null;
    }
    /**
     * Set ObsTelefone value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $obsTelefone
     * @return \StructType\ReferenciaType
     */
    public function setObsTelefone($obsTelefone = null)
    {
        // validation for constraint: string
        if (!is_null($obsTelefone) && !is_string($obsTelefone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($obsTelefone, true), gettype($obsTelefone)), __LINE__);
        }
        if (is_null($obsTelefone) || (is_array($obsTelefone) && empty($obsTelefone))) {
            unset($this->ObsTelefone);
        } else {
            $this->ObsTelefone = $obsTelefone;
        }
        return $this;
    }
    /**
     * Get Telefone value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTelefone()
    {
        return isset($this->Telefone) ? $this->Telefone : null;
    }
    /**
     * Set Telefone value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $telefone
     * @return \StructType\ReferenciaType
     */
    public function setTelefone($telefone = null)
    {
        // validation for constraint: string
        if (!is_null($telefone) && !is_string($telefone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telefone, true), gettype($telefone)), __LINE__);
        }
        if (is_null($telefone) || (is_array($telefone) && empty($telefone))) {
            unset($this->Telefone);
        } else {
            $this->Telefone = $telefone;
        }
        return $this;
    }
    /**
     * Get Tipo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTipo()
    {
        return isset($this->Tipo) ? $this->Tipo : null;
    }
    /**
     * Set Tipo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @uses \EnumType\EnumReferenciaTipo::valueIsValid()
     * @uses \EnumType\EnumReferenciaTipo::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $tipo
     * @return \StructType\ReferenciaType
     */
    public function setTipo($tipo = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\EnumReferenciaTipo::valueIsValid($tipo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\EnumReferenciaTipo', is_array($tipo) ? implode(', ', $tipo) : var_export($tipo, true), implode(', ', \EnumType\EnumReferenciaTipo::getValidValues())), __LINE__);
        }
        if (is_null($tipo) || (is_array($tipo) && empty($tipo))) {
            unset($this->Tipo);
        } else {
            $this->Tipo = $tipo;
        }
        return $this;
    }
    /**
     * Get UF value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUF()
    {
        return isset($this->UF) ? $this->UF : null;
    }
    /**
     * Set UF value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uF
     * @return \StructType\ReferenciaType
     */
    public function setUF($uF = null)
    {
        // validation for constraint: string
        if (!is_null($uF) && !is_string($uF)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uF, true), gettype($uF)), __LINE__);
        }
        if (is_null($uF) || (is_array($uF) && empty($uF))) {
            unset($this->UF);
        } else {
            $this->UF = $uF;
        }
        return $this;
    }
}
