<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SalvarEventoRecusadoCheckout StructType
 * @subpackage Structs
 */
class SalvarEventoRecusadoCheckout extends AbstractStructBase
{
    /**
     * The IdAcordo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdAcordo;
    /**
     * The IdTransacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $IdTransacao;
    /**
     * The Mensagem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Mensagem;
    /**
     * The Token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Token;
    /**
     * Constructor method for SalvarEventoRecusadoCheckout
     * @uses SalvarEventoRecusadoCheckout::setIdAcordo()
     * @uses SalvarEventoRecusadoCheckout::setIdTransacao()
     * @uses SalvarEventoRecusadoCheckout::setMensagem()
     * @uses SalvarEventoRecusadoCheckout::setToken()
     * @param int $idAcordo
     * @param string $idTransacao
     * @param string $mensagem
     * @param string $token
     */
    public function __construct($idAcordo = null, $idTransacao = null, $mensagem = null, $token = null)
    {
        $this
            ->setIdAcordo($idAcordo)
            ->setIdTransacao($idTransacao)
            ->setMensagem($mensagem)
            ->setToken($token);
    }
    /**
     * Get IdAcordo value
     * @return int|null
     */
    public function getIdAcordo()
    {
        return $this->IdAcordo;
    }
    /**
     * Set IdAcordo value
     * @param int $idAcordo
     * @return \StructType\SalvarEventoRecusadoCheckout
     */
    public function setIdAcordo($idAcordo = null)
    {
        // validation for constraint: int
        if (!is_null($idAcordo) && !(is_int($idAcordo) || ctype_digit($idAcordo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idAcordo, true), gettype($idAcordo)), __LINE__);
        }
        $this->IdAcordo = $idAcordo;
        return $this;
    }
    /**
     * Get IdTransacao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIdTransacao()
    {
        return isset($this->IdTransacao) ? $this->IdTransacao : null;
    }
    /**
     * Set IdTransacao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $idTransacao
     * @return \StructType\SalvarEventoRecusadoCheckout
     */
    public function setIdTransacao($idTransacao = null)
    {
        // validation for constraint: string
        if (!is_null($idTransacao) && !is_string($idTransacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($idTransacao, true), gettype($idTransacao)), __LINE__);
        }
        if (is_null($idTransacao) || (is_array($idTransacao) && empty($idTransacao))) {
            unset($this->IdTransacao);
        } else {
            $this->IdTransacao = $idTransacao;
        }
        return $this;
    }
    /**
     * Get Mensagem value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMensagem()
    {
        return isset($this->Mensagem) ? $this->Mensagem : null;
    }
    /**
     * Set Mensagem value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $mensagem
     * @return \StructType\SalvarEventoRecusadoCheckout
     */
    public function setMensagem($mensagem = null)
    {
        // validation for constraint: string
        if (!is_null($mensagem) && !is_string($mensagem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mensagem, true), gettype($mensagem)), __LINE__);
        }
        if (is_null($mensagem) || (is_array($mensagem) && empty($mensagem))) {
            unset($this->Mensagem);
        } else {
            $this->Mensagem = $mensagem;
        }
        return $this;
    }
    /**
     * Get Token value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToken()
    {
        return isset($this->Token) ? $this->Token : null;
    }
    /**
     * Set Token value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $token
     * @return \StructType\SalvarEventoRecusadoCheckout
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        if (is_null($token) || (is_array($token) && empty($token))) {
            unset($this->Token);
        } else {
            $this->Token = $token;
        }
        return $this;
    }
}
