<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TermoAcordoTypePortal StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:TermoAcordoTypePortal
 * @subpackage Structs
 */
class TermoAcordoTypePortal extends AbstractStructBase
{
    /**
     * The DataVencimento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $DataVencimento;
    /**
     * The EmailAssessoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EmailAssessoria;
    /**
     * The EnderecoAssessoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EnderecoAssessoria;
    /**
     * The Entrada
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Entrada;
    /**
     * The LogoAssessoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $LogoAssessoria;
    /**
     * The NomeAssessoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeAssessoria;
    /**
     * The NomeCliente
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeCliente;
    /**
     * The NomeCredor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NomeCredor;
    /**
     * The NumeroAcordo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NumeroAcordo;
    /**
     * The Parcelas
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfParcelaCalculoType
     */
    public $Parcelas;
    /**
     * The Plano
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Plano;
    /**
     * The Protocolo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Protocolo;
    /**
     * The RazaoSocialCredor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $RazaoSocialCredor;
    /**
     * The TelefoneAssessoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TelefoneAssessoria;
    /**
     * The UrlPortal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UrlPortal;
    /**
     * The ValorEntrada
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ValorEntrada;
    /**
     * The ValorTotal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ValorTotal;
    /**
     * Constructor method for TermoAcordoTypePortal
     * @uses TermoAcordoTypePortal::setDataVencimento()
     * @uses TermoAcordoTypePortal::setEmailAssessoria()
     * @uses TermoAcordoTypePortal::setEnderecoAssessoria()
     * @uses TermoAcordoTypePortal::setEntrada()
     * @uses TermoAcordoTypePortal::setLogoAssessoria()
     * @uses TermoAcordoTypePortal::setNomeAssessoria()
     * @uses TermoAcordoTypePortal::setNomeCliente()
     * @uses TermoAcordoTypePortal::setNomeCredor()
     * @uses TermoAcordoTypePortal::setNumeroAcordo()
     * @uses TermoAcordoTypePortal::setParcelas()
     * @uses TermoAcordoTypePortal::setPlano()
     * @uses TermoAcordoTypePortal::setProtocolo()
     * @uses TermoAcordoTypePortal::setRazaoSocialCredor()
     * @uses TermoAcordoTypePortal::setTelefoneAssessoria()
     * @uses TermoAcordoTypePortal::setUrlPortal()
     * @uses TermoAcordoTypePortal::setValorEntrada()
     * @uses TermoAcordoTypePortal::setValorTotal()
     * @param string $dataVencimento
     * @param string $emailAssessoria
     * @param string $enderecoAssessoria
     * @param string $entrada
     * @param string $logoAssessoria
     * @param string $nomeAssessoria
     * @param string $nomeCliente
     * @param string $nomeCredor
     * @param string $numeroAcordo
     * @param \ArrayType\ArrayOfParcelaCalculoType $parcelas
     * @param string $plano
     * @param string $protocolo
     * @param string $razaoSocialCredor
     * @param string $telefoneAssessoria
     * @param string $urlPortal
     * @param float $valorEntrada
     * @param string $valorTotal
     */
    public function __construct($dataVencimento = null, $emailAssessoria = null, $enderecoAssessoria = null, $entrada = null, $logoAssessoria = null, $nomeAssessoria = null, $nomeCliente = null, $nomeCredor = null, $numeroAcordo = null, \ArrayType\ArrayOfParcelaCalculoType $parcelas = null, $plano = null, $protocolo = null, $razaoSocialCredor = null, $telefoneAssessoria = null, $urlPortal = null, $valorEntrada = null, $valorTotal = null)
    {
        $this
            ->setDataVencimento($dataVencimento)
            ->setEmailAssessoria($emailAssessoria)
            ->setEnderecoAssessoria($enderecoAssessoria)
            ->setEntrada($entrada)
            ->setLogoAssessoria($logoAssessoria)
            ->setNomeAssessoria($nomeAssessoria)
            ->setNomeCliente($nomeCliente)
            ->setNomeCredor($nomeCredor)
            ->setNumeroAcordo($numeroAcordo)
            ->setParcelas($parcelas)
            ->setPlano($plano)
            ->setProtocolo($protocolo)
            ->setRazaoSocialCredor($razaoSocialCredor)
            ->setTelefoneAssessoria($telefoneAssessoria)
            ->setUrlPortal($urlPortal)
            ->setValorEntrada($valorEntrada)
            ->setValorTotal($valorTotal);
    }
    /**
     * Get DataVencimento value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDataVencimento()
    {
        return isset($this->DataVencimento) ? $this->DataVencimento : null;
    }
    /**
     * Set DataVencimento value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $dataVencimento
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setDataVencimento($dataVencimento = null)
    {
        // validation for constraint: string
        if (!is_null($dataVencimento) && !is_string($dataVencimento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataVencimento, true), gettype($dataVencimento)), __LINE__);
        }
        if (is_null($dataVencimento) || (is_array($dataVencimento) && empty($dataVencimento))) {
            unset($this->DataVencimento);
        } else {
            $this->DataVencimento = $dataVencimento;
        }
        return $this;
    }
    /**
     * Get EmailAssessoria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEmailAssessoria()
    {
        return isset($this->EmailAssessoria) ? $this->EmailAssessoria : null;
    }
    /**
     * Set EmailAssessoria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $emailAssessoria
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setEmailAssessoria($emailAssessoria = null)
    {
        // validation for constraint: string
        if (!is_null($emailAssessoria) && !is_string($emailAssessoria)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($emailAssessoria, true), gettype($emailAssessoria)), __LINE__);
        }
        if (is_null($emailAssessoria) || (is_array($emailAssessoria) && empty($emailAssessoria))) {
            unset($this->EmailAssessoria);
        } else {
            $this->EmailAssessoria = $emailAssessoria;
        }
        return $this;
    }
    /**
     * Get EnderecoAssessoria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEnderecoAssessoria()
    {
        return isset($this->EnderecoAssessoria) ? $this->EnderecoAssessoria : null;
    }
    /**
     * Set EnderecoAssessoria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $enderecoAssessoria
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setEnderecoAssessoria($enderecoAssessoria = null)
    {
        // validation for constraint: string
        if (!is_null($enderecoAssessoria) && !is_string($enderecoAssessoria)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($enderecoAssessoria, true), gettype($enderecoAssessoria)), __LINE__);
        }
        if (is_null($enderecoAssessoria) || (is_array($enderecoAssessoria) && empty($enderecoAssessoria))) {
            unset($this->EnderecoAssessoria);
        } else {
            $this->EnderecoAssessoria = $enderecoAssessoria;
        }
        return $this;
    }
    /**
     * Get Entrada value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEntrada()
    {
        return isset($this->Entrada) ? $this->Entrada : null;
    }
    /**
     * Set Entrada value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $entrada
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setEntrada($entrada = null)
    {
        // validation for constraint: string
        if (!is_null($entrada) && !is_string($entrada)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($entrada, true), gettype($entrada)), __LINE__);
        }
        if (is_null($entrada) || (is_array($entrada) && empty($entrada))) {
            unset($this->Entrada);
        } else {
            $this->Entrada = $entrada;
        }
        return $this;
    }
    /**
     * Get LogoAssessoria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLogoAssessoria()
    {
        return isset($this->LogoAssessoria) ? $this->LogoAssessoria : null;
    }
    /**
     * Set LogoAssessoria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $logoAssessoria
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setLogoAssessoria($logoAssessoria = null)
    {
        // validation for constraint: string
        if (!is_null($logoAssessoria) && !is_string($logoAssessoria)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logoAssessoria, true), gettype($logoAssessoria)), __LINE__);
        }
        if (is_null($logoAssessoria) || (is_array($logoAssessoria) && empty($logoAssessoria))) {
            unset($this->LogoAssessoria);
        } else {
            $this->LogoAssessoria = $logoAssessoria;
        }
        return $this;
    }
    /**
     * Get NomeAssessoria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeAssessoria()
    {
        return isset($this->NomeAssessoria) ? $this->NomeAssessoria : null;
    }
    /**
     * Set NomeAssessoria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeAssessoria
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setNomeAssessoria($nomeAssessoria = null)
    {
        // validation for constraint: string
        if (!is_null($nomeAssessoria) && !is_string($nomeAssessoria)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeAssessoria, true), gettype($nomeAssessoria)), __LINE__);
        }
        if (is_null($nomeAssessoria) || (is_array($nomeAssessoria) && empty($nomeAssessoria))) {
            unset($this->NomeAssessoria);
        } else {
            $this->NomeAssessoria = $nomeAssessoria;
        }
        return $this;
    }
    /**
     * Get NomeCliente value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeCliente()
    {
        return isset($this->NomeCliente) ? $this->NomeCliente : null;
    }
    /**
     * Set NomeCliente value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeCliente
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setNomeCliente($nomeCliente = null)
    {
        // validation for constraint: string
        if (!is_null($nomeCliente) && !is_string($nomeCliente)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeCliente, true), gettype($nomeCliente)), __LINE__);
        }
        if (is_null($nomeCliente) || (is_array($nomeCliente) && empty($nomeCliente))) {
            unset($this->NomeCliente);
        } else {
            $this->NomeCliente = $nomeCliente;
        }
        return $this;
    }
    /**
     * Get NomeCredor value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNomeCredor()
    {
        return isset($this->NomeCredor) ? $this->NomeCredor : null;
    }
    /**
     * Set NomeCredor value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nomeCredor
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setNomeCredor($nomeCredor = null)
    {
        // validation for constraint: string
        if (!is_null($nomeCredor) && !is_string($nomeCredor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeCredor, true), gettype($nomeCredor)), __LINE__);
        }
        if (is_null($nomeCredor) || (is_array($nomeCredor) && empty($nomeCredor))) {
            unset($this->NomeCredor);
        } else {
            $this->NomeCredor = $nomeCredor;
        }
        return $this;
    }
    /**
     * Get NumeroAcordo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumeroAcordo()
    {
        return isset($this->NumeroAcordo) ? $this->NumeroAcordo : null;
    }
    /**
     * Set NumeroAcordo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numeroAcordo
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setNumeroAcordo($numeroAcordo = null)
    {
        // validation for constraint: string
        if (!is_null($numeroAcordo) && !is_string($numeroAcordo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroAcordo, true), gettype($numeroAcordo)), __LINE__);
        }
        if (is_null($numeroAcordo) || (is_array($numeroAcordo) && empty($numeroAcordo))) {
            unset($this->NumeroAcordo);
        } else {
            $this->NumeroAcordo = $numeroAcordo;
        }
        return $this;
    }
    /**
     * Get Parcelas value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfParcelaCalculoType|null
     */
    public function getParcelas()
    {
        return isset($this->Parcelas) ? $this->Parcelas : null;
    }
    /**
     * Set Parcelas value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfParcelaCalculoType $parcelas
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setParcelas(\ArrayType\ArrayOfParcelaCalculoType $parcelas = null)
    {
        if (is_null($parcelas) || (is_array($parcelas) && empty($parcelas))) {
            unset($this->Parcelas);
        } else {
            $this->Parcelas = $parcelas;
        }
        return $this;
    }
    /**
     * Get Plano value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPlano()
    {
        return isset($this->Plano) ? $this->Plano : null;
    }
    /**
     * Set Plano value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $plano
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setPlano($plano = null)
    {
        // validation for constraint: string
        if (!is_null($plano) && !is_string($plano)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($plano, true), gettype($plano)), __LINE__);
        }
        if (is_null($plano) || (is_array($plano) && empty($plano))) {
            unset($this->Plano);
        } else {
            $this->Plano = $plano;
        }
        return $this;
    }
    /**
     * Get Protocolo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getProtocolo()
    {
        return isset($this->Protocolo) ? $this->Protocolo : null;
    }
    /**
     * Set Protocolo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $protocolo
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setProtocolo($protocolo = null)
    {
        // validation for constraint: string
        if (!is_null($protocolo) && !is_string($protocolo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($protocolo, true), gettype($protocolo)), __LINE__);
        }
        if (is_null($protocolo) || (is_array($protocolo) && empty($protocolo))) {
            unset($this->Protocolo);
        } else {
            $this->Protocolo = $protocolo;
        }
        return $this;
    }
    /**
     * Get RazaoSocialCredor value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getRazaoSocialCredor()
    {
        return isset($this->RazaoSocialCredor) ? $this->RazaoSocialCredor : null;
    }
    /**
     * Set RazaoSocialCredor value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $razaoSocialCredor
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setRazaoSocialCredor($razaoSocialCredor = null)
    {
        // validation for constraint: string
        if (!is_null($razaoSocialCredor) && !is_string($razaoSocialCredor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($razaoSocialCredor, true), gettype($razaoSocialCredor)), __LINE__);
        }
        if (is_null($razaoSocialCredor) || (is_array($razaoSocialCredor) && empty($razaoSocialCredor))) {
            unset($this->RazaoSocialCredor);
        } else {
            $this->RazaoSocialCredor = $razaoSocialCredor;
        }
        return $this;
    }
    /**
     * Get TelefoneAssessoria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTelefoneAssessoria()
    {
        return isset($this->TelefoneAssessoria) ? $this->TelefoneAssessoria : null;
    }
    /**
     * Set TelefoneAssessoria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $telefoneAssessoria
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setTelefoneAssessoria($telefoneAssessoria = null)
    {
        // validation for constraint: string
        if (!is_null($telefoneAssessoria) && !is_string($telefoneAssessoria)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telefoneAssessoria, true), gettype($telefoneAssessoria)), __LINE__);
        }
        if (is_null($telefoneAssessoria) || (is_array($telefoneAssessoria) && empty($telefoneAssessoria))) {
            unset($this->TelefoneAssessoria);
        } else {
            $this->TelefoneAssessoria = $telefoneAssessoria;
        }
        return $this;
    }
    /**
     * Get UrlPortal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrlPortal()
    {
        return isset($this->UrlPortal) ? $this->UrlPortal : null;
    }
    /**
     * Set UrlPortal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $urlPortal
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setUrlPortal($urlPortal = null)
    {
        // validation for constraint: string
        if (!is_null($urlPortal) && !is_string($urlPortal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urlPortal, true), gettype($urlPortal)), __LINE__);
        }
        if (is_null($urlPortal) || (is_array($urlPortal) && empty($urlPortal))) {
            unset($this->UrlPortal);
        } else {
            $this->UrlPortal = $urlPortal;
        }
        return $this;
    }
    /**
     * Get ValorEntrada value
     * @return float|null
     */
    public function getValorEntrada()
    {
        return $this->ValorEntrada;
    }
    /**
     * Set ValorEntrada value
     * @param float $valorEntrada
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setValorEntrada($valorEntrada = null)
    {
        // validation for constraint: float
        if (!is_null($valorEntrada) && !(is_float($valorEntrada) || is_numeric($valorEntrada))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valorEntrada, true), gettype($valorEntrada)), __LINE__);
        }
        $this->ValorEntrada = $valorEntrada;
        return $this;
    }
    /**
     * Get ValorTotal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getValorTotal()
    {
        return isset($this->ValorTotal) ? $this->ValorTotal : null;
    }
    /**
     * Set ValorTotal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $valorTotal
     * @return \StructType\TermoAcordoTypePortal
     */
    public function setValorTotal($valorTotal = null)
    {
        // validation for constraint: string
        if (!is_null($valorTotal) && !is_string($valorTotal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($valorTotal, true), gettype($valorTotal)), __LINE__);
        }
        if (is_null($valorTotal) || (is_array($valorTotal) && empty($valorTotal))) {
            unset($this->ValorTotal);
        } else {
            $this->ValorTotal = $valorTotal;
        }
        return $this;
    }
}
